2009-04-13  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.26.1

2009-03-20  Claude Paroz  <claude@2xlibre.net>

    * {help/docs}/<lang>/figures/*.png: Many duplicated figures deleted.
    Figures should not be copied in localized folder when identical to
    original.

==================== 2.26.0 ======================

2009-03-16  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.26.0

==================== 2.25.92 ======================

2009-03-02  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.25.92

==================== 2.25.91 ======================

2009-02-17  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.25.91

==================== 2.25.90 ======================

2009-02-03  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.25.90

2009-01-27  Callum McKenzie  <callum@spooky-possum.org>

	* Makefile.am: 
	* configure.in: Restore mixer support, but only via an explicit
	--enable-mixer-applet argument to configure.

2009-01-26  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Remove the libgnomeui check. It is no longer
	necessary. Remove the libgnome check, we should no longer need
	it. However, we still indirectly depend on it through
	libpanelapplet and libbonoboui so it's hard to be sure.	

2009-01-22  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Fix the criteria for building modemlights, but
	then disable it completely until the applet builds. Bug 568463.
	

2009-01-20  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS: 
	* configure.in: 2.25.4

==================== 2.25.3 ======================

2009-01-06  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS: 2.25.3

	* configure.in
	* Makefile.am
	* mixer/*: Remove the mixer applet. It is now part of the
	gnome-media package.

==================== 2.25.2 ======================

2008-12-20  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.25.2

2008-11-12  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: The real NetworkManager dependence is 0.7.

2008-11-11  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Check for NetworkManager (used by gweather if it
	is available).

2008-11-04  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.25.1

2008-09-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.1.

==================== 2.24.0.1 ====================

2008-09-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.24.0.1

2008-09-23  Callum McKenzie  <callum@spooky-possum.org>

	* MAINTAINERS: After more than a year of living in denial, I have
	accepted the fact that I am actually maintaining gnome-applets and
	added myself to the MAINTAINERS file.

2008-09-22  Callum McKenzie  <callum@spooky-possum.org>

	* Makefile.am (EXTRA_DIST): Remove the last refs to 
	system-tools-backends.m4

	* configure.in: 
	* NEWS: 2.24.0

	* COPYING: Add an explicit file (GPLv2) since we've been relying
	on the autotools default for so long and thats changed. We'll
	stick with the version we've been using for now.

2008-09-13  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Make it possible to explicitly disable policy-kit
	even if it is available. Patch from Nirbheek Chauhan (Bug 551763).

	* m4/system-tools-backends.m4
	* configure.in: Remove the references to system-tools-backends, we
	don't use it (pointed out by Patryk Zawadzki in bug 552040).

2008-09-09  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS
	* configure.in: 2.23.92
	
	* configure.in: Patch from Pedro Fragoso to remove the explicit
	libgail check since it is now part of GTK+. (Bug 540403)

2008-09-05  Callum McKenzie  <callum@spooky-possum.org>

	* NEWS:
	* configure.in: 2.23.91

	* Makefile.am: 
	* configure.in: Remove the gnome-vfs dependency.

	* configure.in: Bump the required GTK/glib dependencies for
	the functions needed by the drive applet GIO port.

2008-08-21  Philipp Kerling  <k.philipp@gmail.com>

	* stickynotes/pixmaps/Makefile.am:
	* cpufreq/pixmaps/Makefile.am:
	* accessx-status/pixmaps/Makefile.am:
	* modemlights/Makefile.am:
	* mini-commander/src/Makefile.am:
	* geyes/Makefile.am: Call gtk-update-icon-cache in uninstall-local
	* invest-applet/data/art/invest-applet.svg:
	* invest-applet/data/art/invest-applet.16.png:
	* invest-applet/data/art/invest-applet.22.png:
	* invest-applet/data/art/invest-applet.48.png: Copy invest neutral
	icons as application icons
	* invest-applet/data/art/Makefile.am:
	* invest-applet/data/Invest_Applet.server.in.in: Install icons theme-friendly

	Fixes bug #547647.

2008-08-18  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.23.90

2008-08-04  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in:
	* NEWS: 2.23.4 

2008-07-19  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in:	
	* Makefile.am: Base building of gweather conditional on
	libgweather and not gnome_vfs.

2008-06-16  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.23.3

2008-06-12  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Finally fix the build for people with gucharmap-2
	installed. Patch courtesy of Christian Persch. See bug #531298.
	Also fixed the configure summary to display the values properly.

2008-05-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.in: Check for PolicyKit and PolicyKit-gnome as
	optional dependencies for cpufreq-applet. Bump dbus and dbus-glib
	requirements to 1.1.2 and 0.74.
	
2008-05-13  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.23.2

2008-05-02  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Add the Makefile for the invest applet docs
	directory.

2008-04-21  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in:
	* NEWS: 2.23.1

2008-04-13  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Prepare for a gucharmap API change.

2008-04-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add back the libxml2 check (needed by sticky notes)

2008-04-07  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for gweather >= 2.22.1, don't check for libxml2
	and the gweather locations file. End of bug #526216.

2008-03-16  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: Convert from glade to gtk-builder. Patch from Jaap
	Haitsma (bug #521082).

2008-03-13  Callum McKenzie  <callum@spooky-possum.org>

	* po-locations: Removed since it is now in libgweather (see bug
	#521078).
	* */.cvsignore: Remove all the old .cvsingore files since its been
	a while since we used CVS (also bug #521078).

2008-03-10  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.22.0

2008-02-26  Ryan Lortie  <desrt@desrt.ca>

	* configure.in:
	* NEWS: 2.21.92

2008-02-22  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: Build breakage fix: Re-add libgweather, removed in
	previous commit.

2008-02-12  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: PKG_CHECK_MODULES for GIO
	* Makefile.am: move trashapplet to not depend on gnome-vfs

2008-02-11  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.21.91

2008-01-15  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.21.4: A new release to build with the latest 
	libgweather.

2008-01-14  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: 2.21.3

2008-01-13  Callum McKenzie  <callum@spooky-possum.org>

	* Makefile.am: 
	* configure.in: Move libgweather to its own module.

2008-01-08  Kjartan Maraas  <kmaraas@gnome.org>

	* man/Makefile.am:
	* man/gtik2_applet.1:
	* man/gtik2_applet.sgml:
	Remove this old man page. Closes bug #400961.

2006-12-17  Sergey Udaltsov <svu@gnome.org>

	* configure.in: depend on libgnomekbd 2.21.4.1

2007-12-03  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: Release 2.21.2

2007-11-14  Ryan Lortie  <desrt@desrt.ca>

	Based on a patch by Matthias Clasen, closes #314177

	* libgweather/weather.c: remove arrays of static copies of pixmaps for
	  all weather conditions (and remove enum used to index them).  Return
	  icon names directly.
	* libgweather/weather.h: remove get_pixbuf() and add get_icon_name()
	* gweather/gweather-dialog.c: use icon name and
	  gtk_image_set_from_icon_name instead of pixbufs.
	* gweather/gweather.h: remove applet_pixbuf, applet_mask members.
	* gweather/gweather-applet.c: set image from icon theme name (GtkImage
	  will now automatically update the image on icon theme changes).

2007-11-12  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: Release 2.21.1

2007-11-04  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: New test for langinfo.h and the nl_langinfo
	function. The previous mechanism for determining its presence was
	incorrect. Patch from Matthias Clasen (Bug #491438).

2007-10-15  Brian Cameron  <brian.cameron@sun.com>

	* mixer/applet.c: Update fallback cb_check function
	  so that it only checks for volume change every 1.5
	  seconds, so it does not consume resources so heavily.
	  Upon noticing a change, it will update ten times per
	  second for 10 seconds after the last change, so the
	  mixer updates nicely while the volume is being 
	  changed.  Fixes enhancement request #486111.

2007-09-16  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: release 2.20.0

2007-09-03  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: release 2.19.91

2007-09-01  Callum McKenzie  <callum@spooky-possum.org>

	* MAINTAINERS: Updated to the new format.

2007-08-01  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: release 2.19.1

2007-07-30  Callum McKenzie  <callum@spooky-possum.org>

	* configure.in: 
	* NEWS: release 2.19.0

2007-07-17  Jaap Haitsma <jaap@haitsma.org>

	* configure.in: set minimum requirements for glib to 2.13.0 and for
	gtk+ to 2.11.0 in order to use new tooltip API of gtk 2.12

2007-03-12  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.18.0

2007-03-11  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * invest-applet/data/invest-chart.desktop.in:
	"Application" is not a valid category in the freedesktop.org
        specification.

2007-02-26  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.17.90

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-01-26  Alexander Shopov  <ash@contact.bg>

	* charpick/help/bg/bg.po:
	* charpick/help/bg/figures/charpick-preferences.png:
	Updated Bulgarian translation by
	Yavor Doganov <yavor@doganov.org>

2007-01-25  David Lodge <dave@cirt.net>

	* gswitchit/docs/en_GB/en_GB.po: Added English (British) translation
	* gswitchit/docs/Makefile.am: Added en_GB to DOC_LINGUAS

2007-01-25  David Lodge <dave@cirt.net>

	* trashapplet/docs/en_GB/en_GB.po: Added English (British) translation
	* trashapplet/docs/Makefile.am: Added en_GB to DOC_LINGUAS

2007-01-14  Ronald S. Bultje,,,  <rbultje@gnome.org>

	* mixer/dock.c: (gnome_volume_applet_dock_new):
	  Invert horizontal, so + is right and - is left (#333778).

2007-01-14  Ronald S. Bultje,,,  <rbultje@gnome.org>

	* mixer/applet.c: (gnome_volume_applet_popup_dock):
	  Set focus on slider, not plus button, when clicking on the applet
	  icon (#385776).

2007-01-02  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.17.1

	* POTFILES.in: remove libgswitchit since it's no longer included

2006-12-23  Elijah Newren  <newren gmail com>

	* configure.ac: explicitly check for libxml2.  Fixes #388799

2006-11-17  Matthias Clasen <mclasen@redhat.com>

	* mixer/applet.c: Fix mute icon.  (#360507)

2006-11-14  Paolo Borelli  <pborelli@katamail.com>

	* trashapplet/trashapplet.c: small cleanup. Bug #352215.

2006-10-24  Harry Lu  <harry.lu@sun.com>

	* configure.in: Add AC_CHECK_HEADERS for err.h and sys/sysctl.h
	* battstat/battstat_applet.c:
	* battstat/power-management.c:
	* battstat/properties.c: use HAVE_ERR_H and HAVE_SYS_SYSCTL_H.

2006-10-18  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am, configure.in, gswitchit/Makefile.am,
	gswitchit/gswitchit-applet.c, gswitchit/gswitchit-applet.h: changing
	dependency from virtual modules libgswitchit/libkbdraw to normal
	libgnomekbd.

2006-10-14  Sergey Udaltsov <svu@gnome.org>

	* README.CVS: branched for gnome-2-16, this is the development branch

2006-10-11  Luca Ferretti  <elle.uca@libero.it>

	* gswitchit/.cvsignore:
	* libgswitchit/.cvsignore:
	* modemlights/.cvsignore:
	Updated.

	* gswitchit/help/sv/.cvsignore:
	Added

2006-10-11  Luca Ferretti  <elle.uca@libero.it>

	* invest-applet/.cvsignore: add this too.

2006-10-11  Luca Ferretti  <elle.uca@libero.it>

	* */.cvsignore: Add or update cvsignore files (bug #323327)
	Patch from Tom Tromey.
	
2006-10-02  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS:
	- release GNOME Applets 2.16.1

2006-09-19  Sergey Udaltsov <svu@gnome.org>

	* configure.in, Makefile.am, libgswitchit/Makefile.am: explicitly
	using DBUS, allowing builds without HAL, resolving #353155

2006-09-05  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release GNOME Applets 2.16.0.1

2006-09-04  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS:
	- release GNOME Applets 2.16.0

	* geyes/Makefile.am:
	* modemlights/Makefile.am:
	* stickynotes/pixmaps/Makefile.am:
	* cpufreq/pixmaps/Makefile.am:
	- ensure the icon cache is regenerated

2006-08-23  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: unconditionally enable stickynotes applet, because
	  I hate freedom

2006-08-22  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release GNOME Applets 2.15.90


	* cpufreq/pixmaps/Makefile.am:
	* geyes/Makefile.am:
	* modemlights/Makefile.am:
	* po/POTFILES.in:
	* stickynotes/Makefile.am:
	* stickynotes/data/Makefile.am:
	* stickynotes/pixmaps/Makefile.am: distcheck fixes

2006-08-22  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* po/POTFILES.in:
	* stickynotes/Makefile.am:
	* stickynotes/data/Makefile.am:
	* stickynotes/data/GNOME_StickyNotesApplet.server:
	- add Autotools'ing to upgrade stickynotes to Tomboy
	  reenable stickynotes with --enable-stickynotes

	* mini-commander/Makefile.am: fix possible distcheck issue

	* multiload/Makefile.am: fix build issue

2006-08-22  Brian Cameron  <brian.cameron@sun.com>

	* multiload/linux-proc.h, multiload/autoscaler.h,
	  multiload/load-graph.h, multiload/global.h:  Move
	  G_GNUC_INTERNAL macro to the beginning of the prototype
	  since this better supports compiling with Sun Studio.
	  Fixes bug #352271.

2006-08-22  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: bump required GNOME_ICON_THEME

	* cpufreq/GNOME_CPUFreqApplet.server.in.in:
	* cpufreq/pixmaps/Makefile.am:
	* cpufreq/src/cpufreq-applet.c:
	R cpufreq/pixmaps/cpufreq-applet.png:

	* drivemount/GNOME_DriveMountApplet.server.in.in:
	* drivemount/drivemount.c: update drivemount icon name

	* geyes/GNOME_GeyesApplet.server.in.in:
	* geyes/Makefile.am:
	* geyes/geyes.c:
	R geyes/gnome-eyes.png:
	A geyes/gnome-eyes-applet.16.png:
	A geyes/gnome-eyes-applet.22.png:
	A geyes/gnome-eyes-applet.24.png:
	A geyes/gnome-eyes-applet.32.png:
	A geyes/gnome-eyes-applet.svg: update to new Tango icons

	* gweather/GNOME_GWeatherApplet_Factory.server.in.in:
	* gweather/gweather-about.c:
	* gweather/gweather-applet.c: update gweather icon name

	* modemlights/GNOME_ModemLights.server.in.in:
	* modemlights/Makefile.am:
	* modemlights/modem-applet.c:
	R modemlights/gnome-modem.png:
	A modemlights/gnome-modem-monitor-applet.16.png:
	A modemlights/gnome-modem-monitor-applet.22.png:
	A modemlights/gnome-modem-monitor-applet.24.png:
	A modemlights/gnome-modem-monitor-applet.32.png:
	A modemlights/gnome-modem-monitor-applet.svg: update to new Tango
	  icons
	
	* multiload/GNOME_MultiLoadApplet_Factory.server.in.in:
	* multiload/main.c:
	R multiload/gnome-cpu.png:
	R multiload/gnome-mem.png: update multiload icon name

	* stickynotes/GNOME_StickyNotesApplet.server.in.in:
	* stickynotes/stickynotes_applet.c:
	* stickynotes/pixmaps/Makefile.am:
	R stickynotes/pixmaps/stickynotes.png:
	R stickynotes/pixmaps/stickynotes_prelight.png:
	A stickynotes/pixmaps/gnome-sticky-notes-applet.16.png:
	A stickynotes/pixmaps/gnome-sticky-notes-applet.22.png:
	A stickynotes/pixmaps/gnome-sticky-notes-applet.24.png:
	A stickynotes/pixmaps/gnome-sticky-notes-applet.32.png:
	A stickynotes/pixmaps/gnome-sticky-notes-applet.svg: update to new
	  Tango icons

2006-08-13  Davyd Madeley  <davyd@madeley.id.au>

	* m4/acinclude.m4:
	- add missing spaces to fix a bug in AS_AC_EXPAND to expand multiple
	  layers of variable substitution

2006-08-07  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.15.3

2006-08-07  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* drivemount/drive-button.c:
	- depend on API in gnome-vfs 2.15.4
	- request ejectable status from gnome-vfs, rather than duplicating
	  code in applet

2006-07-26  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.15.2

2006-07-10  Rodney Dawes  <dobey@novell.com>

	* configure.in: Fix typo in IT_PROG_INTLTOOL call version string
	Add GNOME_ICON_THEME_REQUIRED variable
	Require pkg-config 0.19 with PKG_PROG_PKG_CONFIG
	Check for GNOME_ICON_THEME_REQUIRED with pkg-config

	Required for bugs #346483 #346485 #346487

2006-07-09  Sergey Udaltsov <svu@gnome.org>

	* configure.in: added libgswitchit/gswitchit-plugins.desktop.in

2006-07-09  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	- add gnome-system-tools to optional dependancies for modem applet
	
	* battstat/docs/sv/battstat.xml:
	* charpick/help/sv/char-palette.xml:
	* drivemount/help/sv/drivemount.xml:
	* geyes/docs/sv/geyes.xml:
	* gweather/docs/sv/gweather.xml:
	* mixer/docs/sv/mixer_applet2.xml:
	* stickynotes/docs/sv/stickynotes_applet.xml: REMOVED
	- remove generated files

2006-07-05  Sergey Udaltsov <svu@gnome.org>

	* configure.in: added dependency on g-s-d DBUS client library (using
	pkgconfig)

2006-06-18  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.15.1.1

2006-06-18  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: fix stupid typo. Patch from Fryderyk Dziarmagowski
	  <freetz@pld-linux.org>. Closes #345200.

2006-06-17  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.15.1

2006-06-17  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am:
	* configure.in: make gswitchit compile optional in case you have the
	  wrong version of libxklavier

	* cpufreq/src/cpufreq-prefs.c: fix up includes

2006-06-15  Elijah Newren  <newren gmail com>

	* Makefile.am:
	* gtik/*/*...*/*/.cvsignore:
	Remove the last remnants of the gtik subdirectory.  (Hmmm...maybe
	that's the wrong number of stars in the path for the .cvsignore
	files.  Oh, well.)

2006-06-15  Carlos Garcia Campos  <carlosgc@gnome.org>

	* configure.in: check if there is libcpufreq support in order to use
	it in cpufreq-applet.

2006-05-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.in:
	Bump to intltool 0.35

2006-04-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Do the PoLinguas thing.
	* po/LINGUAS: And remove non-existant en_AU ref.

2006-04-20  Sergey Udaltsov <svu@gnome.org>

	* configure.in:
	* gswitchit/*.c:
	* gswitchit/*.h:
	Update for new libxklavier API
	
2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.
	* po-locations/no.po: Remove the translation.
	* po/no.po: Remove the translation
	* trashapplet/src/eel-extension.c: Remove.
	* trashapplet/src/eel-extension.h: Remove.

2006-04-14  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am:
	* configure.in:
	* invest-applet/invest/Makefile.am:
	- get invest-applet building
	- refactor configure.in to make it somewhat more readable
	* invest-applet/data/Makefile.am:
	* invest-applet/data/GNOME_GtikApplet.server:
	- transparently upgrade gtik
	* invest-applet/invest/__init__.py:
	* invest-applet/invest/applet.py:
	* invest-applet/invest/chart.py:
	* invest-applet/invest/defs.py.in:
	* invest-applet/invest/invest-applet.py:
	* invest-applet/invest/preferences.py:
	- fix file paths for Glade/UI definitions
	* po/POTFILES.in:
	- add translatable files
	* m4/acinclude.m4:
	* m4/python.m4:
	- add required m4 macros

2006-04-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* AUTHORS:
	* MAINTAINERS:
	* Makefile.am:
	* configure.in:
	* invest-applet/AUTHORS:
	* invest-applet/COPYING:
	* invest-applet/INSTALL:
	* invest-applet/Makefile.am:
	* invest-applet/README:
	* invest-applet/data/Invest_Applet.server.in.in:
	* invest-applet/data/Invest_Applet.xml:
	* invest-applet/data/Makefile.am:
	* invest-applet/data/art/Makefile.am:
	* invest-applet/data/art/invest-16.png:
	* invest-applet/data/art/invest-big.png:
	* invest-applet/data/art/invest-button.png:
	* invest-applet/data/art/invest-simple.svg:
	* invest-applet/data/art/invest.svg:
	* invest-applet/data/financialchart.glade:
	* invest-applet/data/invest-chart.desktop.in:
	* invest-applet/data/prefs-dialog.glade:
	* invest-applet/invest/Makefile.am:
	* invest-applet/invest/__init__.py:
	* invest-applet/invest/about.py:
	* invest-applet/invest/applet.py:
	* invest-applet/invest/chart.py:
	* invest-applet/invest/defs.py.in:
	* invest-applet/invest/invest-applet.py:
	* invest-applet/invest/invest-chart:
	* invest-applet/invest/preferences.py:
	* invest-applet/invest/quotes.py:
	* invest-applet/invest/widgets.py:
	Initial import of invest-applet

2006-04-13  Davyd Madeley  <davyd@madeley.id.au>

	* README.CVS: branched for gnome-2-14, this is the development branch

2006-04-10  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.14.1

2006-04-04  Pema Geyleg  <pema.geyleg@gmail.com>

	* configure.in: Added "dz" Dzongkha language.

2006-03-13  Vladimer Sichinava  <alinux@siena.linux.it>

        * configure.in: Added "ka" Georgian language.

2006-03-12  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.14.0

2006-02-26  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.13.90

2006-02-12  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.13.4

2006-02-12  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: configure fixes for building with GST 0.8
	* mixer/applet.c: add a comment to the about dialog to tell what GST
	  version you're using
	* mixer/load.c: add a comment for the large ifdef

2006-02-12  Davyd Madeley  <davyd@madeley.id.au>

	* po/POTFILES.in: added server file from last commit
	* gweather/gweather.schemas.in (removed): was moved to libgweather
	
2006-02-11  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* mini-commander/Makefile.am:
	* mini-commander/GNOME_MiniCommanderApplet.server.in:
	- make mini-commander run deskbar-applet's factory by default
	- clean up some things in configure.in

2006-01-31  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.13.3

2006-01-30  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: add missing link flags for mixer

	* battstat/battstat_applet.c:
	* gtik/gtik.c:
	* libgswitchit/gswitchit_config.c:
	* libkbdraw/keyboard-drawing.c:
	* mixer/applet.c:
	* modemlights/modem-applet.c: fix compiler warnings

2006-01-30  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am: drivemount depends on GNOME-VFS

	* configure.in:
	- bump libnotify version requirement
	- add a --with-gstreamer=xxx flag
	- test for different versions of GStreamer
	- add summary to the end of the configure

	* mixer/applet.c:
	* mixer/applet.h:
	* mixer/dock.h:
	* mixer/load.c:
	* mixer/preferences.c:
	* mixer/preferences.h: support for GStreamer 0.10

2006-01-16  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2006-01-16  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.13.2

2006-01-15  Davyd Madeley  <davyd@madeley.id.au>

	* po/POTFILES.skip: remove gweather/location.c as it no longer exists

2006-01-07  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: make HAL support optional with a --without-hal flag.
	  Patch from John N. Laliberte <allanonjl@gentoo.org>. Closes #318722.

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LIGNUAS.

2006-01-03  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: Bump required versions:
	  - libpanel-applet: 2.13.4 (needed for transparency API)
	  - libnotify: 0.3.0 (totally new API)

2005-12-27  Timur Jamakeev  <timurj@cvs.gnome.org>

	* configure.in: Added "ky" to ALL_LINGUAS

2005-12-13  Davyd Madeley  <davyd@madeley.id.ai>

	* configure.in:
	* NEWS: release 2.13.1
	
	* cpufreq/src/Makefile.am: allow compilation on GLib 2.9/GTK+ 2.8

	* po/POTFILES.in: update for files now in libgweather

2005-12-11  Philip Langdale  <philipl@mail.utexas.edu>

	* Merged libgweather from GWEATHER_REFACTOR branch.
	Changelog entries have been merged in as well.

2005-12-11  Philip Langdale  <philipl@mail.utexas.edu>

	R libgweatherprefs
	* libgweather
	* gweather
	* configure.in
	* Makefile.am: Merged libgweatherprefs into libgweather.
	Updated gweather accordingly.

2005-12-10  Brent Smith  <gnome@nextreality.net>

	* accessx-status/docs/C/accessx-status.xml:
	* battstat/docs/C/battstat.xml:
	* charpick/help/C/char-palette.xml:
	* cpufreq/help/C/cpufreq-applet.xml:
	* drivemount/help/C/drivemount.xml:
	* geyes/docs/C/geyes.xml:
	* gswitchit/help/C/gswitchit.xml:
	* gtik/help/C/gtik2_applet2.xml:
	* gweather/docs/C/gweather.xml:
	* mini-commander/help/C/command-line.xml:
	* mixer/docs/C/mixer_applet2.xml:
	* multiload/docs/C/multiload.xml:
	* stickynotes/docs/C/stickynotes_applet.xml:
	* trashapplet/docs/C/trashapplet.xml:
	updated all documentation to include more verbose
	descriptions and have consistent titles.

2005-12-04  Philip Langdale  <philipl@mail.utexas.edu>

	* libgweatherprefs: See the library ChangeLog for details.

2005-11-30  Philip Langdale  <philipl@mail.utexas.edu>

	* gweather: Updated gweather to use libgweather and
	libgweatherprefs. See gweather ChangeLog for details.

2005-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	* libgweatherprefs: Initial checkin of libgweatheprefs.
	See the library ChangeLog for details.

	Makefile.am
	configure.in: Build libgweatherprefs. Again, this is
	not being used by the applet yet.

2005-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	* libgweather: Checked in the functioning libgweather.
	See library ChangeLog for details.

	Makefile.am
	configure.in: Build the new libgweather. Note that the
	applet is not using it yet.

2005-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	* libgweather: My bad. I checked that into HEAD.
	Off it goes.

2005-11-27  Philip Langdale  <philipl@mail.utexas.edu>

	* libgweather: GWEATHER_REFACTOR branch created.
	This is the initial checkin of libgweather. See the
	library ChangeLog for details.

2005-11-23  Guilherme de S. Pastore  <gpastore@gnome.org>

	* configure.in:
	* battstat/acpi-freebsd.c:
	* battstat/power-management.c: applied patch to fix build
	  on kfreebsd-gnu (FreeBSD kernel, GNU libc). Thanks to
	  Aurelien Jarno <aurel32@debian.org>.

2005-11-15  Davyd Madeley  <davyd@madeley.id.au>

	* accessx-status/applet.c:
	* battstat/power-management.c:
	* battstat/properties.c:
	* charpick/charpick.c:
	* cpufreq/src/cpufreq-applet.c:
	* cpufreq/src/cpufreq-monitor-procfs.c:
	* cpufreq/src/cpufreq-monitor-sysfs.c:
	* cpufreq/src/cpufreq-prefs.c:
	* cpufreq/src/cpufreq-selector/cpufreq-procfs.c:
	* cpufreq/src/cpufreq-selector/cpufreq-sysfs.c:
	* drivemount/drive-button.c:
	* geyes/geyes.c:
	* geyes/themes.c:
	* gswitchit/gswitchit-applet.c:
	* gtik/gtik.c:
	* gtik/access/accessibledrawingarea.c:
	* gtik/access/factory.c:
	* gweather/gweather-applet.c:
	* gweather/gweather-dialog.c:
	* gweather/gweather-pref.c:
	* gweather/weather-bom.c:
	* gweather/weather-iwin.c:
	* gweather/weather-metar.c:
	* gweather/weather-wx.c:
	* gweather/weather.c:
	* mini-commander/src/exec.c:
	* mini-commander/src/history.c:
	* mini-commander/src/mc-install-default-macros.c:
	* mini-commander/src/preferences.c:
	* mixer/applet.c:
	* mixer/preferences.c:
	* modemlights/modem-applet.c:
	* null_applet/null_applet.c:
	* stickynotes/sticknotes_applet_callbacks.c:
	* trashapplet/src/Makefile.am:
	* trashapplet/src/trash-monitor.c:
	* trashapplet/src/trashapplet.c: A cleanup patch of serious scope.
	  Cleanup and dead code removal from Kjartan Marass and gcc 2.95 fixes
	  from Jens Granseuer <jensgr@gmx.net>.

2005-11-07  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: removing ku, the po file appears to be missing.

2005-10-27  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish)

2005-10-15  Davyd Madeley  <davyd@madeley.id.au>

	* libgswitchit/Makefile.am:
	* libkbdraw/Makefile.am: Remove compiler specific -Wall and replace it
	  with $(WARN_CFLAGS). Closes #318907.
	
	* trashapplet/src/Makefile.am: LDADD LIBGLADE_LIBS not CFLAGS. Closes
	  #318912.

	All fixes from Laszlo Peter <laszlo.peter@sun.com>

2005-10-04  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* README.CVS: branch for gnome-2-12 (this is the development branch)

2005-10-04  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: release GNOME-Applets 2.12.1

2005-10-04  Davyd Madeley  <davyd@madeley.id.au>

	* HACKING:
	* MAINTAINERS:
	* README.CVS:
	* README.STABLE_BRANCH: (removed)
	* po/ChangeLog: "Maintainer stuff"

2005-10-04  Davyd Madeley  <davyd@madeley.id.au>

	* charpick/help/es/legal.xml:
	* charpick/help/it/char-palette.xml:
	* charpick/help/it/legal.xml:
	* drivemount/help/it/drivemount.xml:
	* drivemount/help/it/legal.xml:
	* geyes/docs/it/geyes.xml:
	* geyes/docs/it/legal.xml:
	* gtik/help/es/legal.xml:
	* mixer/docs/es/legal.xml:
	* multiload/docs/es/legal.xml:
	* stickynotes/docs/es/legal.xml: remove dead XML files that have been
	  replaced with xml2po.
	
	* drivemount/help/pa/pa.po: Someone had forgotten to add this (that
	  someone was me)

2005-10-01  Davyd Madeley  <davyd@madeley.id.au>

	* gswitchit/Makefile.am: build fixes, adapted from those submitted by
	  the Cygwin team. Closes #317636.

2005-09-18  Ryan Lortie  <desrt@desrt.ca>
	
	* MAINTAINERS: gnome-applets is maintained by Davyd Madeley.

2005-09-04  Ryan Lortie  <desrt@desrt.ca>

	* configure.in:
	* NEWS:
	* README: GNOME 2.12.0 Release.

2005-09-04  Danilo Šegan  <danilo@gnome.org>

	* configure.in: Added Armenian (hy) to ALL_LINGUAS.

2005-08-31  Davyd Madeley  <davyd@madeley.id.au>

	* cpufreq/help/C/cpufreq-applet.xml:
	* cpufreq/help/C/figures/cpufreq-applet-preferences.png:
	* mini-commander/help/C/command-line.xml:
	* mini-commander/help/C/figures/command-line.png:
	* cpufreq/help/C/figures/cpufreq-applet-preferences-smp.png:
	* cpufreq/help/C/figures/cpufreq-applet-selector-both.png:
	- updated documentation for cpufreq and mini-commander

2005-08-29  Ryan Lortie  <desrt@desrt.ca>

	* configure.in:
	* NEWS: release gnome-applets 2.11.93

2005-08-24  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: Add checks for non-portable headers <pty.h> and
	  <values.h>.  Patch from Diego Pettenò <flameeyes@gentoo.org> closes
	  bug #314366.

2005-08-24  Sergey Udaltsov <svu@gnome.org>

	* configure.in:
	do not need pangoxft any more,
	fixing #313368

2005-08-23  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release gnome-applets 2.11.92.1

2005-08-23  Benoît Dejean  <benoit@placenet.org>

	* configure.in: requires libgtop 2.11.92

2005-08-23  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release gnome-applets 2.11.92

2005-08-23  Davyd Madeley  <davyd@madeley.id.au>

	* charpick/help/es/char-palette.xml:
	* gtik/help/es/gtik2_applet2.xml:
	* mini-commander/help/es/command-line.xml:
	* mixer/docs/es/mixer_applet2.xml: REMOVED (now generated by g-d-u)

2005-08-14  Sergey Udaltsov <svu@gnome.org>

	* configure.in,gswitchit/Makefile.am:
	fixing #313368

2005-08-08  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: Release gnome-applets 2.11.91

2005-08-08  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* gweather/weather-metar.c:
	* gweather/weather.c: Build fixes for Solaris and AIX, closes #304118
	  and #306275. Based off patches from Brian Cameron
	  <brian.cameron@sun.com> and Sandie Vanderme
	  <sandie.vanderme@bull.net> respectively.

2005-08-05  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-08-02  Caleb Groom  <caleb@calebgroom.com>

	* configure.in: Bump required libgnome-desktop to 2.11.1 as
	  per bug #312247.

2005-08-01  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: Bump required HAL version to 0.5.3 since 0.5.2
	  has known problems with ACPI.

2005-07-28  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am:
	* configure.in:
	* gswitchit/Makefile.am:
	* libkbdraw/Makefile.am: build fixes

2005-07-27  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am,
	configure.in: adding libkbdraw (virtual module)

2005-07-21  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am: Make it distcheck again. Requires yesterday's
	  g-d-utils.

2005-07-20  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* accessx-status/docs/C/accessx-status.xml:
	* battstat/docs/C/battstat.xml:
	* charpick/help/C/char-palette.xml:
	* cpufreq/help/C/cpufreq-applet.xml:
	* drivemount/help/C/drivemount.xml:
	* geyes/docs/C/geyes.xml:
	* gswitchit/help/C/gswitchit.xml:
	* gtik/help/Makefile.am:
	* gtik/help/gtik2_applet2.omf.in:
	* gtik/help/C/gtik2_applet2.xml:
	* gweather/docs/C/gweather.xml:
	* mini-commander/help/C/command-line.xml:
	* mixer/docs/C/mixer_applet2.xml:
	* multiload/docs/C/multiload.xml:
	* stickynotes/docs/C/stickynotes_applet.xml:
	* trashapplet/docs/C/trashapplet.xml: gnome-doc-utilise.
	  Currently does not want to pass distcheck due to scrollkeeper hating
	  me. Will have that looked at.

2005-07-20  Danilo Šegan  <danilo@gnome.org>

	* Makefile.am (EXTRA_DIST): Add gnome-doc-utils.make.
	(DISTCLEANFILES): Likewise.

	* configure.in: Add GNOME_DOC_INIT.
	Removed battstat/docs/C/Makefile, drivemount/help/C/Makefile,
	charpick/help/C/Makefile, cpufreq/help/C/Makefile from AC_OUTPUT.

2005-07-13  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release version 2.11.2

2005-07-04  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: Add check for libhal, fix checks for libnotify,
		mixer-applet, gucharmap, etc.

2005-07-01  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release version 2.11.1

2005-06-19  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Test for libnotify

2005-05-10  Ryan Lortie  <desrt@desrt.ca>

	* configure.in: Added some include help for battstat FreeBSD ACPI
		port which is being commited to battstat at the same time.
		See bug #168355.

2005-05-09  Dennis Cranston <dennis_cranston@yahoo.com>

	* configure.in: Added check for gnome-desktop with 
	gnome-desktop-item_new_from_basename() api.

2005-04-08  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-04-01  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-28  Davyd Madeley  <davyd@madeley.id.au>

	Branched for G10. This is the HEAD branch, which is unfrozen
	for development towards G12.

	* configure.in: Bump version number.

2005-03-09  Maxim Dziumanenko <mvd@mylinux.com.ua>

	* configure.in: 
	* accessx-status/docs/uk/*:
	* accessx-status/docs/Makefile.am:
	* battstat/docs/uk/*:
	* battstat/docs/Makefile.am:
	* charpick/help/uk/*:
	* charpick/help/Makefile.am:
	* cpufreq/help/uk/*:
	* cpufreq/help/Makefile.am:
	* drivemount/help/uk/*:
	* drivemount/help/Makefile.am:
	* geyes/docs/uk/*:
	* geyes/docs/Makefile.am:
	* gswitchit/help/uk/*:
	* gswitchit/help/Makefile.am:
	* gtik/help/uk/*:
	* gtik/help/Makefile.am:
	* gweather/docs/uk/*:
	* gweather/docs/Makefile.am:
	* mini-commander/help/uk/*:
	* mini-commander/help/Makefile.am:
	* mixer/docs/uk/*:
	* mixer/docs/Makefile.am:
	* multiload/docs/uk/*:
	* multiload/docs/Makefile.am:
	* stickynotes/docs/uk/*:
	* stickynotes/docs/Makefile.am:
	* trashapplet/docs/uk/*:
	* trashapplet/docs/Makefile.am:
	Added Ukrainian translation of the manual.

2005-03-07  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.10.0

	* README: Update for GNOME 2.10

2005-03-07  Davyd Madeley  <davyd@madeley.id.au>

	* cpufreq/help/C/Makefile.am:
	* stickynotes/docs/C/Makefile.am:
	* trashapplet/docs/C/Makefile.am: Refer to figures correctly.

2005-03-01  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.7

2005-02-08  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.6

2005-01-24  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.5

2005-01-24  Carlos Garnacho Parro  <carlosg@gnome.org>

	* configure.in: added su checks for the modemlights applet

2005-01-23  Davyd Madeley  <davyd@madeley.id.au>

	* battstat/GNOME_BattstatApplet.server.in.in:
	* battstat/Makefile.am:
	* battstat/battstat_applet.c:
	* battstat/battstat.png (removed): Switch to using gnome-dev-battery

	* drivemount/GNOME_DriveMountApplet.server.in.in:
	* drivemount/Makefile.am:
	* drivemount/drivemount.c:
	* drivemount/drivemount-applet.png (removed): Switch to
	  gnome-dev-jazdrive.
	
	* mixer/GNOME_MixerApplet.server.in.in:
	* mixer/Makefile.am:
	* mixer/applet.c:
	* mixer/gnome-mixer-applet.png (removed): Switch to volume-knob.

2005-01-13  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: New configure option : --enable-more-warnings
	(GCC only). Use it !

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.4.1

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.4

	* Makefile.am: Ensure M4 macros are in included in tarball

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Use ACLOCAL_AMFLAGS correctly.

	* charpick/charpick.c:
	* minicommander/src/about.c:
	* mixer/applet.c: Use GtkAboutDialog

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* accessx-status/applet.c:
	* battstat/battstat_applet.c:
	* charpick/charpick.c:
	* drivemount/drivemount.c:
	* geyes/geyes.c:
	* gswitchit/gswitchit-applet.c:
	* gtik/gtik.c:
	* gweather/gweather-applet.c:
	* mini-commander/src/mini-commander_applet.c:
	* mixer/applet.c:
	* modemlights/modem-applet.c:
	* multiload/main.c:
	* trashapplet/src/trashapplet.c: specify DATADIR in
	panel_applet_setup_menu_from_file(), this will load the correct
	version of the menus XML when building in a different prefix.

	* modemlights/modem-applet.c:
	* trashapplet/src/trashapplet.c: Don't set parent for GtkAboutDialog,
	as we want about dialog to appear in the middle of the screen.

	* gweather/Makefile.am:
	* gweather/gweather-xml.c: Move Gweather files to
	${pkgdatadir}/gweather. Remove deprecated function. Fixes out of
	prefix builds.

	* battstat/battstat_applet.c: Use GtkAboutDialog

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* geyes/Makefile.am:
	* geyes/themes/Makefile.am: Move geyes themes to ${pkgdatadir}

2005-01-11  Tomasz Kłoczko  <kloczek@pld.org.pl>

	* configure.in:
	  Define GNOME_GLADEDIR and $(gladedir) as ${pkgdatadir}/glade.
	  Use this directory for access all gnoem-applets applications to
	  glade files.
	  Small fixed GNOME_PIXMAPSDIR.
	* battstat/Makefile.am:
	* pufreq/Makefile.am:
	* gswitchit/Makefile.am:
	* mini-commander/src/Makefile.am:
	* modemlights/Makefile.am:
	* stickynotes/Makefile.am:
	  Remove all gladedir definitions (now will be used value defined in
	  cnfigure.in).
	  Remove all -D<FOO> with glade directories.
	* battstat/properties.c:
	* cpufreq/src/cpufreq-prefs.c:
	* gswitchit/gswitchit-plugins-add.c:
	* gswitchit/gswitchit-plugins.c:
	* mini-commander/src/preferences.c:
	* modemlights/modem-applet.c:
	* stickynotes/stickynotes_applet.h:
	  Use GNOME_GLADEDIR as base directory for acces to glade files.

	* battstat/Makefile.am:
	  Use $(pixmapsdir) "framework".

	* battstat/Makefile.am:
	  Remove -DDATA_DIR from INCLUDES (DATA_DIR is not used in battstat
	  subtree).

	* modemlights/Makefile.am: use $(pixmapsdir) "framework". Cleanups.
	  Remove using -DGNOMELOCALEDIR from INCLUDES (this symbol is now
	  defined in project <config.h>).

	* cpufreq/src/Makefile.am:
	* cpufreq/src/cpufreq-selector/Makefile.am:
	* gswitchit/Makefile.am:
	  Remove -Wall -Werror (non-portable options) and not used any more
	  -I$(top_srcdir)/intl from INCLUDES.

2005-01-11  Davyd Madeley  <davyd@madeley.id.au>

	* HACKING: update with more pertinent information

2005-01-10  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: require LIBGTOP >= 2.9.4.

2005-01-10  Davyd Madeley  <davyd@madeley.id.au>

	* m4/system-tools-backends.m4 (added): Add this file to stop the build
	  from breaking. Is there no way to test for macros before we try to
	  use them?

2005-01-09  Benoît Dejean  <TazForEver@dlfp.org>

	* configure.in: require LIBGTOP >= 2.9.0.

2005-01-07  Elijah Newren  <newren@gmail.com>

	* configure.in: require LIBPANEL_APPLET >= 2.9.4 (mini-commander
	needs to use new panel_applet_request_focus() API)

2005-01-07  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Support for new modemlights (requires
	  gnome-system-tools to build).
	* modemlights/*: Out with the old, in with the new.

2005-01-07  Davyd Madeley  <davyd@madeley.id.au>

	* wireless/.cvsignore (Removed): Missed one ;)

2005-01-06  Mark McLoughlin  <mark@skynet.ie>

	Deprecate the wireless applet in favour of netstatus.

	* Makefile.am, configure.in: don't build wireless dir.
	
	* wireless/*: remove.

2005-01-04  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: stickynotes now requires libwnck. I accidently
	committed changes to stickynotes last time, so they can stay.

2005-01-04  Davyd Madeley  <davyd@madeley.id.au>

	* cdplayer/*: Removed
	
	* Makefile.am:
	* configure.in: Removed cdplayer from build

	* null_applet/GNOME_NullApplet_Factory.server.in.in:
	* null_applet/null_applet.c: Taught null_applet to remove cdplayers

2005-01-04  Christoffer Olsen  <co@deworks.net>

	* HACKING: Updated it
	* gweather/gweather.schemas.in: Fixed bug #150921

2005-01-03  Thomas Vander Stichele  <thomas at apestaart dot org>

	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* m4/ac-define-dir.m4:
	  Add AC_DEFINE_DIR, m4 dir, and use it to properly get
	  directories defined in config.h

2005-01-03  Davyd Madeley  <davyd@madeley.id.au>

	* wireless/wireless-applet.c:
	* mixer/applet.c: Fix some file locations.

2005-01-03  Tomasz Kłoczko <kloczek@pld.org.pl>

	* gnome-applets/battstat/po/*: removed all files (all battstat
	  translations are now in central po/).

	* accessx-status/Makefile.am: removed -DGLADEDIR=$(gladedir) from
	  INCLUDES (not used anymore). INCLUDES moved on top (after SUBDIRS).

2005-01-03  Davyd Madeley  <davyd@madeley.id.au>

	* autogen.sh: Up requirement to automake-1.8.
	
	* Makefile.am:
	* battstat/Makefile.am:
	* battstat/sounds/Makefile.am:
	* charpick/Makefile.am:
	* drivemount/Makefile.am:
	* geyes/Makefile.am:
	* gkb-new/Makefile.am:
	* gswitchit/Makefile.am:
	* gtik/Makefile.am:
	* gweather/Makefile.am:
	* mini-commander/src/Makefile.am:
	* mixer/Makefile.am:
	* modemlights/Makefile.am:
	* multiload/Makefile.am:
	* stickynotes/Makefile.am: Clean up files for distcheck.

2005-01-02  Tomasz Kłoczko <kloczek@pld.org.pl>

	* configure.in:
	  Add base infrastructure for icons and pixmaps.
	* accessx-status/Makefile.am:
	  Remove -DPIXMAPDIR from INCLUDES.
	* accessx-status/applet.c:
	  Use GNOME_PIXMAPDIR defined in configure.in istead PIXMAPDIR.
	* accessx-status/pixmaps/Makefile.am:
	  Rename icons{dir,_DATA} to accessx_status_pixmaps{dir,_DATA}.
	  Define accessx_status_pixmapsdir as
	  $(pixmapsdir)/accessx-status-applet.
	* cdplayer/Makefile.am:
	  Removed double listed IMAGES from EXTRA_DIST.
	  Indentations in IMAGES, VARIABLES, EXTRA_DIST, *_SOURCES, *_DEPS.
	* cpufreq/pixmaps/Makefile.am:
	  Removed -DICONDIR from INCLUDES (unused).
	* drivemount/Makefile.am:
	  Rdefine desktop_iconsdir using $(iconsdir).
	  Indentations in drivemount_applet2_{SOURCES,LDADD}.
	* geyes/Makefile.am gtik/Makefile.am:
	  Redefine pixmapdir to desktop_iconsdir using $(iconsdir).
	* mini-commander/src/Makefile.am:
	  Rename bitmaps_DATA to BITMAPS. This bitmaps are directly included in
	  mini-commander_applet.c and must be not installed.
	  Indentations in mini_commander_applet_LDADD.
	  Redefine pixmapdir to desktop_iconsdir using $(iconsdir).
	* mixer/Makefile.am:
	  Redefine pixmapdir to desktop_iconsdir using $(iconsdir).
	  Rename pixmapsdir to mixer_pixmapsdir abd define using $(pixmapsdir).
	  Remove -DPIXDIR from INCLUDES.
	* mixer/applet.c:
	  Use GNOME_PIXMAPSDIR instead PIXDIR.
	* modemlights/Makefile.am:
	  Redefine pixmapdir to desktop_iconsdir using $(iconsdir).
	* multiload/Makefile.am:
	  Redefine pixmapdir to desktop_iconsdir using $(iconsdir).
	  Indentations in EXTRA_DIST.
	* wireless/Makefile.am:
	  Remove -DICONDIR from INCLUDES.
	  Redefine pixmapdir to wireless_applet_pixmapdir using $(pixmapsdir).
	* wireless/wireless-applet.c:
	  Use GNOME_PIXMAPSDIR instead pixmapsdir.

2005-01-01  Tomasz Kłoczko <kloczek@pld.org.pl>

	* gweather/pixmaps/*: removed (unused now).

	* gnome-applets/cpufreq/src/Makefile.am: remove -DGNOMELOCALEDIR
	  from INCLUDES. GNOMELOCALEDIR is now declared in configure.in.

	* acinclude.m4: removed private copy of esd.m4. gmome-applets
	  don't uses now esound.

2004-12-28  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am: Scrollkeeper fix for distcheck (patch from Mariano
	  Suárez-Alvarez <mariano@gnome.org>
	* configure.in: Bump post release version to 2.9.3.2

2004-12-27  Tomasz Kłoczko <kloczek@pld.org.pl>

	* configure.in: add AC_DEFINE_UNQUOTED(GNOMELOCALEDIR,
				"${datadir}/locale", [locale directory])
	* accessx-status/Makefile.am:
	* battstat/Makefile.am:
	* battstat/apmlib/Makefile.am:
	* cdplayer/Makefile.am:
	* charpick/Makefile.am:
	* cpufreq/src/Makefile.am:
	* drivemount/Makefile.am:
	* geyes/Makefile.am:
	* gswitchit/Makefile.am:
	* gtik/Makefile.am:
	* gtik/access/Makefile.am:
	* gweather/Makefile.am:
	* libgswitchit/Makefile.am:
	* mini-commander/src/Makefile.am:
	* mixer/Makefile.am:
	* modemlights/Makefile.am:
	* modemlights/Makefile.am:
	* multiload/Makefile.am:
	* null_applet/Makefile.am:
	* stickynotes/Makefile.am:
	* wireless/Makefile.am: remove all all -DGNOMELOCALEDIR.
	  Now GNOMELOCALEDIR is declared in single point. Adjustments in
	  INCLUDES.

2004-12-27  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.3.1

2004-12-21  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.3 (not tagged)

2004-12-08  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in: Bump libxklavier requirement to 1.13

2004-12-07  Sergey V. Udaltsov <svu@gnome.org>

	* gkb-new: Cleanup. No more gkb-new - only xmodmap data

2004-11-30  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Bumping post-release version to 2.9.2.99

2004-11-30  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.2

2004-11-27  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am:
	* configure.in:
	* charpick/charpick.c: Make the usage of gucharmap optional so that
	people with gucharmap will still be able to build the applet (they
	just won't get the names of the characters, ie. the old behaviour).
	People with gucharmap will get the new feature.
	
	* configure.in:
	* acconfig.h (removed): Remove deprecated acconfig.h and change
	all AC_DEFINE()s to have have description fields.

2004-11-25  Carlos Garcia Campos <carlosgc@gnome.org>

	* cpufreq/GNOME_CPUFreqApplet.server.in.in: Add bugzilla information

2004-11-25  Davyd Madeley  <davyd@madeley.id.au>

	* po/POTFILES.in: Add missing files.

2004-11-08  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in,
	gkb-new/descs/.cvsignore,
	gkb-new/descs/Makefile.am
	gkb-new/descs/presets2base.xsl: generating base.xml - 
	necessary for oncoming xmodmap support in libxklavier

2004-11-08  Carlos Garcia Campos <carlosgc@gnome.org>

	* po/POTFILES.in: Add cpufreq files for translation

2004-11-08  Carlos Garcia Campos <carlosgc@gnome.org>

	* Makefile.am, configure.in: Add new cpufreq-applet
	
2004-11-08  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* mixer/applet.c: (gnome_volume_applet_class_init),
	(gnome_volume_applet_background):
	  Add _change_background stuff that Davyd added everywhere else.

2004-11-01  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Bumping post-release version to 2.9.1.99

2004-11-01  Davyd Madeley  <davyd@madeley.id.au>

	* NEWS:
	* configure.in: Release 2.9.1

	* gtik/Makefile.am:
	* modemlights/Makefile.am:
	* wireless/Makefile.am: Add missing png to EXTRA_DIST

2004-11-01  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* mixer/applet.c: (gnome_volume_applet_toggle_mute):
	  Update icon when muting. Doesn't happen automagically for some
	  people for some reason (fixes #153553 partly).

2004-10-31  Sergey V. Udaltsov <svu@gnome.org>

	* gkb-new/descs/Makefile.am:
	* gkb-new/descs/Catalan.keyprop.desktop.in:
	* gkb-new/gkb/Makefile.am:
	* gkb-new/gkb/ct.png: Adding Catalan layout. Fixing #99460

2004-10-30  Sergey V. Udaltsov <svu@gnome.org>

	* gkb-new/descs/Makefile.am:
	* gkb-new/descs/LV_Apostrophe.keyprop.desktop.in:
	* gkb-new/descs/LV_Standard.keyprop.desktop.in:
	* gkb-new/descs/LV_Tilda.keyprop.desktop.in:
	* gkb-new/gkb/Makefile.am:
	* gkb-new/gkb/lv.png: Adding Latvian layout. Fixing #128740

2004-10-30  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* Makefile.am: Make charpick applet require gucharmap (>=1.4.0) this
	  allows us to get the description of unicode characters. If gucharmap
	  is not available then charpick won't be built.

2004-10-27  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* mixer/applet.c: (flip_byte), (flip_pixel), (flip),
	(gnome_volume_applet_class_init):
	  Fix icon for RTL environments.

2004-10-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* mixer/applet.c: (gnome_volume_applet_get_dock_position),
	(gnome_volume_applet_popup_dock):
	  Refactoring.
	(gnome_volume_applet_button):
	  Hide on move (fixes #152855).

2004-10-26  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* mixer/applet.c: (gnome_volume_applet_setup),
	(gnome_volume_applet_popup_dock),
	(gnome_volume_applet_popdown_dock):
	  Behave like a menu (fixes #98355).
	(gnome_volume_applet_toggle_mute),
	(gnome_volume_applet_orientation), (cb_verb), (cb_ui_event):
	  Fix mute behaviour via the menu (fixes #153553).

2004-10-26  Davyd Madeley  <davyd@madeley.id.au>

	* Makefile.am:
	* configure.in: Remove mailcheck, add new null_applet to deprecate
	  mailcheck
	
	A null_applet/*: null_applet: The Applet Deprecation Applet

	R mailcheck/*: The Inbox Monitor, may it Rest In Peace

2004-10-25  Davyd Madeley  <davyd@madeley.id.au>

	* gtik/gnome-money.png
	* gtik/Makefile.am:
	* mailcheck/Makefile.am:
	* mailcheck/gnome-mailcheck.png:
	* modemlights/Makefile.am:
	* modemlights/gnome-modem.png: Move three icons from gnome-desktop
	
	* charpick/charpick.c:
	* gtik/gtik.c:
	* mailcheck/mailcheck.c:
	* mini-commander/src/about.c:
	* mixer/applet.c:
	* modemlights/modemlights.c:
	* multiload/main.c:
	* trashapplet/src/trashapplet.c: Switch to using GtkIconTheme to load
	  pixmaps.

2004-10-19  Michiel Sikkes  <michiel@eyesopened.nl>

	* trashapplet/src/Makefile.am:
	* trashapplet/src/trash-monitor.c:
	* trashapplet/src/trash-monitor.h:
	* trashapplet/src/trashapplet.c:
	* trashapplet/src/trashapplet.h: Added multiple trashdir support by
	James Henstridge. Closes #153283.

2004-10-08  Shaun McCance  <shaunm@gnome.org>

	* stickynotes/stickynotes.c:
	- Use right section for note properties Help (#152476)

2004-10-05  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Bump requirements for GTK+ and other core libraries.
	  We now require gtk+-2.5 for icon theming.

	* battstat/Makefile.am:
	* charpick/Makefile.am:
	* drivemount/Makefile.am:
	* geyes/Makefile.am:
	* gkb-new/Makefile.am:
	* gswitchit/Makefile.am:
	* mini-commander/src/Makefile.am:
	* mixer/Makefile.am:
	* multiload/Makefile.am: Switch from installing in
	  $prefix/share/pixmaps to $prefix/share/icons/48x48/apps

	* wireless/GNOME_Panel_WirelessApplet.server.in.in:
	* wireless/Makefile.am: Split the application icon out to install as
	  above, leave the application pixmaps in $prefix/share/pixmaps

	- already correct: cdplayer, gweather, stickynotes
	- need to correct: gtik, mailcheck, modemlights
	  have to move their icons from gnome-desktop
	- pixmap directories need to be moved, but require changes to icon
	  theming lookup code
	
	* battstat/battstat_applet.c:
	* charpick/charpick.c:
	* drivemount/drivemount.c:
	* geyes/geyes.c:
	* gkb-new/gkb.c:
	* gtik/gtik.c:
	* mini-commander/src/mini-commander_applet.c:
	* modemlights/modemlights.c:
	* multiload/main.c:
	* wireless/wireless-applet.c: Use gtk_window_set_default_icon_name()
	  to get the icon from the theme

2004-10-05  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Bump requirements for libxklavier to 1.10, required to
	build the latest libgswitchit.

2004-09-20  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* Makefile.am:
	* po/POTFILES.in:
	* trashapplet/: Added Michiel Sikkes' <michiels@luon.net> trash applet
	  to GNOME Applets. Closes #152928.

2004-09-16  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* configure.in:
	  Update GStreamer requirement because we're using an object that
	  was introduced only in gst-plugins 0.8.2.

2004-09-16  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Upgraded version number to 2.9.0 so people know
	they're running development code

2004-09-16  Davyd Madeley  <davyd@madeley.id.au>

	* README.STABLE_BRANCH: Updated for new stable branch

2004-09-13  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS:
	* README: release 2.8.0
	* mixer/Makefile.am: Fix build issue found when building tarball.

2004-09-13  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Added gswitchit docs from Angela Boyle

2004-09-05  Akagic Amila  <bono@linux.org.ba>

	* configure.in: Added 'bs' to ALL_LINGUAS.

2004-08-30  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.7.3

2004-08-16  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* NEWS: release 2.7.2

2004-08-16  Davyd Madeley  <davyd@madeley.id.au>

	* screen-exec/*: Remove from CVS.

2004-08-16  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added id to ALL_LINGUAS.
	* po/id.po: Added Indonesian translation done by Ahmad Riza H Nst <rizahnst@eriagempita.co.id>.

2004-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Removed reference to screen-exec
	* Makefile.am: Here too.
	* screen-exec/*: Remove cruft.
	* configure.in: Added nb to ALL_LINGUAS.

2004-08-14  Arafat Medini  <lumina@silverpen.de>

	configure.in: Updated faulty Arabic translation and added
	"ar" Arabic locale to ALL_LINGUAS.

2004-08-10  Davyd Madeley  <davyd@madeley.id.au>

	* po/POTFILES.in: Add:
	   - gkb-new/GNOME_KeyboardApplet_Factory.server.in.in
	   - gkb-new/descs.sun/presets.xml.in
	   - gkb-new/descs/SK__x.keyprop.desktop.in
	for translation.

2004-08-10  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in: Require gnome-panel 2.7.x
	* accessx-status/GNOME_AccessxStatusApplet.server.in.in:
	* cdplayer/GNOME_CDPlayerApplet.server.in.in:
	* charpick/GNOME_CharpickerApplet.server.in.in:
	* drivemount/GNOME_DriveMountApplet.server.in.in:
	* geyes/GNOME_GeyesApplet.server.in.in:
	* gkb-new/GNOME_KeyboardApplet_Factory.server.in.in:
	* gswitchit/GNOME_KeyboardApplet.server.in.in:
	* gtik/GNOME_GtikApplet.server.in.in:
	* multiload/GNOME_MultiLoadApplet_Factory.server.in.in:
	* stickynotes/GNOME_StickyNotesApplet.server.in.in:
	* wireless/GNOME_Panel_WirelessApplet.server.in.in:
	* mixer/GNOME_MixerApplet.server.in.in:
	* battstat/GNOME_BattstatApplet.server.in.in:
	* gweather/GNOME_GWeatherApplet_Factory.server.in.in:
	* mailcheck/GNOME_MailcheckApplet_Factory.server.in.in:
	* mini-commander/src/GNOME_MiniCommanderApplet.server.in.in:
	* modemlights/GNOME_ModemLightsApplet.server.in.in: remove
	panel:category attribute to conform with requirements for gnome-panel
	2.7.

2004-08-02  Davyd Madeley  <davyd@ucc.asn.au>

	* configure.in:
	* NEWS: release 2.7.1
	* MAINTAINERS: added self to MAINTAINERS file

2004-07-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add a --disable-battstat argument. bug #148163.

2004-07-18  Kevin Vandersloot <kfv101 psu edu>

	* configure.in: release 2.7.0

Tue Jul  6 17:48:58 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: remove Arabic temporarily from ALL_LINGUAS as it
	has invalid UTF-8 in the current po file.

2004-06-11  Dennis Smit  <ds@nerds-incorporated.org>

	Removed ellipses in context menus.
	
	Based on the patch by:
	Alexander Winston  <alexander.winston@comcast.net>
	
	Fixes bug: #133782.

2004-06-09  Dennis Smit  <ds@nerds-incorporated.org>
	
	* wireless-applet.c: Portability fixes for the IBM C compiler.

2004-06-08  Dennis Smit  <ds@nerds-incorporated.org>

	* configure.in: Fixes for PPC and libapm.

	Patch from: Bryan Forbes  <bryan@reigndropsfall.net>

	Fixes bug: #137631.

2004-05-13  Kevin Vandersloot <kfv101@psu.edu>

	* release 2.6.1

2004-04-27  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump version and fix build

2004-04-22  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* */docs/eu/*: Added Basque help files

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-23  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-21  Kevin Vandersloot <kfv101 psu edu>

	* configure.in: release 2.6.0

2004-03-17  Dennis Smit  <ds@nerds-incorporated.org>

	* NEWS: Updates for 2.5.90.

	Still needs updates for 2.5.7 and 2.5.8 but
	that'll come later!

2004-03-17  Glynn Foster  <glynn.foster@sun.com>

	* applet-docs.am.template, applet-docs.make,
	* omf-install/Makefile.am, sgmldocs.make: Remove more legacy
	doc stuff. We should be clear of it now.

2004-03-16  Glynn Foster  <glynn.foster@sun.com>

	* configure.in: Add l10n'd docs to the build. Still missing 
	some ja updates, but have pinged emerald@gnome.gr.org before
	I stamp all over his docs with a sun mark.

2004-03-15  Glynn Foster  <glynn.foster@sun.com>

	* docs/*: Remove top level crap that we don't need anymore.

2004-03-14  Kevin Vandersloot <kfv101 psu edu>

	* configure.in: release 2.5.8

2004-03-10  Kevin Vandersloot <kfv101 psu edu>

	* configure.in: release 2.5.7

2004-03-07  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in: check for GStreamer 0.8 and 0.7

2004-03-05  Paisa Seeluangsawat  <paisa@users.sf.net>

	* configure.in: Added "th" (Thai) to ALL_LINGUAS.

2004-02-22  Kevin Vandersloot

	* configure.in: reelase 2.5.6

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-18  Kevin Vandersloot

	* configure.in: More  BSD support from Julio M. Merino Vidal.

2004-02-17  Kevin Vandersloot

	* configure.in: fix compilation on Net BSD. Fixes bug #134654. Patch from
	Julio M. Merino Vidal.

2004-02-10  Jason Leach  <leach@wam.umd.edu>

	* configure.in: Removed the --disable-install-schemas arg (whose
	conditional is not being used anywhere), because there is already
	a --disable-schemas-install from gconf.m4's AM_GCONF_SOURCE_2
	macro.

2004-02-06  Dennis Cranston <dennis_cranston at yahoo com>

	Fix for bug 133605.
	* gswitchit/gswitchit-applet.c:
	(GSwitchItAppletInit): Set PANEL_APPLET_EXPAND_MINOR.
	
2004-02-06  Padraig O'Briain (padraig.obriain@sun.com)

	* gswitchit/gswitchit-applet.c (GSwitchItAppletFilterXEvt):
	Return GDK_FILTER_CONTINUE for ReparentNotify event so that
	gtk_plug_filter_func gets the events. Fixes bug #132851.

2004-02-05  Dennis Smit  <ds@nerds-incorporated.org>
	
	* configure.in: Install the docs for multiload.

2004-02-03  Alexander Winston  <alexander.winston@comcast.net>

	* acinclude.m4: Quoted definition of macro AM_PATH_ESD. Fixes
	#133213.

2004-02-01  Kevin Vandersloot

	* configure.in: release 2.5.5
	
2004-02-01  Chee Bin HOH <cbhoh@gnome.org>
 
 	* accessx-status/applet.c:
 	* battstat/battstat_applet.c:
 	* cdplayer/cdplayer.c:
 	* charpick/charpick.c:
 	* drivemount/drivemount.c:
 	* geyes/geyes.c:
 	* gtik/gtik.c:
 	* gweather/gweather-about.c:
 	* mailcheck/mailcheck.c:
 	* mini-commander/src/about.c:
 	* modemlights/modemlights.c:
 	* stickynotes/stickynotes_applet_callbacks.c:
 	* wireless/wireless-applet.c: Update documenters credit in 
 	About dialog.

2004-02-01  Dennis Smit  <ds@nerds-incorporated.org>
	* NEWS: Updates for 2.5.5.

2004-01-29  Chee Bin HOH <cbhoh@gnome.org>
	
        * modemlights.c:
        * properties.c: fix bug #132832 for displaying online help.
                                                                                                                             
2004-01-27  Bill Haneman <billh@gnome.org>

	Fix for bug 132225.
	* gswitchit/gswitchit-applet.c:
	(GSwitchItAppletKeyPressed): New, cycle through
	available groups on 'Enter', 'Return', or 'spacebar'.
	(GSwitchItAppletPrepareDrawing): Connect to the
	key-pressed signal on the applet as well as the
	button-pressed signal on the event box.

	Also changed C++ style "//" comments to /* */.

2004-01-27  Chee Bin HOH  <cbhoh@gnome.org>
	
	* modemlights/ChangeLog:
	* modemlights/docs/C: update docs for modemlights 2.6

2004-01-27  Vijaykumar Patwari <vijaykumar.patwari@wipro.com>

	Fix bug #125909: Property windows remain after applet removal

	* stickynotes/stickynotes.c (stickynote_new): Attached a response
	signal to the property window.
	(response_cb): the signal callback.
	(stickynote_change_properties): Get rid of gtk_dialog_run() which
	was the cause of the problem.
	
2004-01-18  Jason Leach  <leach@wam.umd.edu>

	* gswitchit/Makefile.am (GCONF_CONFIG_SOURCE): builddir != srcdir fix.

2004-01-15  Kevin Vandersloot

	* configure.in: release 2.5.4

2004-01-03  Jon Trowbridge <trow@ximian.com>

	* configure.in: Check for gstreamer for the mixer applet.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION) : set this to 1.6 to cope
	  with the gswitchit reqs.

2003-12-7  Kevin Vandersloot

	* configure.in: release 2.5.3

2003-12-15  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "hr" to ALL_LINGUAS.

2003-12-12  Laurent Dhima  <laurentialblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.
  
2003-12-7  Kevin Vandersloot

	* configure.in: release 2.5.2

2003-11-14  Kevin Vandersloot

	* configure.in: release 2.5.1

2003-10-22  Kevin Vandersloot

	* configure.in: require new gnome-panel for lock down stuff. Release
	2.5.0

2003-10-22  Breda McColgan <Breda.McColgan@sun.com>

	* cdplayer/docs/C/topic.dat: deleted this old file
	* cdplayer/docs/C/cdplayer.sgml: deleted this old file
	* cdplayer/docs/C/cdplayer_applet-C.omf: deleted this old file
	* cdplayer/docs/C/cdplayer_applet.sgml: deleted this old file
	* charpick/help/C/l10n.txt: date correction
	* geyes/docs/C/topic.dat: deleted this old file
	* mixer/docs/C/topic.dat: deleted this old file

2003-10-21  Kevin Vandersloot

	* configure.in: bump version and require new libgtop. Fix build
	in wireless doc directory

2003-10-13  Breda McColgan  <breda.mccolgan@sun.com>

	* cdplayer/docs/C/cdplayer.xml: minor updates 
	* cdplayer/docs/C/cdplayer-C.omf: updated date and version number
	* cdplayer/docs/C/l10n.txt: updated Summary of Changes section
	* geyes/docs/C/geyes.xml: minor updates 
	* geyes/docs/C/geyes-C.omf: updated date and version number
	* geyes/docs/C/l10n.txt: updated Summary of Changes section
	* gkb-new/help/C/gkb.xml: minor updates 
	* gkb-new/help/C/gkb-C.omf: updated date and version number
	* gkb-new/help/C/l10n.txt: updated Summary of Changes section
	* mini-commander/help/C/command-line.xml: minor updates 
	* mini-commander/help/C/command-line-C.omf: updated date and version number
	* mini-commander/help/C/l10n.txt: updated Summary of Changes section
	* mixer/docs/C/mixer.xml: minor updates 
	* mixer/docs/C/mixer-C.omf: updated date and version number
	* mixer/docs/C/l10n.txt: updated Summary of Changes section

2003-09-08  Kevin Vandersloot

	* configure.in: release 2.4.0!

2003-09-05  Taneem Ahmed  <taneem@bengalinux.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-09-04  Jody Goldberg <jody@gnome.org>

	* Makefile.am (EXTRA_DIST) : include omf.make

2003-09-01  Kevin Vandersloot

	* configure.in: release 2.3.90

2003-08-26  Kevin Vandersloot

	* configure.in: release 2.3.7

2003-08-22  Breda McColgan  <breda.mccolgan@sun.com>

	* wireless/docs/C/wireless.xml: updated references to figures
	* wireless/docs/C/wireless-C.omf: updated date and version number
	* wireless/docs/C/l10n.txt: updated references to figures
	* wireless/docs/C/figures/wireless_applet.png: deleted this file
	 * wireless/docs/C/figures/wireless_applet_conn.png: added this file
	* wireless/docs/C/figures/wireless_applet_no_conn.png: added this file

2003-08-20  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS.
	
2003-08-07  Breda McColgan  <breda.mccolgan@sun.com>

        * stickynotes/docs/C/stickynotes_applet.xml: updated for GNOME 2.4
        * stickynotes/docs/C/stickynotes_applet-C.omf: updated for GNOME 2.4
	* stickynotes/docs/C/l10n.txt: created this new file for GNOME 2.4
        * stickynotes/docs/C/figures/stickynotes_applet.png: updated for GNOME 2.4
	* stickynotes/docs/C/figures/preferences_dialog.png: deleted this file
	* stickynotes/docs/C/figures/note_menu.png: deleted this file
	* stickynotes/docs/C/figures/applet_menu.png: deleted this file
	* wireless/docs: created this new directory for GNOME 2.4
	* wireless/docs/C: created this new directory for GNOME 2.4
	* wireless/docs/C/figures: created this new directory for GNOME 2.4
	* wireless/docs/C/wireless.xml: created this new file for GNOME 2.4
	* wireless/docs/C/wireless-C.omf: created this new file for GNOME 2.4
	* wireless/docs/C/legal.xml: added this new file for GNOME 2.4
	* wireless/docs/C/l10n.txt: created this new file for GNOME 2.4
	* wireless/docs/C/figures/wireless_applet.png: created this new file for GNOME 2.4

2003-07-23 John Fleck <jfleck@inkstain.net>

	* configure.in
	add modemlights docs directory back into the build

2003-07-16  Kevin Vandersloot

	* configure.in, NEWS: release 2.3.6

2003-07-12 Daniel Baeyens <daniel.baeyens@hispalinux.es>
	
	* modemlights/modemlights.schemas.in,
	gkb-new/gkb.schemas.in,
	mini-commander/src/mini-commander.schemas.in:
	Fixed some string issues 

2003-07-09 John Fleck <jfleck@inkstain.net>
        update to new docs build system. This now
	requires the latest gnome-common.
	
	removed:
	* xmldocs.make
	changed:
	* Makefile.am
	* autogen.sh
	* configure.in
	* accessx-status/docs/C/Makefile.am
	* battstat/docs/C/Makefile.am
	* battstat/docs/ja/Makefile.am
	* cdplayer/docs/C/Makefile.am
	* cdplayer/docs/de/Makefile.am
	* cdplayer/docs/es/Makefile.am
	* cdplayer/docs/fr/Makefile.am
	* cdplayer/docs/it/Makefile.am
	* cdplayer/docs/ja/Makefile.am
	* cdplayer/docs/ko/Makefile.am
	* cdplayer/docs/sv/Makefile.am
	* cdplayer/docs/zh_CN/Makefile.am
	* cdplayer/docs/zh_TW/Makefile.am
	* charpick/docs/C/Makefile.am
	* charpick/docs/es/Makefile.am
	* charpick/docs/it/Makefile.am
	* charpick/docs/ja/Makefile.am
	* charpick/help/C/Makefile.am
	* charpick/help/de/Makefile.am
	* charpick/help/es/Makefile.am
	* charpick/help/fr/Makefile.am
	* charpick/help/it/Makefile.am
	* charpick/help/ja/Makefile.am
	* charpick/help/ko/Makefile.am
	* charpick/help/sv/Makefile.am
	* charpick/help/zh_CN/Makefile.am
	* charpick/help/zh_TW/Makefile.am
	* drivemount/docs/C/Makefile.am
	* drivemount/docs/es/Makefile.am
	* drivemount/docs/it/Makefile.am
	* drivemount/docs/ja/Makefile.am
	* drivemount/help/C/Makefile.am
	* geyes/docs/C/Makefile.am
	* geyes/docs/de/Makefile.am
	* geyes/docs/es/Makefile.am
	* geyes/docs/fr/Makefile.am
	* geyes/docs/it/Makefile.am
	* geyes/docs/ja/Makefile.am
	* geyes/docs/ko/Makefile.am
	* geyes/docs/sv/Makefile.am
	* geyes/docs/zh_CN/Makefile.am
	* geyes/docs/zh_TW/Makefile.am
	* gkb-new/docs/C/Makefile.am
	* gkb-new/docs/hu/Makefile.am
	* gkb-new/help/C/Makefile.am
	* gkb-new/help/de/Makefile.am
	* gkb-new/help/es/Makefile.am
	* gkb-new/help/fr/Makefile.am
	* gkb-new/help/it/Makefile.am
	* gkb-new/help/ja/Makefile.am
	* gkb-new/help/ko/Makefile.am
	* gkb-new/help/sv/Makefile.am
	* gkb-new/help/zh_CN/Makefile.am
	* gkb-new/help/zh_TW/Makefile.am
	* gtik/help/C/Makefile.am
	* gtik/help/de/Makefile.am
	* gtik/help/es/Makefile.am
	* gtik/help/fr/Makefile.am
	* gtik/help/it/Makefile.am
	* gtik/help/ja/Makefile.am
	* gtik/help/ko/Makefile.am
	* gtik/help/sv/Makefile.am
	* gtik/help/zh_CN/Makefile.am
	* gtik/help/zh_TW/Makefile.am
	* gweather/docs/C/Makefile.am
	* gweather/docs/de/Makefile.am
	* gweather/docs/es/Makefile.am
	* gweather/docs/fr/Makefile.am
	* gweather/docs/it/Makefile.am
	* gweather/docs/ja/Makefile.am
	* gweather/docs/ko/Makefile.am
	* gweather/docs/sv/Makefile.am
	* gweather/docs/zh_CN/Makefile.am
	* gweather/docs/zh_TW/Makefile.am
	* mailcheck/help/C/Makefile.am
	* mailcheck/help/de/Makefile.am
	* mailcheck/help/es/Makefile.am
	* mailcheck/help/fr/Makefile.am
	* mailcheck/help/it/Makefile.am
	* mailcheck/help/ja/Makefile.am
	* mailcheck/help/ko/Makefile.am
	* mailcheck/help/sv/Makefile.am
	* mailcheck/help/zh_CN/Makefile.am
	* mailcheck/help/zh_TW/Makefile.am
	* mini-commander/docs/C/Makefile.am
	* mini-commander/help/C/Makefile.am
	* mini-commander/help/de/Makefile.am
	* mini-commander/help/es/Makefile.am
	* mini-commander/help/fr/Makefile.am
	* mini-commander/help/it/Makefile.am
	* mini-commander/help/ja/Makefile.am
	* mini-commander/help/ko/Makefile.am
	* mini-commander/help/sv/Makefile.am
	* mini-commander/help/zh_CN/Makefile.am
	* mini-commander/help/zh_TW/Makefile.am
	* mixer/docs/Makefile.am
	* mixer/docs/C/Makefile.am
	* mixer/docs/de/Makefile.am
	* mixer/docs/es/Makefile.am
	* mixer/docs/fr/Makefile.am
	* mixer/docs/it/Makefile.am
	* mixer/docs/ja/Makefile.am
	* mixer/docs/ko/Makefile.am
	* mixer/docs/sv/Makefile.am
	* mixer/docs/zh_CN/Makefile.am
	* mixer/docs/zh_TW/Makefile.am

2003-07-09 John Fleck <jfleck@inkstain.net>

	* battstat/docs/C
	remove old *.gif, *.sgml and related help files

2003-06-29  Kevin Vandersloot

	* configure.in, NEWS: release 2.3.5

2003-06-25  Kevin Vandersloot

	* all modules: translate the schemas files. Fixes bug #89363

2003-06-12  Jody Goldberg <jody@gnome.org>

	* po/POTFILES.in : Include the new files in gkb

2003-06-07  Kevin Vandersloot

	* configure.in, NEWS: release 2.3.4

2003-06-03  Bill Haneman <bill.haneman@sun.com>

	Fix for #114190.
	* accessx-status/applet.c:
	Removed bogus non-ASCII localization string.
	(We need an en_ locale to do this right).

2003-06-01  Kevin Vandersloot

	* configure.in, NEWS: release 2.3.3

2003-05-29  Bill Haneman <bill.haneman@sun.com>

	* accessx-status/applet.c:
	(accessx_status_applet_add_stock_icons):
	(accessx_status_applet_bouncekeys_image):
	Fixed declarations that occurred mid-block (compiler warning).

2003-05-28  Shailesh Mittal <shailesh.mittal@wipro.com>

 	* configure.in: Added an option to enable IPv6 support.
 	Checks for function getaddrinfo are placed.

2003-05-28  Bill Haneman <bill.haneman@sun.com>

	* accessx-status:
	New applet, displays status of keyboard accessibility features.
	Shows keyboard state (i.e. latched/locked modifiers, etc.) when
	such features are in use, and allows direct launching of keyboard
	accessibility prefs dialog from applet.
	Fixes bug #98488.

2003-05-12  Kevin Vandersloot <kfv101@psu.edu>

	* cdplayer/cdplayer.c, drivemount/drivemount.c, 
	mini-commander/src/mc-install-default-macros.c, mixer/mixer.c,
	multiload/main.c: Remove white space before colons. Fixes bug #99675

2003-05-12  KEvin Vandersloot <kfv101@psu.edu>

	* configure.in: only build battstat on supported platforms. Patch by
	Christian Marillat. Fixes part of bug #111466.

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-05  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>
                                                                                
        * configure.in: Added cy to ALL_LINGUAS
        * po/cy.po: Added

2003-05-04  Greg Merchan  <merchan@phys.lsu.edu>
	* battstat/properties.c, cdplayer/cdplayer.c,
	  drivemount/drivemount.c, drivemount/properties.c,
	  mailcheck/mailcheck.c, mini-commander/src/preferences.c,
	  mixer/mixer.c, multiload/main.c, wireless/wireless-applet.c
	Change GTK_BUTTONS_CLOSE to GTK_BUTTONS_OK for HIG compliance.
	Fixes bug 112185

2003-05-04  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, NEWS: release 2.3.2

2003-04-23  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "mk" to ALL_LINGUAS.

2003-04-06  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.3.1

2003-03-27  Glynn Foster <glynn.foster@sun.com>

	* configure.in: release 2.3.0.

2003-03-27  Mike Lei <mike.lei@sun.com>

	* configure.in: Added L10N Makefile support for cdplayer
	char-palette,command-line,geyes,gkb,gtik2_applet2,gweather
	mixer_applet2 mailcheck

	* Added L10N many doc files and Makefile.am for above applets

2003-03-26  Kevin Vandersloot <kfv101@psu.edu>

	* NEWS: update for 2.3.0 release

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-09  Loban A Rahman  <loban@earthling.net>

	* README*: Updated some outdated READMEs.

2003-03-07  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am: add mailcheck dir.

	* configure.in: generate mailcheck Makefiles.

	* screen-exec/*: sync with libegg.

2003-03-02  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, MAINTAINERS, HACKING, README: update

2003-03-02  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: remove panel-menu applet completely. Bump version 
	to 2.3.0
	
	* autogen.sh: remove reference to sound-monitor
	
	* remove panel-menu, whereami, sound-monitor, screenshooter
	directories since they are used any more

2003-03-02  Takeshi AIHANA <aihana@gnome.gr.jp>

	* cdplayer/docs/ja/*.xml, cdplayer/docs/ja/figures/*.png,
	  cdplayer/docs/Makefile.am: Added new documents for GNOME 2.2
	  translated by KAMAGASAKO Masatoshi <emerald@gnome.gr.jp>.
	* configure.in: added "cdplayer/docs/ja/Makefile" into AC_OUTPUT.
	* charpick/help/ja/*.xml, charpick/help/ja/figures/*.png,
	charpick/help/ja/Makefile.am: Added new documents for GNOME 2.2
	  translated by KAMAGASAKO Masatoshi <emerald@gnome.gr.jp>.
	* configure.in: added "charpick/help/ja/Makefile" into AC_OUTPUT. 
	* battstat/docs/ja/*.xml, battstat/docs/ja/figures/*.png
	  battstat/docs/Makefile.am: Added new documents for GNOME 2.2
	  translated by KAMAGASAKO Masatoshi <emerald@gnome.gr.jp>.
	* configure.in: added "battstat/docs/ja/Makefile" into AC_OUTPUT.

2003-02-21  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.
	* ChangeLog: Fixed wrong 2002 dates to 2003.

2003-02-17  Kevin Vandersloot <kfv101@psu.edu>
	
	* configure.in: add stickynotes docs stuff to get it compiling

2003-01-26  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: remove stickynotes/doc since it doesn't compile
	and I don't have time

2003-01-26  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: add stickynotes applet

2003-01-26  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.2.0

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2002-01-07  Naba Kumar  <naba@gnome.org>

	* configure.in: Added hi (hindi) in ALL_LINGUAS
	
2003-01-04 John Fleck <jfleck@inkstain.net>

	* configure.in
	add drivemount help files

2002-12-16  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.1.3

2002-12-15  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 2.1.2

2002-12-09  Artis Trops  <hornet@navigator.lv>

	* configure.in: Added Latvian (lv) to ALL_LINGUAS.

2002-11-03  Bastien Nocera  <hadess@hadess.net>

	* configure.in: pump up for 2.1.1 release

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-10-29  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* configure.in: Check for GDK_PIXBUF_CSOURCE
	* cdplayer/Makefile.am,
	  cdplayer/cdplayer.c,
	  cdplayer/cdplayer.h,
	  cdplayer/cdprom-interface.h: Register the cdplayer button images
	  as stock icons. Added the feature to play-pause button to have a
	  a seperate image for play and pause conditions. Also the position
	  of stop button is swapped with play/pause button.
	* cdplayer/images/*: Redrawn the existing xpm files to have a
	  white border in PNG format. Also replaced play-pause-image 
	  with two seperate files one for play and other for pause image.
	  (Thanks Suzanna for redrawing the image files)
	  Fixes bug 87232

2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.0.

2002-10-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: kill the HAVE_GTK_MULTIHEAD
	check from here ...

	* acconfig.h: ... just define it here.

2002-09-20  James Willcox  <jwillcox@gnome.org>

	* configure.in: Look for gtk-2.1, and define * HAVE_GTK_MULTIHEAD for
	egg-screen-exec to work properly.

2002-09-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gtk 2.1.0 for the multihead
	stuff.

2002-08-14  Mark McLoughlin  <mark@skynet.ie>

	* Makefile.am, configure.in: build screen-exec/

	* screen-exec/*: stuck all the egg-screen-exec stuff
	into a convenience lib here.

2002-08-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: build cdplayer solaris stuff
	on intel solaris as well as sparc. Fixes #88936.
	Based on patch from Bala.

2002-08-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: enable compile warnings by default.

2002-07-11  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: some Solaris cdplayer applet checks from
	patch by Darragh O'Brien <Darragh.Obrien@sun.com>

2002-07-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for gtk with multihead
	support.

2002-07-10  jacob berkman  <jacob@localhost>

	* Makefile.am (DIST_SUBDIRS): add wireless

2002-06-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: Bump requirements. Release 2.0.0 :)

2002-06-02  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.105.0

2002-06-02 John Fleck <jfleck@inkstain.net>
 
       	* configure.in
       	* battstat/Makefile.am
       	* battstat/docs/Makefile.am
       	* battstat/docs/C/Makefile.am
       	add new batstatt docs to the build

2002-05-29  Sander Vesik <sander.vesik@sun.com>

	* configure.in, gkb-new/Makefile.am, gkb-new/help/Makefile.am,
	  gkb-new/help/C/Makefile.am: Integrate gnome2 docs for gkb-new
	
2002-05-27  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.104.0

2002-05-25  Leandro Noferini  <lnoferin@cybervalley.org>

	* po/it.po: finished (?)

2002-05-20  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.103.0

2002-05-16  Sander Vesik

	* configure.in, mixer/Makefile.am: Integrate new xml docs

2002-05-14  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: make panel-menu-applet
	a conditional compile defaulting to no since it's still
	in a beta condition. Also clean some cruft. 

	* Release 1.102.1

2002-05-14  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Require libwnck 0.11

2002-05-13  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.102.0

2002-05-10  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi) to ALL_LINGUAS

2002-05-09  Sander Vesik <sander.vesik@sun.com>

	* configure.in, gtik/Makefile.am, gtik/help/*:
	  xml docs from gtik

2002-05-08  Sander Vesik <sander.vesik@sun.com>

	* configure.in, geyes/Makefile.am: undisable geyes docs

2002-05-08  Sander Vesik <sander.vesik@sun.com>

	* configure.in, panel-menu/Makefile.am: Add help docs for menubar

2002-05-06  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.101.0

2002-04-28  Satyajit Kanungo <satyajit.kanungo@wipro.com> 

	* configure.in: Added rules for Makefiles under applets/doc
          defined DATADIR, LIBDIR, SYSCONFDIR and PREFIX to enable 
          help on applets.  

2002-04-28  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.100.0

2002-04-16  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump gail version requirement. realy do 1.99.0

2002-04-15  Abel Cheung  <maddog@linux.org.hk>

	* cdplayer/cdplayer.c(cd_panel_update): Unmarked empty strings as
	  untranslatable.

2002-04-14  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.99.0

2002-04-05  jacob berkman  <jacob@ximian.com>

	* configure.in: add X checks for gkb applet

2002-04-02  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: add in new accesabillity directory for gtik from
	Jagadeesh B.G. Now we require gail to build properly.

2002-03-28  jacob berkman  <jacob@ximian.com>

	* configure.in: do not AC_SUBST things like CPPFLAGS, LDFLAGS, and
	CFLAGS

2002-03-26  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, acconfig.h: determine the default cdrom device
	here. Should fix bug #75918

2002-03-25  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.98.0

2002-03-18  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.97.0

2002-03-13  Alexander Shopov <al_shopov@yahoo.com>

	* configure.in: added bg (ALL_LINGUAS)

2002-03-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.96.0

2002-03-05 Bastien Nocera <hadess@hadess.net>

	* */Makefile.am: undo the schemas install stuff

2002-03-04  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.95.0
	
	* Makefile.am: build omf-install and dist xmldocs.make

2002-03-03  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: remove zvt check since mini-commander
	doesn't use zvt anymore

2002-03-03 John Fleck

	* configure.in
	adding mini-commander help

2002-03-03  Kevin Vandersloot <kfv101@psu.edu>

	* */Makefile.am: fixes for new changes - mostly forgotten semicolons

2002-03-02 John Fleck <jfleck@inkstain.net>

	* configure.in
	adding charpick/help to build now that it has docs

2002-02-24  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: release 1.94.0

2002-02-21  Kjartan Maraas  <kmaraas@gnome.org>

	* */GNOME_*.server.in: Mark category names for translation.
	
2002-02-20  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: don't build battstat on Solaris since it
	doesn't compile. Patch from laszlo.peter@ireland.sun.com (Laszlo (Laca) Peter)

2002-02-18  jacob berkman  <jacob@ximian.com>

	* Makefile.am (DIST_SUBDIRS): remove screenshooter as its makefile
	is not generated

2002-02-17  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump version, remove screenshooter from build

	* Makefile.am: remove screenshooter from build

	* release 1.93.0

2002-02-16  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: clean up and remove unecessary checks

	* MAINTAINERS: add myself

2002-02-11  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump version and gnome-core requirements 
	to go with applet API changes

	* release 1.92.2

2002-02-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: actually bump the version

	* really do 1.92.1

2002-02-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: remove need for libapm and bump version

	* 1.92.1

2002-02-10  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Create makefile for man/
	* man/*: Added man pages from Christian Marillat.
	
2002-02-10  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: bump version

        * Makefile.am: dist conditional directories

        * release 1.92.0
        
2002-02-07  Johan Dahlin <jdahlin@telia.com>
 
 	* cdplayer/Makefile.am: Add cdrom-$(CDROM_HOST).c to
         cdplayer_applet2_DEPENDS to make automake 1.5 happy.
 	
 	* geyes/Makefile.am: Only use one EXTRA_DIST.
 	
2002-02-08  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in: gkb sun build fix by Laca <laca@ireland.sun.com>

2002-02-06  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: remove autoconf 2.5 specific stuff

2002-02-05  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: add battstat to the mix. Remove
	battery applets stuff

2002-02-02  Kevin Vandersloot <kfv101@psu.edu>

	* release 1.91.1

2002-01-31  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in, gkb-new/Makefile.am: sun keyprop and keymap
        files, arch conditional rule. Thanks to Laca

2002-01-29  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: patch from Todd Kalusza <fflewddur@dropline.net>
	to make building mini-commander conditional on libzvt

2002-01-28  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add back geyes since I like
	that applet. Bump version to 1.91.0. remove message of doom
	since the applets are rather harmless

	* Release 1.91.0

2002-01-24  Laszlo Peter  <laca@ireland.sun.com>

	* configure.in: fix building without libgtop.

2002-01-22  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add gweather and gtik

2002-01-20  Kjartan Maraas  <kmaraas@gnome.org>

	* */docs/*: Merge sgml fixes from stable branch.
	
Thu Jan 17 22:16:00 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in (LDFLAGS): Honour ACLOCAL_FLAGS
	on automatic reautogen.

2002-01-17 Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added 'ms' at ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-15  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: add back charpick

2002-01-14  Kevin Vandersloot <kfv101@psu.edu>

	* First wave at removing unwanted applets

2002-01-13  Kevin Vandersloot <kfv101@psu.edu>

	* release 1.90.1

2002-01-11  Kevin Vandersloot <kfv101@psu.edu>

	* doh, 1.90.1 because of the panel-applet misspeling

2002-01-11  Kevin Vandersloot <kfv101@psu.edu>

	* release 1.90.0

2002-01-11  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am: fix the latest change so that other modules 
	get build

2002-01-10  Kevin Vandersloot <kfv101@psu.edu>

	* woops, undo last change

2002-01-10  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add back charpick even thoough
	it doesn't really work

2002-01-09  Kevin Vandersloot <kfv101@psu.edu>

	* cdplayer/Makefile.am:
	* drivemount/Makefile.am:
	* mini-commander/Makefile.am:
	* mixer/Makefile.am: 
	* modemlights/Makefile.am:
	* multiload/Makefile.am:
	* screenshooter/Makefile.am: 
	remove -I{includedir} as it is not needed

2002-01-09  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: version 1.90.0. Remove some cruft and only build useful
	applets. Make requirements current.
	
	* Makefile.am: clean up so it passes make dist

2002-01-08  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: add gkb-new

2002-01-06  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Use AC_PROG_INTLTOOL.

2002-01-06  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in, Makefile.am: add life

2002-01-05  Kjartan Maraas  <kmaraas@gnome.org>

	* cdplayer/Makefile.am: dist cdrom-irix.c too.
	
2002-01-04  Kevin Vandersloot <kfv101@psu.edu>

	* configure.in: gconf schemas checks

2002-01-03  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add multiload

2002-01-01  Oliver Maruhn  <oliver@maruhn.com>

	* Makefile.am, configure.in: commented out mini-commander

	* AUTHORS, MAINTAINERS: replaced outdated email address
	<om@linuxhq.com> with <oliver@maruhn.com>

2001-12-17  Mark McLoughlin  <mark@skynet.ie>

	* cdplayer/cdplayer.c: (applet_factory), (applet_fill),
	(applet_save_session): update for panel-applet api changes.

2001-12-12  Richard Hult  <rhult@codefactory.se>

	* Makefile.am, configure.in: Add cd-player.

2001-12-11  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add geyes

2001-12-11  Kevin Vandersloot <kfv101@psu.edu>

	* Makefile.am, configure.in: add to odometer to the mix and
	fix the reference to screenshooter in Makefile.am

2001-12-10  Kevin Vandersloot <kfv101@psu.edu>

	Make this beast compile. 
	* configure.in: clean up and build all the applets that
	work

	* Makefile.am: add the applets that work

	* fifteen,modemlights,screenshooter/Makefile.am: don't build
	the docs for now

2001-12-10  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Add mixer applet dir.

2001-12-10  Richard Hult  <rhult@codefactory.se>

	* Makefile.am: Add mixer applet dir.

2001-12-06  Kevin Vandersloot <kfv101@psu.edu>

	* screenshooter/*: Make the applet work. Properties don't
	work but the applet actually works :)

2001-12-02  Malcolm Tredinnick <malcolm@commsecure.com.au>
	* acconfig.h: introduce GETTEXT_PACKAGE

	* configure.in, Makefile.am: comment out tests that are just
	  broken for GNOME 2. Also make the relevant changes to the
	  build structure.

	* battery/battery.[ch], battery/properties.h:
	* battery/Makefile.am: Start to port to GNOME 2. This
	  _does_not_work^Wbuild_ yet, so don't even try.

	* battery/GNOME_BatteryApplet_Factory.server.in: bonobo support
	  for new panel applet.
	
	* battery/battery_applet.gnorba: removed.

2001-10-07  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" to the languages list.

2001-09-26  Glynn Foster <glynn.foster@sun.com>

	* configure.in: Including some more pkg-config
	  checks for LIBGNOME and LIBGNOMEUI

2001-09-25  Glynn Foster <glynn.foster@sun.com>
	
	* Lesson No. 13939282 You can't have dnl's in 
	  the middle of AC_OUTPUT :)
	
2001-09-25  Glynn Foster <glynn.foster@sun.com>

	* Makefile.am, configure.in: Mass commenting out so 
	  if people want to work on porting to 2.0, they can
	  just uncomment the stuff they are interested in. Of 
	  course finished applet ports should remain uncommented.

2001-09-20  Glynn Foster <glynn.foster@sun.com>

	* configure.in: More build fixes

2001-09-20  Glynn Foster <glynn.foster@sun.com>

	* configure.in, Makefile.am: More slightly 
	  sensible changes. We just need libapplet as a 
	  pkg-config and then we can begin the next stage.
	
2001-09-20  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Renamed zh_CN.GB2312 to zh_CN.

2001-09-19  Glynn Foster <glynn.foster@sun.com>

	* configure.in, applets/Makefile.am
	  Start making things happen for 2.0. Things won't 
	  compile, build or otherwise.
	  message-of-doom: Added

2001-09-10  Maciej Stachowiak  <mjs@noisehavoc.org>

	* Makefile.am: Don't build gtik if gnome-vfs is not found.
	* configure.in: Check for gnome-vfs properly

2001-09-02  Kjartan Maraas  <kmaraas@gnome.org>

	* gtik/gtik2.c: Fixed the gdk_font_unref() calls
	thanks to Alex Larsson <alexl@redhat.com>.
	* NEWS, HACKING: Update for release.
	* MAINTAINERS: I guess I should be in here too.
	* configure.in: Bump version for release. (1.4.0.4)
	
2001-08-31  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-14  Kjartan Maraas  <kmaraas@gnome.org>

	* */*/*.sgml: VALIDATE.
	
2001-08-04  Manuel de Vega barreiro  <mbarreiro@red.madritel.es>

        * configure.in
        loadavg help Spanish translation
        * multiload/docs/es/Makefile.am
        * multiload/docs/es/loadavg/*

2001-08-02  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add makefile creation for some dirs.
	And bump version for release.
		
2001-08-03  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW.Big5" to ALL_LINGUAS.

2001-07-29  Manuel de Vega barreiro  <mbarreiro@red.madritel.es>

        * configure.in
        Charpick help Spanish translation
        * charpick/docs/Makefile.am
        * charpick/docs/es/*
        cpuload help Spanish translation
        * multiload/docs/es/Makefile.am
        * multiload/docs/es/cpuload/*
        * multiload/docs/es/memload/*
        * multiload/docs/es/netload/*
        * multiload/docs/es/swapload/*
        battery help Spanish translation
        * battery/docs/Makefile.am
        * battery/docs/es/*
        charpick help Spanish translation
        * charpick/docs/Makefile.am
        * charpick/docs/es/*
        diskusage help Spanish translation
        * diskusage/docs/Makefile.am
        * diskusage/docs/es/*
        geyes help Spanish translation
        * geyes/docs/Makefile.am
        * geyes/docs/es/*
        jbc help Spanish translation
        * jbc/docs/Makefile.am
        * jbc/docs/es/*

2001-07-28  Manuel de Vega barreiro  <mbarreiro@red.madritel.es>

        Whereami help Spanish translation
        * configure.in
        * whereami/docs/Makefile.am
        * whereami/docs/es/*

2001-07-22  Dan Mueth  <d-mueth@uchicago.edu>

	Updating doc build stuff to work with RH7.1 and other
	dists with the latest docbook stuff.

	* configure.in:
	* sgmldocs.make:

2001-07-15  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "nn" to ALL_LINGUAS.

2001-07-15 Manuel de Vega Barreiro <mbarreiro@re.madritel.es>

        More Spanish Translations
	* diskusage/docs/es/*
	* diskusage/docs/Makefile.am
	* multiload/docs/es/netload/Makefile.am
	* multiload/docs/es/netload/es/*

2001-07-07 Manuel de Vega Barreiro <mbarreiro@re.madritel.es>

        More Spanish Translations
	* mini-comander/docs/es/*
	* mini-comander/docs/Makefile.am
	* cdplayer/docs/es/*
	* cdplayer/docs/Makefile.am
	* drivemount/docs/es/*
	* drivemount/docs/Makefile.am
	* anotherclock/docs/es/*
	* anotherclock/docs/Makefile.am
	* life/docs/es/*
	* life/docs/Makefile.am
	* cpumemusage/docs/es/*
	* cpumemusage/docs/Makefile.am
	* mixer/docs/es/*
	* mixer/docs/Makefile.am
	* modemlight/docs/es/*
	* modemlight/docs/Makefile.am
	* geyes/docs/es/*
	* geyes/docs/Makefile.am
        * configure.in

2001-07-07  Kjartan Maraas  <kmaraas@gnome.org>

	* clockmail/themes/green-analog-digital/*: Added a new theme
	from Alex Bowley <alex.bowley@excitehome.net>
	
2001-07-04  Kjartan Maraas  <kmaraas@gnome.org>

	* webcontrol/properties.c: Mark a string for translation.
	* webcontrol/webcontrol.c: Check for NULL before strcmp().
	
2001-07-03  Kjartan Maraas  <kmaraas@gnome.org>

	Applied patch from Richard Kinder <r_kinder@yahoo.com>
	
	* battery/battery.c: Force the applet to check the panel size before starting
	to ensure if the applet is started on a small panel, it does not flicker.
	
2001-07-02  Manuel de Vega Barreiro <mbarreiro@red.madritel.es>
	New Spanish trasnlations
 	
	* battery/docs/es
	* battery/docs/Makefile.am
	* configure.in

2001-07-01  Kjartan Maraas  <kmaraas@gnome.org>

	* webcontrol/*.c: #include <config.h> to make translations work.
	
2001-06-17  Kjartan Maraas  <kmaraas@gnome.org>

	* asclock/*.c: Fix c++ comments. All these are from <drk@sgi.com>
	* diskusage/*.c: Fix c++ comments.
	* cpumemusage/cpumemusage.c: Fix c++ comments.
	* configure.in: Added patch for a typo s/iric/irix/ from
	David KAELBLING <drk@sgi.com> to make compilation on Irix work.
	And also add checks for <dmedia/audio.h>.
	* gtik/gtik.c: Remove // comment.
	
2001-06-03  Manuel de Vega Barreiro <mbarreiro@red.madritel.es>
	New Spanish trasnlations
 	
	* cpumemusage/docs/es
	* cpumemusage/docs/Makefile.am
	* configure.in

2001-06-03  Manuel de Vega Barreiro <mbarreiro@red.madritel.es>
	New Spanish trasnlations
 	
	* geyes/docs/es
	* geyes/docs/Makefile.am
	* configure.in

2001-05-30  John Gotts <jgotts@linuxsavvy.com>

	* gnome-applets.spec.in: Added new omf directory.

2001-04-07  Manuel de Vega Barreiro <mbarreiro@red.madritel.es>
	New Spanish trasnlations
 	
	* mixer/docs/es
	* mixer/docs/Makefile.am

2001-04-04  John Gotts <jgotts@linuxsavvy.com>

	* gnome-applets.spec.in: Also allow the user to build snapshots.

2001-03-24  Yukihiro Nakai <nakai@gnome.gr.jp>

	* battery/docs/ja: Add Japanese translation.
	* cdplayer/docs/ja: Add Japanese translation.
	* charpick/docs/ja: Add Japanese translation.
	* clockmail/docs/ja: Add Japanese translation.
	* cpumemusage/docs/ja: Add Japanese translation.
	* diskusage/docs/ja: Add Japanese translation.
	* drivemount/docs/ja: Add Japanese translation.

2001-03-23  Yukihiro Nakai <nakai@gnome.gr.jp>

	* asclock/docs/ja: Add Japanese translation.

2001-03-20  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* cpumemusage/docs/C/Makefile.am:
	* cpumemusage/docs/C/cpumemusage-applet.png:
	* cpumemusage/docs/C/cpumemusage.sgml:
	* cpumemusage/docs/C/figures/cpumemusage-applet.png:
	* cpumemusage/docs/it/Makefile.am:
	* cpumemusage/docs/it/cpumemusage-applet.png:
	* cpumemusage/docs/it/cpumemusage.sgml:
	* cpumemusage/docs/it/figures/cpumemusage-applet.png:

	Fixed some bugs in the metadata.

	* cdplayer/docs/C/cdplayer_applet-C.omf:
	* life/docs/C/Makefile.am:
	* life/docs/it/Makefile.am:
	* multiload/docs/C/memload/memload_applet-C.omf:
	* multiload/docs/C/memload/memload_applet.sgml:

2001-03-20  Dan Mueth  <dan@eazel.com>

	Fixed incorrect file name.

	* multiload/docs/it/swapload/swapload_applet-C.omf:
	* multiload/docs/it/swapload/swapload_applet-it.omf:

2001-03-20  Dan Mueth  <dan@eazel.com>

	Removed bad tab at end of line.

	* multiload/docs/C/loadavg/Makefile.am:
	* multiload/docs/it/loadavg/Makefile.am:

2001-03-20  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* multiload/docs/C/cpuload/Makefile.am:
	* multiload/docs/C/cpuload/cpuload-applet-default.png:
	* multiload/docs/C/cpuload/cpuload-applet-greyed.png:
	* multiload/docs/C/cpuload/cpuload-applet-properties.png:
	* multiload/docs/C/cpuload/cpuload-applet.png:
	* multiload/docs/C/cpuload/cpuload.sgml:
	* multiload/docs/C/cpuload/figures/cpuload-applet-default.png:
	* multiload/docs/C/cpuload/figures/cpuload-applet-greyed.png:
	* multiload/docs/C/cpuload/figures/cpuload-applet-properties.png:
	* multiload/docs/C/cpuload/figures/cpuload-applet.png:
	* multiload/docs/C/loadavg/Makefile.am:
	* multiload/docs/C/loadavg/figures/loadavg-applet-default.png:
	* multiload/docs/C/loadavg/figures/loadavg-applet-greyed.png:
	* multiload/docs/C/loadavg/figures/loadavg-applet-properties.png:
	* multiload/docs/C/loadavg/figures/loadavg-applet.png:
	* multiload/docs/C/loadavg/loadavg-applet-default.png:
	* multiload/docs/C/loadavg/loadavg-applet-greyed.png:
	* multiload/docs/C/loadavg/loadavg-applet-properties.png:
	* multiload/docs/C/loadavg/loadavg-applet.png:
	* multiload/docs/C/loadavg/loadavg.sgml:
	* multiload/docs/C/memload/Makefile.am:
	* multiload/docs/C/memload/figures/memload-applet-default.png:
	* multiload/docs/C/memload/figures/memload-applet-greyed.png:
	* multiload/docs/C/memload/figures/memload-applet-properties.png:
	* multiload/docs/C/memload/figures/memload-applet.png:
	* multiload/docs/C/memload/memload-applet-default.png:
	* multiload/docs/C/memload/memload-applet-greyed.png:
	* multiload/docs/C/memload/memload-applet-properties.png:
	* multiload/docs/C/memload/memload-applet.png:
	* multiload/docs/C/memload/memload.sgml:
	* multiload/docs/C/netload/Makefile.am:
	* multiload/docs/C/netload/figures/netload-applet-default.png:
	* multiload/docs/C/netload/figures/netload-applet-greyed.png:
	* multiload/docs/C/netload/figures/netload-applet-properties.png:
	* multiload/docs/C/netload/figures/netload-applet.png:
	* multiload/docs/C/netload/netload-applet-default.png:
	* multiload/docs/C/netload/netload-applet-greyed.png:
	* multiload/docs/C/netload/netload-applet-properties.png:
	* multiload/docs/C/netload/netload-applet.png:
	* multiload/docs/C/netload/netload.sgml:
	* multiload/docs/C/swapload/Makefile.am:
	* multiload/docs/C/swapload/figures/swapload-applet-default.png:
	* multiload/docs/C/swapload/figures/swapload-applet-greyed.png:
	* multiload/docs/C/swapload/figures/swapload-applet-properties.png:
	* multiload/docs/C/swapload/figures/swapload-applet.png:
	* multiload/docs/C/swapload/swapload-applet-default.png:
	* multiload/docs/C/swapload/swapload-applet-greyed.png:
	* multiload/docs/C/swapload/swapload-applet-properties.png:
	* multiload/docs/C/swapload/swapload-applet.png:
	* multiload/docs/C/swapload/swapload.sgml:
	* multiload/docs/it/cpuload/Makefile.am:
	* multiload/docs/it/cpuload/cpuload-applet-default.png:
	* multiload/docs/it/cpuload/cpuload-applet-greyed.png:
	* multiload/docs/it/cpuload/cpuload-applet-properties.png:
	* multiload/docs/it/cpuload/cpuload-applet.png:
	* multiload/docs/it/cpuload/cpuload.sgml:
	* multiload/docs/it/cpuload/figures/cpuload-applet-default.png:
	* multiload/docs/it/cpuload/figures/cpuload-applet-greyed.png:
	* multiload/docs/it/cpuload/figures/cpuload-applet-properties.png:
	* multiload/docs/it/cpuload/figures/cpuload-applet.png:
	* multiload/docs/it/loadavg/Makefile.am:
	* multiload/docs/it/loadavg/figures/loadavg-applet-default.png:
	* multiload/docs/it/loadavg/figures/loadavg-applet-greyed.png:
	* multiload/docs/it/loadavg/figures/loadavg-applet-properties.png:
	* multiload/docs/it/loadavg/figures/loadavg-applet.png:
	* multiload/docs/it/loadavg/loadavg-applet-default.png:
	* multiload/docs/it/loadavg/loadavg-applet-greyed.png:
	* multiload/docs/it/loadavg/loadavg-applet-properties.png:
	* multiload/docs/it/loadavg/loadavg-applet.png:
	* multiload/docs/it/loadavg/loadavg.sgml:
	* multiload/docs/it/memload/Makefile.am:
	* multiload/docs/it/memload/figures/memload-applet-default.png:
	* multiload/docs/it/memload/figures/memload-applet-greyed.png:
	* multiload/docs/it/memload/figures/memload-applet-properties.png:
	* multiload/docs/it/memload/figures/memload-applet.png:
	* multiload/docs/it/memload/memload-applet-default.png:
	* multiload/docs/it/memload/memload-applet-greyed.png:
	* multiload/docs/it/memload/memload-applet-properties.png:
	* multiload/docs/it/memload/memload-applet.png:
	* multiload/docs/it/memload/memload.sgml:
	* multiload/docs/it/netload/Makefile.am:
	* multiload/docs/it/netload/figures/netload-applet-default.png:
	* multiload/docs/it/netload/figures/netload-applet-greyed.png:
	* multiload/docs/it/netload/figures/netload-applet-properties.png:
	* multiload/docs/it/netload/figures/netload-applet.png:
	* multiload/docs/it/netload/netload-applet-default.png:
	* multiload/docs/it/netload/netload-applet-greyed.png:
	* multiload/docs/it/netload/netload-applet-properties.png:
	* multiload/docs/it/netload/netload-applet.png:
	* multiload/docs/it/netload/netload.sgml:
	* multiload/docs/it/swapload/Makefile.am:
	* multiload/docs/it/swapload/figures/swapload-applet-default.png:
	* multiload/docs/it/swapload/figures/swapload-applet-greyed.png:
	* multiload/docs/it/swapload/figures/swapload-applet-properties.png
	:
	* multiload/docs/it/swapload/figures/swapload-applet.png:
	* multiload/docs/it/swapload/swapload-applet-default.png:
	* multiload/docs/it/swapload/swapload-applet-greyed.png:
	* multiload/docs/it/swapload/swapload-applet-properties.png:
	* multiload/docs/it/swapload/swapload-applet.png:
	* multiload/docs/it/swapload/swapload.sgml:

2001-03-20  Dan Mueth  <dan@eazel.com>

	Fixing a few OMF and Makefile bugs.

	* another_clock/docs/C/anotherclock_applet-C.omf:
	* another_clock/docs/it/anotherclock_applet-it.omf:
	* another_clock/docs/uk/anotherclock_applet-uk.omf:
	* asclock/docs/C/asclock_applet-C.omf:
	* asclock/docs/it/asclock_applet-it.omf:
	* life/docs/C/life_applet-C.omf:
	* mixer/docs/C/mixer_applet-C.omf:
	* tickastat/docs/it/Makefile.am:

2001-03-20  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* diskusage/docs/it/Makefile.am:
	* diskusage/docs/it/diskusage-applet-prefs.png:
	* diskusage/docs/it/diskusage-applet.png:
	* diskusage/docs/it/diskusage.sgml:
	* diskusage/docs/it/figures/diskusage-applet-prefs.png:
	* diskusage/docs/it/figures/diskusage-applet.png:
	* geyes/docs/it/Makefile.am:
	* geyes/docs/it/figures/geyes_applet.png:
	* geyes/docs/it/geyes.sgml:
	* geyes/docs/it/geyes_applet.png:
	* gweather/docs/it/Makefile.am:
	* gweather/docs/it/figures/gweather_applet.png:
	* gweather/docs/it/figures/gweather_settings.png:
	* gweather/docs/it/figures/gweather_weather.png:
	* gweather/docs/it/gweather.sgml:
	* gweather/docs/it/gweather_applet.png:
	* gweather/docs/it/gweather_settings.png:
	* gweather/docs/it/gweather_weather.png:
	* jbc/docs/it/Makefile.am:
	* jbc/docs/it/figures/jbc_applet.png:
	* jbc/docs/it/jbc.sgml:
	* jbc/docs/it/jbc_applet.png:
	* mini-commander/docs/C/Makefile.am:
	* mini-commander/docs/C/figures/mini-commander_applet.png:
	* mini-commander/docs/C/figures/mini-commander_settings_general.png
	:
	* mini-commander/docs/C/mini-commander.sgml:
	* mini-commander/docs/C/mini-commander_applet.png:
	* mini-commander/docs/C/mini-commander_settings_general.png:
	* mini-commander/docs/it/Makefile.am:
	* mini-commander/docs/it/figures/mini-commander_applet.png:
	* mini-commander/docs/it/figures/mini-commander_settings_general.pn
	g:
	* mini-commander/docs/it/mini-commander.sgml:
	* mini-commander/docs/it/mini-commander_applet.png:
	* mini-commander/docs/it/mini-commander_settings_general.png:
	* modemlights/docs/C/Makefile.am:
	* modemlights/docs/C/figures/modemlights-advpref.png:
	* modemlights/docs/C/figures/modemlights-prefs.png:
	* modemlights/docs/C/figures/modemlights.png:
	* modemlights/docs/C/modemlights-advpref.png:
	* modemlights/docs/C/modemlights-prefs.png:
	* modemlights/docs/C/modemlights.png:
	* modemlights/docs/C/modemlights.sgml:
	* modemlights/docs/it/Makefile.am:
	* modemlights/docs/it/figures/modemlights-advpref.png:
	* modemlights/docs/it/figures/modemlights-prefs.png:
	* modemlights/docs/it/figures/modemlights.png:
	* modemlights/docs/it/modemlights-advpref.png:
	* modemlights/docs/it/modemlights-prefs.png:
	* modemlights/docs/it/modemlights.png:
	* modemlights/docs/it/modemlights.sgml:
	* quicklaunch/docs/it/Makefile.am:
	* quicklaunch/docs/it/figures/quicklaunch_applet.png:
	* quicklaunch/docs/it/quicklaunch.sgml:
	* quicklaunch/docs/it/quicklaunch_applet.png:
	* sound-monitor/docs/it/Makefile.am:
	* sound-monitor/docs/it/figures/soundmonitor_applet.png:
	* sound-monitor/docs/it/figures/soundmonitor_applet_settings.png:
	* sound-monitor/docs/it/figures/soundmonitor_applet_themes.png:
	* sound-monitor/docs/it/figures/soundmonitor_manager_server.png:
	* sound-monitor/docs/it/sound-monitor.sgml:
	* sound-monitor/docs/it/soundmonitor_applet.png:
	* sound-monitor/docs/it/soundmonitor_applet_settings.png:
	* sound-monitor/docs/it/soundmonitor_applet_themes.png:
	* sound-monitor/docs/it/soundmonitor_manager_server.png:

2001-03-19  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* clockmail/docs/C/Makefile.am:
	* clockmail/docs/C/clockmail-prefs-general.png:
	* clockmail/docs/C/clockmail-prefs-theme.png:
	* clockmail/docs/C/clockmail.sgml:
	* clockmail/docs/C/clockmail_applet.png:
	* clockmail/docs/C/figures/clockmail-prefs-general.png:
	* clockmail/docs/C/figures/clockmail-prefs-theme.png:
	* clockmail/docs/C/figures/clockmail_applet.png:
	* clockmail/docs/it/Makefile.am:
	* gkb-new/docs/C/Makefile.am:
	* gkb-new/docs/C/figures/gkb_add_list.png:
	* gkb-new/docs/C/figures/gkb_applet.png:
	* gkb-new/docs/C/figures/gkb_applet_settings.png:
	* gkb-new/docs/C/figures/gkb_applet_settings2.png:
	* gkb-new/docs/C/figures/gkb_edit_keymap.png:
	* gkb-new/docs/C/gkb.sgml:
	* gkb-new/docs/C/gkb_add_list.png:
	* gkb-new/docs/C/gkb_applet.png:
	* gkb-new/docs/C/gkb_applet_settings.png:
	* gkb-new/docs/C/gkb_applet_settings2.png:
	* gkb-new/docs/C/gkb_edit_keymap.png:
	* gkb-new/docs/hu/Makefile.am:
	* gkb-new/docs/hu/figures/gkb_applet.png:
	* gkb-new/docs/hu/figures/gkb_applet_settings.png:
	* gkb-new/docs/hu/gkb.sgml:
	* gkb-new/docs/hu/gkb_applet.png:
	* gkb-new/docs/hu/gkb_applet_settings.png:
	* tickastat/docs/C/Makefile.am:
	* tickastat/docs/C/figures/tickastat_applet.png:
	* tickastat/docs/C/figures/tickastat_coredump.png:
	* tickastat/docs/C/figures/tickastat_loadaverage.png:
	* tickastat/docs/C/figures/tickastat_settings.png:
	* tickastat/docs/C/tickastat.sgml:
	* tickastat/docs/C/tickastat_applet.png:
	* tickastat/docs/C/tickastat_coredump.png:
	* tickastat/docs/C/tickastat_loadaverage.png:
	* tickastat/docs/C/tickastat_settings.png:
	* tickastat/docs/it/Makefile.am:
	* tickastat/docs/it/figures/tickastat_applet.png:
	* tickastat/docs/it/figures/tickastat_coredump.png:
	* tickastat/docs/it/figures/tickastat_loadaverage.png:
	* tickastat/docs/it/figures/tickastat_settings.png:
	* tickastat/docs/it/tickastat.sgml:
	* tickastat/docs/it/tickastat_applet.png:
	* tickastat/docs/it/tickastat_coredump.png:
	* tickastat/docs/it/tickastat_loadaverage.png:
	* tickastat/docs/it/tickastat_settings.png:

2001-03-19  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* fifteen/docs/C/Makefile.am:
	* fifteen/docs/C/fifteen.sgml:
	* fifteen/docs/C/fifteen_applet.png:
	* fifteen/docs/C/figures/fifteen_applet.png:
	* fifteen/docs/it/Makefile.am:
	* fifteen/docs/it/fifteen.sgml:
	* fifteen/docs/it/fifteen_applet.png:
	* fifteen/docs/it/figures/fifteen_applet.png:
	* webcontrol/docs/C/Makefile.am:
	* webcontrol/docs/C/figures/webcontrol-applet-prefs.png:
	* webcontrol/docs/C/figures/webcontrol-applet.png:
	* webcontrol/docs/C/webcontrol-applet-prefs.png:
	* webcontrol/docs/C/webcontrol-applet.png:
	* webcontrol/docs/C/webcontrol.sgml:
	* webcontrol/docs/it/Makefile.am:
	* webcontrol/docs/it/figures/webcontrol-applet-prefs.png:
	* webcontrol/docs/it/figures/webcontrol-applet.png:
	* webcontrol/docs/it/webcontrol-applet-prefs.png:
	* webcontrol/docs/it/webcontrol-applet.png:
	* webcontrol/docs/it/webcontrol.sgml:

2001-03-15 John Fleck <jfleck@swcp.com>

	* woohoo - adding the last of the omf files:
	modemlights/docs/it/modemlights_applet-it.omf 
	tickastat/docs/it/tickastat_applet-it.omf 
	fifteen/docs/it/fifteen_applet-it.omf 
	webcontrol/docs/it/webcontrol_applet-it.omf 
	clockmail/docs/it/clockmail_applet-it.omf 
	gkb-new/docs/hu/gkb_applet-hu.omf 
	quicklaunch/docs/it/quicklaunch_applet-it.omf 
	jbc/docs/it/jbc_applet-it.omf 
	diskusage/docs/it/diskusage_applet-it.omf 
	sound-monitor/docs/it/sound-monitor_applet-it.omf 
	geyes/docs/it/geyes_applet-it.omf 
	gweather/docs/it/gweather_applet-it.omf

2001-03-15 John Fleck <jfleck@swcp.com>

	* adding more omf files from patanjali
	tickastat/docs/C/tickastat_applet-C.omf 
	modemlights/docs/C/modemlights_applet-C.omf 
	whereami/docs/C/whereami_applet-C.omf 


2001-03-14  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* charpick/docs/C/Makefile.am:
	* charpick/docs/C/charpick.sgml:
	* charpick/docs/C/charpick_applet.png:
	* charpick/docs/C/charpick_applet_settings.png:
	* charpick/docs/C/charpick_characters.png:
	* charpick/docs/C/figures/charpick_applet.png:
	* charpick/docs/C/figures/charpick_applet_settings.png:
	* charpick/docs/C/figures/charpick_characters.png:
	* charpick/docs/it/Makefile.am:
	* charpick/docs/it/charpick.sgml:
	* charpick/docs/it/charpick_applet.png:
	* charpick/docs/it/charpick_applet_settings.png:
	* charpick/docs/it/charpick_characters.png:
	* charpick/docs/it/figures/charpick_applet.png:
	* charpick/docs/it/figures/charpick_applet_settings.png:
	* charpick/docs/it/figures/charpick_characters.png:
	* whereami/docs/C/Makefile.am:
	* whereami/docs/C/figures/whereami_applet.png:
	* whereami/docs/C/whereami.sgml:
	* whereami/docs/C/whereami_applet.png:
	* whereami/docs/it/Makefile.am:
	* whereami/docs/it/figures/whereami_applet.png:
	* whereami/docs/it/whereami.sgml:
	* whereami/docs/it/whereami_applet.png:

2001-03-14  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* diskusage/docs/C/Makefile.am:
	* diskusage/docs/C/diskusage-applet-prefs.png:
	* diskusage/docs/C/diskusage-applet.png:
	* diskusage/docs/C/diskusage.sgml:
	* diskusage/docs/C/figures/diskusage-applet-prefs.png:
	* diskusage/docs/C/figures/diskusage-applet.png:
	* geyes/docs/C/Makefile.am:
	* geyes/docs/C/figures/geyes_applet.png:
	* geyes/docs/C/figures/geyes_settings.png:
	* geyes/docs/C/geyes.sgml:
	* geyes/docs/C/geyes_applet.png:
	* geyes/docs/C/geyes_settings.png:
	* gweather/docs/C/Makefile.am:
	* gweather/docs/C/figures/gweather_applet.png:
	* gweather/docs/C/figures/gweather_settings.png:
	* gweather/docs/C/figures/gweather_weather.png:
	* gweather/docs/C/gweather.sgml:
	* gweather/docs/C/gweather_applet.png:
	* gweather/docs/C/gweather_settings.png:
	* gweather/docs/C/gweather_weather.png:
	* jbc/docs/C/Makefile.am:
	* jbc/docs/C/figures/jbc_applet.png:
	* jbc/docs/C/jbc.sgml:
	* jbc/docs/C/jbc_applet.png:
	* quicklaunch/docs/C/Makefile.am:
	* quicklaunch/docs/C/figures/quicklaunch_applet.png:
	* quicklaunch/docs/C/quicklaunch.sgml:
	* quicklaunch/docs/C/quicklaunch_applet.png:
	* sound-monitor/docs/C/Makefile.am:
	* sound-monitor/docs/C/figures/soundmonitor_applet.png:
	* sound-monitor/docs/C/figures/soundmonitor_applet_settings.png:
	* sound-monitor/docs/C/figures/soundmonitor_applet_themes.png:
	* sound-monitor/docs/C/figures/soundmonitor_manager_server.png:
	* sound-monitor/docs/C/sound-monitor.sgml:
	* sound-monitor/docs/C/soundmonitor_applet.png:
	* sound-monitor/docs/C/soundmonitor_applet_settings.png:
	* sound-monitor/docs/C/soundmonitor_applet_themes.png:
	* sound-monitor/docs/C/soundmonitor_manager_server.png:

2001-03-14  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* gnotes/docs/C/Makefile.am:
	* gnotes/docs/C/figures/gnotes-fig.png:
	* gnotes/docs/C/figures/gnotes-properties.png:
	* gnotes/docs/C/gnotes-fig.png:
	* gnotes/docs/C/gnotes-properties.png:
	* gnotes/docs/C/gnotes.sgml:
	* gnotes/docs/it/Makefile.am:
	* gnotes/docs/it/figures/gnotes-fig.png:
	* gnotes/docs/it/figures/gnotes-properties.png:
	* gnotes/docs/it/gnotes-fig.png:
	* gnotes/docs/it/gnotes-properties.png:
	* gnotes/docs/it/gnotes.sgml:
	* odometer/docs/C/Makefile.am:
	* odometer/docs/C/figures/odometer_applet.png:
	* odometer/docs/C/figures/odometer_settings.png:
	* odometer/docs/C/figures/odometer_themes.png:
	* odometer/docs/C/odometer.sgml:
	* odometer/docs/C/odometer_applet.png:
	* odometer/docs/C/odometer_settings.png:
	* odometer/docs/C/odometer_themes.png:
	* odometer/docs/fr/Makefile.am:
	* odometer/docs/fr/figures/odometer_applet.png:
	* odometer/docs/fr/figures/odometer_settings.png:
	* odometer/docs/fr/figures/odometer_themes.png:
	* odometer/docs/fr/odometer.sgml:
	* odometer/docs/fr/odometer_applet.png:
	* odometer/docs/fr/odometer_settings.png:
	* odometer/docs/fr/odometer_themes.png:
	* odometer/docs/it/Makefile.am:
	* odometer/docs/it/figures/odometer_applet.png:
	* odometer/docs/it/figures/odometer_settings.png:
	* odometer/docs/it/figures/odometer_themes.png:
	* odometer/docs/it/odometer.sgml:
	* odometer/docs/it/odometer_applet.png:
	* odometer/docs/it/odometer_settings.png:
	* odometer/docs/it/odometer_themes.png:

2001-03-14  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* drivemount/docs/C/Makefile.am:
	* drivemount/docs/C/drivemount.sgml:
	* drivemount/docs/C/drivemount_applet_all.png:
	* drivemount/docs/C/drivemount_applet_floppy.png:
	* drivemount/docs/C/drivemount_applet_settings.png:
	* drivemount/docs/C/drivemount_applet_tooltip.png:
	* drivemount/docs/C/figures/drivemount_applet_all.png:
	* drivemount/docs/C/figures/drivemount_applet_floppy.png:
	* drivemount/docs/C/figures/drivemount_applet_settings.png:
	* drivemount/docs/C/figures/drivemount_applet_tooltip.png:
	* drivemount/docs/it/Makefile.am:
	* drivemount/docs/it/drivemount.sgml:
	* drivemount/docs/it/drivemount_applet_all.png:
	* drivemount/docs/it/drivemount_applet_floppy.png:
	* drivemount/docs/it/drivemount_applet_settings.png:
	* drivemount/docs/it/drivemount_applet_tooltip.png:
	* drivemount/docs/it/figures/drivemount_applet_all.png:
	* drivemount/docs/it/figures/drivemount_applet_floppy.png:
	* drivemount/docs/it/figures/drivemount_applet_settings.png:
	* drivemount/docs/it/figures/drivemount_applet_tooltip.png:

2001-03-14  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* life/docs/C/Makefile.am:
	* life/docs/C/figures/life-applet.png:
	* life/docs/C/life-applet.png:
	* life/docs/it/Makefile.am:
	* life/docs/it/figures/life-applet.png:
	* life/docs/it/life-applet.png:
	* screenshooter/docs/C/Makefile.am:
	* screenshooter/docs/it/Makefile.am:

2001-03-14 John Fleck <jfleck@swcp.com>

	* omf flood continues, from me and more from the great and
	quick-working patanjali:
	fifteen/docs/C/fifteen_applet-C.omf 
	webcontrol/docs/C/webcontrol_applet-C.omf 
	clockmail/docs/C/clockmail_applet-C.omf 
	gkb-new/docs/C/gkb_applet-C.omf 
	charpick/docs/C/charpick_applet-C.omf 
	charpick/docs/it/charpick_applet-it.omf 
	whereami/docs/C/whereami_applet-C.omf 
	whereami/docs/it/whereami_applet-it.omf

2001-03-14 John Fleck <jfleck@swcp.com>

	* committing a batch of omf files contributed by Patanjali:
	diskusage/docs/C/diskusage_applet-C.omf 
	geyes/docs/C/geyes_applet-C.omf 
	gweather/docs/C/gweather_applet-C.omf 
	jbc/docs/C/jbc_applet-C.omf 
	quicklaunch/docs/C/quicklaunch_applet-C.omf 
	sound-monitor/docs/C/sound-monitor_applet-C.omf

2001-03-13 John Fleck <jfleck@swcp.com>

	* another batch of omf files:
	odometer/docs/C/odometer_applet-C.omf 
	odometer/docs/it/odometer_applet-it.omf 
	odometer/docs/fr/odometer_applet-fr.omf 
	gnotes/docs/C/gnotes_applet-C.omf 
	gnotes/docs/it/gnotes_applet-it.omf

2001-03-13  Dan Mueth  <dan@eazel.com>

	Bug fix.

	* asclock/docs/it/Makefile.am:

2001-03-13  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* cdplayer/docs/C/Makefile.am:
	* cdplayer/docs/C/cdplayer.sgml:
	* cdplayer/docs/C/cdplayer_applet.png:
	* cdplayer/docs/C/figures/cdplayer_applet.png:
	* cdplayer/docs/it/Makefile.am:
	* cdplayer/docs/it/cdplayer.sgml:
	* cdplayer/docs/it/cdplayer_applet.png:
	* cdplayer/docs/it/figures/cdplayer_applet.png:

2001-03-13  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* asclock/docs/C/Makefile.am:
	* asclock/docs/C/asclock.sgml:
	* asclock/docs/C/asclock_applet.png:
	* asclock/docs/C/asclock_settings.png:
	* asclock/docs/C/figures/asclock_applet.png:
	* asclock/docs/C/figures/asclock_settings.png:
	* asclock/docs/it/Makefile.am:
	* battery/docs/C/Makefile.am:
	* battery/docs/C/battery-applet-ac-offline-25-20.png:
	* battery/docs/C/battery-applet-ac-online-25-20.png:
	* battery/docs/C/battery-applet-graph.png:
	* battery/docs/C/battery-applet-properties-general.png:
	* battery/docs/C/battery-applet-properties-graph.png:
	* battery/docs/C/battery-applet-properties-messages.png:
	* battery/docs/C/battery-applet-properties-readout.png:
	* battery/docs/C/battery.sgml:
	* battery/docs/C/figures/battery-applet-ac-offline-25-20.png:
	* battery/docs/C/figures/battery-applet-ac-online-25-20.png:
	* battery/docs/C/figures/battery-applet-graph.png:
	* battery/docs/C/figures/battery-applet-properties-general.png:
	* battery/docs/C/figures/battery-applet-properties-graph.png:
	* battery/docs/C/figures/battery-applet-properties-messages.png:
	* battery/docs/C/figures/battery-applet-properties-readout.png:
	* battery/docs/it/Makefile.am:
	* battery/docs/it/battery-applet-ac-offline-25-20.png:
	* battery/docs/it/battery-applet-ac-online-25-20.png:
	* battery/docs/it/battery-applet-graph.png:
	* battery/docs/it/battery-applet-properties-general.png:
	* battery/docs/it/battery-applet-properties-graph.png:
	* battery/docs/it/battery-applet-properties-messages.png:
	* battery/docs/it/battery-applet-properties-readout.png:
	* battery/docs/it/battery.sgml:
	* battery/docs/it/figures/battery-applet-ac-offline-25-20.png:
	* battery/docs/it/figures/battery-applet-ac-online-25-20.png:
	* battery/docs/it/figures/battery-applet-graph.png:
	* battery/docs/it/figures/battery-applet-properties-general.png:
	* battery/docs/it/figures/battery-applet-properties-graph.png:
	* battery/docs/it/figures/battery-applet-properties-messages.png:
	* battery/docs/it/figures/battery-applet-properties-readout.png:

2001-03-13  Dan Mueth  <dan@eazel.com>

        Updating doc build stuff to new build system.  Note that
        figures belong in a directory called "figures".

	* another_clock/docs/C/Makefile.am:
	* another_clock/docs/C/anotherclock-applet.png:
	* another_clock/docs/C/anotherclock-properties.png:
	* another_clock/docs/C/anotherclock.sgml:
	* another_clock/docs/C/figures/anotherclock-applet.png:
	* another_clock/docs/C/figures/anotherclock-properties.png:
	* another_clock/docs/it/Makefile.am:
	* another_clock/docs/it/anotherclock-applet.png:
	* another_clock/docs/it/anotherclock.sgml:
	* another_clock/docs/it/figures/anotherclock-applet.png:
	* another_clock/docs/ru/Makefile.am:
	* another_clock/docs/uk/Makefile.am:
	* another_clock/docs/uk/anotherclock-applet.png:
	* another_clock/docs/uk/anotherclock-properties.png:
	* another_clock/docs/uk/anotherclock.sgml:
	* another_clock/docs/uk/figures/anotherclock-applet.png:
	* another_clock/docs/uk/figures/anotherclock-properties.png:

2001-03-13  Dan Mueth  <dan@eazel.com>

	Adding file I forget to add last time:

	* sgmldocs.make:

2001-03-13  Dan Mueth  <dan@eazel.com>

	Fixing up the doc build stuff.

	Adding FDL license
	* COPYING-DOCS:
	* Makefile.am:

	Fixing up the doc build stuff.
	* configure.in:
	* omf-install/Makefile.am:

	Fixing up doc build stuff for Mixer applet
	* mixer/docs/C/figures/mixer_applet.png:
	* mixer/docs/C/mixer.sgml:
	* mixer/docs/C/mixer_applet.png:
	* mixer/docs/C/Makefile.am:

2001-03-12 John Fleck <jfleck@swcp.com>

	* adding a new batch of omf files:
	C/netload/netload_applet-C.omf C/swapload/swapload_applet-C.omf
	C/cpuload/cpuload_applet-C.omf C/memload/memload_applet-C.omf
	C/loadavg/loadavg_applet-C.omf it/netload/netload_applet-it.omf
	it/swapload/swapload_applet-C.omf it/cpuload/cpuload_applet-it.omf
	it/memload/memload_applet-it.omf it/loadavg/loadavg_applet-it.omf 

2001-03-12 John Fleck <jfleck@inkstain.net>

	add omf files for cpumemusage (C and it)

2001-03-12 John Fleck <jfleck@inkstain.net>

	* add a bunch of omf files (Dan Mueth will visit shortly do do the
	makefile magic to incorporate these)
	mini-commander/docs/C/mini-commander_applet-C.omf 
	mini-commander/docs/it/mini-commander_applet-it.omf 
	drivemount/docs/C/drivemount_applet-C.omf 
	drivemount/docs/it/drivemount_applet-it.omf 
	life/docs/C/life_applet-C.omf 
	life/docs/it/life_applet-it.omf  
	screenshooter/docs/C/screenshooter_applet-C.omf 
	screenshooter/docs/it/screenshooter_applet-it.om

2001-03-11  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Generate Makefile for mixer/docs/es
	
Tue Feb 27 05:19:36 2001  George Lebl <jirka@5z.com>

	* AUTHORS: added Rusty

	* Applying:

	Mon Feb 26 23:45:45  Rusty Geldmacher <rusty@wpi.edu>

	* webcopntrol/properties.[ch]: Added browser configuration 
	dialog box.

2001-02-26  Szabolcs Ban <shooby@gnome.hu> 

	* gkb-new/descs/Basque.keyprop.in: added Basque keyprop files
	* gkb-new/xmodmap/xmodmap.eu: added xmodmap
	* gkb-new/gkb/eu.png: added few flag
	from Iñigo Serna <inigoserna@terra.es>

2001-02-26  Dan Mueth <dan@eazel.com>

	Doing some initial setup of OMF installation.  Added a handful
	of OMF files.  Note: Make sure not to set $prefix to have
	RPM_BUILD_ROOT in it or you will break this stuff.  Set
	DESTDIR=RPM_BUILD_ROOT if you like, but $prefix should refer
	to the path on the user's machine.  I'm just griping about this
	because the Ximian spec file (which I borrowed for my testing;)
	did this wrong.

	Adding directory where omf files are collected before installation:
	* Makefile.am: added omf-install in SUBDIRS
	* configure.in: Added omf-install
	* omf-install/Makefile.am:

	The real build stuff went in here for OMF files:
	* applet-docs.make: Updated

	Actual OMF files and their Makefiles:
	* another_clock/docs/C/Makefile.am:
	* another_clock/docs/C/anotherclock_applet-C.omf:
	* another_clock/docs/it/Makefile.am:
	* another_clock/docs/it/anotherclock_applet-it.omf:
	* another_clock/docs/ru/Makefile.am:
	* another_clock/docs/ru/anotherclock_applet-ru.omf:
	* another_clock/docs/uk/Makefile.am:
	* another_clock/docs/uk/anotherclock_applet-uk.omf:
	* asclock/docs/C/Makefile.am:
	* asclock/docs/C/asclock_applet-C.omf:
	* asclock/docs/it/Makefile.am:
	* asclock/docs/it/asclock_applet-it.omf:
	* asclock/docs/ru/Makefile.am:
	* asclock/docs/ru/asclock_applet-ru.omf:
	* asclock/docs/uk/Makefile.am:
	* asclock/docs/uk/asclock_applet-uk.omf:
	* battery/docs/C/Makefile.am:
	* battery/docs/C/battery_applet-C.omf:
	* battery/docs/it/Makefile.am:
	* battery/docs/it/battery_applet-it.omf:
	* cdplayer/docs/C/Makefile.am:
	* cdplayer/docs/C/cdplayer_applet-C.omf:
	* cdplayer/docs/it/Makefile.am:
	* cdplayer/docs/it/cdplayer_applet-it.omf:
	* mixer/docs/C/Makefile.am:
	* mixer/docs/C/mixer_applet-C.omf:

2001-02-23  Szabolcs Ban <shooby@gnome.hu> 

	* gkb-new/descs/*.keyprop.in: added tons of keyprop files
	* gkb-new/xmodmap/xmodmap.*: added few xmodmaps
	* gkb-new/gkb/*.png: added few flags
        Macedonian ones from Zlatko Trajceski <zlat@freemail.org.mk>

Wed Feb 07 21:31:09 2001  George Lebl <jirka@5z.com>

	* acconfig.h, configure.in, battery/read-battery.[ch],
	  mixer/Makefile.am, mixer/mixer.c: Apply patch from
	  Johnny C. Lam <jlam@netbsd.org>, for NetBSD support

	* applet-docs.make: from Johnny C. Lam <jlam@netbsd.org>:
	  Install the topic.dat files in the documentation by correctly
	  defining helpdir in applet-doc.make.

2001-02-05  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in (ALL_LINGUAS): Added pt_BR to ALL_LINGUAS.

Sun Feb 04 20:19:53 2001  George Lebl <jirka@5z.com>

	* po/POTFILES.in: add missing files

	* wbcontrol/Makefile.am: make distcheck fixes

Thu Feb 01 16:20:00 2001 Rusty Geldmacher <rusty@wpi.edu>

	* webcontrol/webcontrol.c: Changed the way browsers are executed 
	  so as to better support multiple browsers

Sun Feb 04 04:55:25 2001  George Lebl <jirka@5z.com>

	* multiload/Makefile.am:  fix makefile bug so that ALL desktops
	  are included in the data line  (missing backslash)

Fri Jan 26 21:38:19 2001  George Lebl <jirka@5z.com>

	* asclock/Makefile.am, mini-commander/src/Makefile.am,
	  odometer/Makefile.am:  Fix rules for the i18n stuff

2001-01-25  Gediminas Paulauskas <menesis@delfi.lt>

	Require xml-i18n-tools to build from CVS, otherwise use them.
	So finally translators will be happy -- they need to translate only one
	file!
	* */Makefile.am: automatically rebuild *.desktop files, distribute both
	.desktop and .desktop.in. Misc cleanups.
	* */.cvsignore: added *.desktop.
	* .cvsignore: added xml-i18n-*.
	* */*.desktop: removed.
	* */*.desktop.in: generated new empty files.
	* configure.in: added xml-i18n macro.

Fri Dec 29 23:09:00 2000  Rusty Geldmacher <rusty@wpi.edu>

	* webcontrol/session.c, webcontrol/session.h: Added these two 
	  files to put session handling stuff in.  Implemented complete
	  sesison saving and restoring.
	* webcontrol/properties.c: Added property for setting the length
	  of the URL history and for clearing the URL history.
	* webcontrol/webcontrol.b, webcontrol/properties.c: Added cursory
	  support for multiple browsers.  Made config options and lauch
	  options. MAde browsers selectable in the property box.
	
Thu Dec 14 00:49:45 2000  Rusty Geldmacher <rusty@wpi.edu>

	* webcontrol/webcontrol.c, webcontrol/properties.c: Split up the 
	  webconotrol functionality and the properties stuff int two 
	  separate c and header files.  Reformatted code.
	* webcontrol/webcontrol.c, webcontrol/properties.c: Added a width 
	  property.
	* webcontrol/webcontrol.c. webcontrol/properties.c: Made option for 
	  the "Clear" button to be displayed or not. So now, if you want, 
	  the applet fits on a 'tiny' sized panel.
	* webcontrol/webcontrol.c: The URL input box is now a combo that 
	  keeps track of the URLs you have typed in. Every time you type a 
	  new URL it adds it to the history and doesn't let duplicates in.

Thu Dec 14 03:42:37 2000  George Lebl <jirka@5z.com>

	* configure.in:  check for canvas pixbuf stuff

Tue Dec 05 20:11:24 2000  George Lebl <jirka@5z.com>

	* another_clock/another_clock.c, battery/battery.c,
	  clockmail/clockmail.c, diskusage/diskusage.c,
	  drivemount/drivemount.c, fifteen/fifteen.c, gkb-new/gkb.c,
	  gnotes/gnotes_applet.c, life/life.c, mixer/mixer.c, 
	  modemlights/modemlights.c, screenshooter/screenshooter_applet.c,
	  slashapp/slashapp.c, sound-monitor/main.c:
	  I have not yet figured out why we wrote docs, since no one seems
	  to be using it.  Hmm, bind signals on applet widget before we
	  call applet_widget_add as otherwise we have a race.

Wed Nov 29 2000  Darragh O'Brien <darragh.obrien@sun.com>

	* cdplayer/cdplayer.c, cdplayer/cdrom-solaris.c: Added Solaris
	  support.

Sat Nov 25 14:50:34 2000  George Lebl <jirka@5z.com>

	* webcontrol/webcontrol.c: Use gnome-moz-remote instead of netscape,
	  as this does all the right stuff, and will also work with mozilla.
	  If that didn't work use gnome_url_show, as that will launch
	  "something".

Sat Nov 25 13:50:46 2000  George Lebl <jirka@5z.com>

	* gtik/gtik.c:  Fix several most obvious possible overflow errors,
	  a couple of crashes, corruption of clist data, and do the first
	  update in an idle handler so that we first draw, that's ugly
	  but better then the current behaviour of hanging with an invisible
	  applet.  Also get rid of a gccism.

2000-11-20  Dan Mueth <d-mueth@uchicago.edu>

    * applet-docs.make: Have it install GIF's in stylesheet-images/
      (I'm not sure why it is trying to install PNG's and leaving
       out the GIF's which these normally are.  However we need
       this to work both for people who like their system to work
       properly and also so that we can actually test that other
       parts of the system and the help browser are not broken.)

2000-11-08  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* */*.desktop: Add sk(Slovak) translation and sort all! :(

Mon Nov  6 18:08:31 2000  Jonathan Blandford  <jrb@redhat.com>

	* */*-applet.sgml: removed.

2000-11-06  Dan Mueth <d-mueth@uchicago.edu>

        * Nautilus requires that the doc names match the directory names:
          .../gnome/help/<appname>/<lang>/<appname>.sgml where one would
          type "gnome-help:<appname>" in Nautilus.  It is currently broken
          for all applets, since we use
          .../gnome/help/<name>_applet/<lang>/<name>-applet.sgml.
          Thus, we have to change all <name>-applet.sgml to
          <name>_applet.sgml.
        * First, jrb is renaming the files as described above:
        * applet-docs.make: Change all "-applet" to "_applet"

2000-11-05  Yukihiro Nakai <nakai@gnome.gr.jp>

	* configure.in: Just sort ALL_LINGUAS

2000-11-04  Dan Mueth <d-mueth@uchicago.edu>

        * applet-docs.make: Fixed one bug.  Have it install $(sgml_files).

2000-10-20  Christophe Merlet  <christophe@merlet.net>

	* */*.desktop : Updated somes french strings.

Tue Oct 17 10:05:47 2000  George Lebl <jirka@5z.com>

	* diskusage/diskusage.c: use gulong instead of unsigned
	  for the free_space.  Hopefully this will work fine on very
	  large filesystems.  I'm accepting donations of such hard drives
	  to test this properly.  Money and beer also accepted.

2000-10-17  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* configure.in: Add zh_CN.GB2312 to ALL_LINGUAS.

Thu Oct 12 17:27:15 2000  George Lebl <jirka@5z.com>

	* configure.in:  Add another_clock/docs/uk/Makefile

Sat Oct 07 11:26:05 2000  George Lebl <jirka@5z.com>

	* diskusage/diskusage.c: Added a modified fix from Paul Hirst
	  <p.hirst@jach.hawaii.edu> to fix it reporting free space above
	  4GB.  Basically we just assume we get the kB and we don't multiply
	  by 1024 to get bytes.

2000-10-02  Christophe Merlet  <christophe@merlet.net>

	* */*.desktop : Added french strings when needed.

Wed Sep 27 17:10:50 2000  George Lebl <jirka@5z.com>

	* cdplayer/cdplayer.[ch]: store the path to the device in the
	  CDPlayerData structure.  This fixes a problem of the cdplayer
	  not working sometimes as it was using freed data.

Tue Aug 29 19:02:36 2000  George Lebl <jirka@5z.com>

	* configure.in: added the it directory makefile for webcontrol

2000-08-25  Leandro su Nerone  <lnoferin@cybervalley.org>

	* configure.in (gnomelocaledir): (Re) added tickastat/docs/it and
	webcontrol/docs/it

2000-08-22  Dan Damian  <dand@dnttm.ro>

	* configure.in (ALL_LINGUAS): Added Romanian (ro).

Mon Aug 21 21:28:43 2000  George Lebl <jirka@5z.com>

	* configure.in, tickastat/docs/Makefile.am,
	  webcontrol/docs/Makefile.am:  Removed the "it" directory from
	  the build as it's non-existant and makes things fail

Thu Aug 10 13:43:26 2000  George Lebl <jirka@5z.com>

	* cdplayer/cdplayer.c: Close the cd device after each operation so
	  that we don't "hog" the CD if the applet is on the panel.  Taken
	  from owen taylors patch.

2000-07-19  Leandro su Nerone  <lnoferin@cybervalley.org>

	* configure.in: added italian translation for Where Am I?,
	tick-a-stat and screenshooter and updated it.po

2000-07-17  Szabolcs BAN <shooby@gnome.hu>

	* gkb-new: Made LOTS ofbugfixes, added Hungarian documentation,
        thanx for my dear Emese <emese@eik.bme.hu>

2000-07-04  Szabolcs BAN <shooby@gnome.hu>

	* gkb-new: added another keymap from Alexandre Leduc
	<alexleduc@yahoo.com> and his LUG.

2000-07-13  Leandro su Nerone  <lnoferin@cybervalley.org>

	* configure.in: added italian translation for Quicklaunch

2000-07-10  Leandro su Nerone  <lnoferin@cybervalley.org>

	* configure.in: added itlian translation for gweather

2000-06-15  Leandro su nerone  <lnoferin@cybervalley.org>

	* configure.in (gnomelocaledir): Added Makefiles for odometer
	life and mini-commander (italian translations)

2000-06-13  Leandro su nerone  <lnoferin@cybervalley.org>

	* configure.in (gnomelocaledir): Added italian translation for
	sound-monitor
	Modified email contact for italian translation for diskusage

2000-06-10  Leandro su nerone  <lnoferin@cybervalley.org>

	* configure.in (gnomelocaledir): Added italian translation for
	charpick, gkb-new.
	Fixed lang="it" for drivemount-applet.sgml, memload-applet.sgml,
	loadavg-applet.sgml, netload-applet.sgml, swapload-applet.sgml,
	cpuload-applet.sgml, diskusage-applet.sgml and gnotes-applet.sgml.
	Added italian translation for jbc.

2000-05-24  Leandro su nerone  <lnoferin@cybervalley.org>

	* configure.in : italian translation for Another Clock,
	cpumemusage, mixer, fifteen, geyes 

2000-05-22  Kjartan Maraas  <kmaraas@gnu.org>

	* cpumemusage/cpumemusage.c: Added bindtextdomain() and 
	textdomain() in main().
	
2000-05-14  Andreas Hyden  <a.hyden@cyberpoint.se>

	* webcontrol/webcontrol_applet.desktop: Added Swedish translation.

2000-05-14  Andreas Hyden  <a.hyden@cyberpoint.se>

	* asclock/asclock_applet.desktop: Added Swedish translation.

Mon May 08 21:36:42 2000  George Lebl <jirka@5z.com>

	* gkb-new/prop.c (delmap_cb) (pathtoicon_cb): fix warnings

Mon May 08 19:11:49 2000  George Lebl <jirka@5z.com>

	* asclock/asclock.c: only define close_application if building for
	  GTK only

Mon May 08 18:45:26 2000  George Lebl <jirka@5z.com>

	* cdplayer/cdplayer.[ch]: apply patch from Robert Wittams
	  <robert.wittams@ic.ac.uk> and massage it a lot.  It will now
	  correctly set itself up on more size/orient configurations
	  small/tiny vertical still is too big but oh well.  Also fixed
	  a bad segfault when cdrom was not available.

	* gkb-new/gkb_xmmap: remove as this is a generated file

2000-05-09  Karl Eichwalder  <ke@suse.de>

	* configure.in (AC_OUTPUT): Add multiload/docs/it/Makefile.

2000-05-01  Dan Mueth <d-mueth@uchicago.edu>

	* gkb-new/docs/C: Merged Shooby's docs with mine.  Took new
	screenshots with standard theme.
	* gkb-new/gkb.c: Swapped positions of About... and Help in menu
	* gkb-new/prop.c: Fixed properties URL.

2000-04-27  Szabolcs BAN <shooby@gnome.hu>

	* Added gkb-new (the new gkb applet)
	- more keyboard maps at same time
	- gdk-pixbuf
	- documentations

2000-04-25 John Fleck <jfleck@inkstain.net>

	* updated dtd in:
	* ../diskusage/docs/C/diskusage-applet.sgml
	* ../modemlights/docs/C/modemlights-applet.sgml
	* ../webcontrol/docs/C/webcontrol-applet.sgml

2000-04-25  Fatih Demir	<kabalak@gmx.net>
	
	* ./*/*.desktop : Added [tr] sections ..

2000-04-20  Christopher R. Gabriel  <cgabriel@linux.it>

	* configure.in: added Makefile for cdplayer italian translation

2000-04-20  Jacob Berkman  <jacob@helixcode.com>

	* gnome-applets.spec.in (Requires): new gdk-pixbuf

	* applet-docs.make (install-data-am): copy topic.dat

2000-04-17  Karl EICHWALDER  <ke@suse.de>

	* README: Add requirements.

2000-04-15 Dan Mueth <d-mueth@uchicago.edu>

	* asclock/docs/*: Fixed screenshot names.  Fixed markup and
	layout problems and cleaned up some.

2000-04-15  Eric Baudais  <baudais@okstate.edu>

	* asclock/docs/C/asclock-applet.sgml: Added a bit about trademarks.
	* cpumemusage/docs/C/cpumemusage-applet.sgml: Added a bit about trademarks.
	* gkb/docs/C/gkb-applet/sgml: Added a bit about trademarks.

2000-04-14 Dan Mueth <d-mueth@uchicago.edu>

	* Added docs to Tick-a-Stat and made binding from Help menu
	but not from Help buttons

2000-04-14  Eric Baudais  <baudais@okstate.edu>

	* asclock/docs/C/Makefile.am: Installed new screenshots.
	* cpumemusage/docs/C/Makefile.am: Installed new screenshot.

2000-04-14 Dan Mueth <d-mueth@uchicago.edu>

	* Added docs from Chris Lyttle (but with newer template) to
	cdplayer applet and bound into app.

2000-04-14  Eric Baudais  <baudais@okstate.edu>

	* cpumemusage/docs/C/*.sgml: Added a screenshot to the docs.

	*cpumemusage/docs/C/cpumemusage-applet.png: Pic added for screenshot.

2000-04-14 Aaron Weber <aaron@helixcode.com>
	* same as below, but did it right this time.

2000-04-14 Aaron Weber <aaron@helixcode.com>

	* asclock/docs/C/*.sgml: moved documentation to template for GNOME 1.2 release, added
	screenshots.

2000-04-11  Eric Baudais  <baudais@okstate.edu>

	* cpumemusage/docs/C/*.sgml: Changed the license to the FDL and
	corrected some typos.

2000-04-11  Pablo Saratxaga <pablo@mandrakesoft.com>

	* *.desktop: Added Lithuanian strings from Gediminas Paulauskas
	  <menesis@delfi.lt>

2000-04-08  Dan Mueth <d-mueth@uchicago.edu>

	* gkb/docs/C/*.sgml: Updated docs to latest template.
	* gkb/gkb.c: Connected docs. Added phelp_cb().
	* gkb/docs: Added doc files and directories

2000-04-06  Dan Mueth <d-mueth@uchicago.edu>
	* charpick/properties.c: Link to docs
	* charpick/charpick.c: Link to docs
	* charpick/docs/*: Added docs

2000-04-04  Jacob Berkman  <jacob@helixcode.com>

	* Makefile.am (DIST_SUBDIRS): don't build clipboard applet
	by default per request from author

	* webcontrol/webcontrol.c (phelp_cb): use correct anchor

	* diskusage/properties.c (phelp_cb): use correct anchor

	* asclock/dialogs.c (property_help_cb): use correct anchor

2000-03-28  Jason Leach  <leach@wam.umd.edu>

	* gkb/gkb.c (gkb_expose): oops, made a boo-boo, we need to have
	the expose callback because if the user adds an applet then moves
	their panel we need to redraw.

2000-03-27  Jason Leach  <leach@wam.umd.edu>

	(cleaning up and closing bug #6686)
	
	* gkb/gkb.c (struct _GKB): removed unnecessary variable 'curpix'
	(create_gkb_widget): no need to connect all the other signals
	besides the "button_press_event".
	(gkb_expose): removed the now unused function (and its prototype).
	(gkb_empty): ditto.
	(load_properties): we don't really need a static gkb_properties
	struct of 'defaults', its gone.  spaced things out a little nicer
	here too.
	(gkb_activator): organize the right click popup as Properties then
	About

2000-03-30  Jacob Berkman  <jacob@helixcode.com>

	* cpumemusage/docs/C/cpumemusage.sgml: remove DOCTYPE

2000-03-27  Christopher R. Gabriel  <cgabriel@firenze.linux.it>

	* configure.in: added clockmail manual (italian
	translation)

2000-03-25  Jacob Berkman  <jacob@helixcode.com>

	* diskusage/properties.c (properties): 
	* asclock/dialogs.c (properties_dialog): hook up help button

2000-03-27  Christopher R. Gabriel  <cgabriel@firenze.linux.it>

	* configure.in: added asclock manual
	italian translation.

2000-03-18  Jacob Berkman  <jacob@helixcode.com>

	* configure.in: generate docs Makefiles

2000-03-17  Jacob Berkman  <jacob@helixcode.com>

	* cpumemusage/cpumemusage.c (main): add docs from Telsa

2000-03-15  Jason Leach  <leach@wam.umd.edu>

	* cdplayer/cdplayer.c (main): renamed "run gtcd..." to "Run CD
	Player...", bug #6946
	
	* cdplayer/cdplayer.c (about_cb): Added About dialog, bug #6844

2000-03-14  Jason Leach  <leach@wam.umd.edu>

	* diskusage/properties.c (create_frame): re-designed preferences
	for aesthetic purposes.

	* diskusage/properties.c: Added the ability to configure the font
	used in the applet display

	* diskusage/diskusage.c (draw_v): corrected the calculations for
	displaying free space, bug #7162
	(draw_h): fixed that here too

	* diskusage/properties.c:
	* diskusage/diskusage.c: removed a bunch of unecessary #include's
	
	* diskusage/properties.c (create_frame): fixed a bug where each
	time you opened the properties it would give a Gtk-warning to
	console about gnome_property_box_changed() and page_num

	* diskusage/diskusage.c (main): fixed a bug where on each run you
	would see 15-20 Gtk-warnings about "gc != NULL".

	* cpumemusage/cpumemusage.c (cpumemusage_about): Added About
	dialog, bug #7292
	
2000-02-29  Jacob Berkman  <jacob@helixcode.com>

	* webcontrol/webcontrol.c (main): rearrange and use stock
	pixmap

	* diskusage/diskusage.c (main): rearrange and use stock pixmap

	* asclock/asclock.c: add help menu item

	* asclock/docs/: docs from telsa

2000-02-26 Gregory McLean <gregm@comstar.net>

	* New and improved (tm) spec file.

2000-02-26  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/: Added docs from John Fleck <jfleck@inkstain.net>
	and "Help" button.

	* modemlights/: Added docs from John Fleck <jfleck@inkstain.net>
	and "Help" button.

	* webcontrol/: Added docs from John Fleck <jfleck@inkstain.net>
	and "Help" button.

2000-02-26  Martin Baulig  <martin@home-of-linux.org>

	* docs/: New directory.
	* docs/C/: New directory.
	* docs/C/gpl.sgml: GNU General Public license in SGML format (<verb>).
	* docs/C/gpl2.sgml: GNU General Public license as "real" SGML file.

2000-02-24  Martin Baulig  <martin@home-of-linux.org>

	* multiload/ChangeLog: We now have our own ChangeLog file here.
	Added everything until back to the "MultiLoad Applet Revolution".

2000-02-24  Martin Baulig  <martin@home-of-linux.org>

	* multiload/cpuload.c: Added "About" dialog.
	* multiload/memload.c: Added "About" dialog.
	* multiload/swapload.c: Added "About" dialog.
	* multiload/loadavg.c: Added "About" dialog.
	* multiload/netload.c: Added "About" dialog.

2000-02-24  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage.c: Added "About" dialog.
	[FIXME: Bruno, if you read this - your email address in the AUTHORS
	file doesn't seem to work anymore.]

	* diskusage/diskusage.c: Added "Update" menu entry to immediately
	update the widget. Make sure things are immediately redrawn when
	configuration changes, not only after the first timeout.

	* diskusage/diskusage.c: Comment out the "Browse" button until this
	actually works.

	* diskusage/diskusage.c (diskusage_get_best_size_h): Calculate best
	height for a horizontal applet.
	(diskusage_resize): Use diskusage_get_best_size_h () to determine the
	applet height for horizontal applets when the corresponding options was
	set in the preferences dialog.

2000-02-22  Shooby Ban <bansz@szif.hu>

	* gkb/gkb.c: Fixed the rendering error (at clicking the flag it
          didn't want to change)...

2000-02-22  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage.c (diskusage_get_best_size_v): Calculate best
	height for a vertical applet.
	(diskusage_resize): Use diskusage_get_best_size_v () to determine the
	applet height for vertical applets when the corresponding options was
	set in the preferences dialog. Call gtk_widget_set_usize () on
	`my_applet', not on `disp' so we don't make the panel larger.

	* diskusage/properties.h (diskusage_properties): Added `best_size'.
	* diskusage/properties.c (properties): Added "Automatically pick best
	applet size" option to the preferences dialog.

Mon Feb 21 04:18:41 2000  George Lebl <jirka@5z.com>

	* gkb/gkb.c: fixed redrawing after switching the layout

2000-02-21  Martin Baulig  <martin@home-of-linux.org>

	Implement size/orientation hints in the diskusage applet.

	* diskusage/properties.h (diskusage_properties): Replaced `width'
	and `height' with `size'.
	* diskusage/properties.c (properties): Only provide an "Applet size"
	option in the properties dialog; this is the width an an horizontal
	panel and the height in a vertical one.
	(apply_cb): Call applet_widget_sync_config ().

	* diskusage/diskusage.h (DiskusageInfo): Added `pixel_size'.
	* diskusage/diskusage.c (diskusage_resize): Honor size/orientation
	hints from the panel.
	(draw_v): Display sizes in kilobytes and megabytes for small vertical
	panels as it was suggested by Matthias Warkus on the bug tracker.
	Also did some changes here to make it look a bit better on smaller
	panels.
	(applet_change_orient_cb): Updated.
	(applet_change_pixel_size): New static function.
	(applet_save_settion): Fixed session managing code.

2000-02-20  Jacob Berkman  <jacob@helixcode.com>

	* multiload/netload.c (make_netload_applet): have netload use
	netload local properties instead of swapload's properties

2000-02-20  Martin Baulig  <martin@home-of-linux.org>

	Added a load average applet to the multiload applet.

	* multiload/loadavg.c: New file.
	* multiload/loadavg_applet.desktop: New file.

2000-02-20  Martin Baulig  <martin@home-of-linux.org>

	Changed most of the properties code from the multiload applet. We
	now have two types of properties: global properties (which you can
	configure using the "Default Properties" applet menu entry) and local
	ones (which you can configure using the "Properties" applet menu entry).

	Global properties are default values which are used for newly created
	instances of the load applets.

	Additionally, each of the load applet also has local properties which
	are only for this single instance. This means that you can now have
	two or more cpuload applets with different size, speed, etc. The
	local properties dialog also has a "use default properties" checkbox;
	if it is checked, the global properties are used.

	This is especially useful when you have more than one panel ...

	* multiload/local-properties.h: New file.
	* multiload/local-properties.c: New file.

	* multiload/*: Larger changes in the properties code to do what is
	described above.

2000-02-19  Martin Baulig  <martin@home-of-linux.org>

	Implemented panel size and orientation hints.

	* multiload/properties.h (LoadGraphProperties): `adj_data' is now
	an array of size 2, not 3.
	* multiload/load-graph.h (LoadGraph): Removed `width' and `height'.
	Added `applet', `size', `orient', `pixel_size' and `allocated'.
	* multiload/load-graph.c (load_graph_new): Replaced `width' and
	`height' parameters with `size' and added new `applet' parameter.

2000-02-17  Jason Leach  <leach@wam.umd.edu>

	(closing bug #2613)

	* configure.in: if $host is *irix*, set CDROM_HOST accordingly
	(and define CDROM_LIBS as irix needs it)

	* cdplayer/Makefile.am: LDADD needs CDROM_LIBS
	
	* cdplayer/cdrom-irix.c: new file, submitted via patch from David
	Kaelbling <drk@sgi.com>

	* cdplayer/cdrom-interface.h: appropriate changes for sgi cd-rom
	devices

2000-02-16  Fatih Demir <kabalak@gmx.net>

	* configure.in : Added tr to ALL_LINGUAS .

2000-02-14  Jacob Berkman  <jacob@helixcode.com>

	* configure.in: patch from Dave Larson <davlarso@acm.org> for
	Solaris support

	* gnome-applets.spec.in: an attempt at keeping my
	inbox a bit less cluttered when I make a release

	* .cvsignore:
	* configure.in: 
	* Makefile.am: add gnome-applets.spec

Sun Feb 13 12:49:28 2000  George Lebl <jirka@5z.com>

	* configure.in: use AM_GNOME_GETTEXT instead of AM_GNU_GETTEXT

2000-02-06  Martin Baulig  <martin@home-of-linux.org>

	* configure.in: Disable modemlights if we're not on one of
	either Linux, FreeBSD, NetBSD or OpenBSD.

2000-01-30  Fabrice Bellet  <Fabrice.Bellet@creatis.insa-lyon.fr>

	* configure.in : odometer/def_theme useless now.

2000-01-29  Jacob Berkman  <jacob@helixcode.com>

	* Makefile.am: add quicklaunch, and don't build gumma by default

Sat Jan 29 19:12:01 2000  Tom Gilbert  <gilbertt@tomgilbert.freeserve.co.uk>

	* On an anti-warning hunt using CFLAGS="-O6 -g -W -Wall
        -Wmissing-prototypes -Wmissing-declarations". Don't mind me.

Fri Jan 28 23:13:16 2000  Tom Gilbert  <gilbertt@tomgilbert.freeserve.co.uk>

	* Oops. The screenshooter makefile was being generated twice.

2000-01-04  Yuri Syrota  <rasta@renome.rovno.ua>

	* configure.in (ALL_LINGUAS): Added Ukrainian (uk)

1999-12-07  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* multiload/main.c: 
	* multiload/netload.c:
	* multiload/linux-proc.c: fix broken code.  Now this
	all works, plus there is now support for eth devices.

	slip/ppp/lo fix inspired by patch from Eduardo Perez 
	<100018135@alumnos.uc3m.es>

Fri Nov 19 00:29:34 1999  Pablo Saratxaga <pablo@mandrakesoft.com>

	* */*.desktop: added Greek descriptions from
	Simos Xenitellis <simos@hellug.gr> to the menu files

Sun Oct 31 17:06:03 1999  George Lebl  <jirka@5z.com>

	* mixer/mixer.c: use pixel sizes

Sun Oct 31 16:08:15 1999  George Lebl  <jirka@5z.com>

	* gkb/gkb.c: use pixel size stuff, remove warnings and add
	  implementation of create_icon_entry, you shouldn't assume
	  any panel-util.c functions, I'll prolly have to make sure
	  that they aren't linked, 

Sun Oct 31 15:51:34 1999  George Lebl  <jirka@5z.com>

	* cpumemusage/cpumemusage.c: use the pixel sizes and fix a warning
	  on startup

Sun Oct 31 00:31:57 1999  George Lebl  <jirka@5z.com>

	* configure.in,Makefile.am: really only build screenshooter when we
	  have wordexp

Sat Oct 30 22:29:31 1999  George Lebl  <jirka@5z.com>

	* configure.in: rather then checking for wordexp.h check for the
	  actual function since it seems some versions of glibc have
	  included the include file and not the implementation

Fri Oct 29 19:40:51 1999  Tom Gilbert  <gilbertt@tomgilbert.freeserve.co.uk>

	* configure.in: checks for wordexp.h
	* Makefile.am: conditional screenshooter compile

1999-10-29  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: 
	* Makefile.am: add screenshooter applet
	
1999-10-22  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: bump to 1.1.0 and add warning,
	don't make gnome-pager/Makefile

	* Makefile.am: don't dist/build gnome-pager

1999-10-21  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* MAINTAINERS (Email): add tim janik (desk-guide)

1999-10-18  Martin Baulig  <martin@home-of-linux.org>

	* cpumemusage/proc.c (needed_cpu_flags): `GLIBTOP_CPU_NICE'
	and `GLIBTOP_CPU_SYS' are not essential for the functionality of
 	this applet.

1999-10-17  Matthias Warkus  <mawa@iname.com>

	* another_clock/gnome-another-clock.png: Icon by Sean added in all
	the appropriate places.

1999-10-07  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in (ALL_LINGUAS): Added Galician (gl)

1999-10-05  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: got rid of some unnecessary checks (fixes 
	bug #2437)

	* configure.in: fix up checks for XML, so that now we can
	continue our build if XML is not present.

	* configure.in:
	* Makefile.am: add bug-applet

1999-10-01  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* mixer/mixer.c (openMixer): display a dialog instead of
	a g_warning so that the user will actually see the message
	(main): try to open the mixer after initializing gtk, so 
	that we *can* show the dialog

	fixes bug #2502

1999-09-28  Pablo Saratxaga <pablo@mandrakesoft.com>

        * gkb/gkb.c,gkb/gkb/ee.xpm,gkb/xmodmap/xmodmap.ee:
        added Estonian keyboard sent by Lauris Kaplinski <lauris@ariman.ee>

1999-09-26  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* multiload/main.c (main): fix startup crash (from 1-0)

Tue Sep 21 12:18:49 1999  John Ellis  <johne@bellatlantic.net>

	* sound-monitor/themes/Makefile.am: Fix installed files for blue theme.

1999-09-14  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: make sound-monitor/pvd/Makefile

1999-09-12  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: fix so jwise can compile his sound-monitor

	* config.h.in: remove duplicate PACKAGE and VERSION

1999-09-11  Pablo Saratxaga <pablo@mandrakesoft.com>

	* gweather/weather.c: corrected an english typo and changed
	"Clear" to "Clear Sky" as "Clear" is also usead for the "Clear"
	button on text input widgets; and those two translate very
	differently on several languages.

1999-09-10  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: updated ALL_LINGUAS line

1999-09-09  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* batmon/THIS_APPLET_IS_DEAD:
	bussign/THIS_APPLET_IS_DEAD:
	esd-manager/THIS_APPLET_IS_DEAD:
	freshapp/THIS_APPLET_IS_DEAD:
	fvwm-pager/THIS_APPLET_IS_DEAD:
	gticker/THIS_APPLET_IS_DEAD:
	icewm-pager/THIS_APPLET_IS_DEAD:
	netload/THIS_APPLET_IS_DEAD:
	netwatch/THIS_APPLET_IS_DEAD:
	oldslashapp/THIS_APPLET_IS_DEAD:
	winlist/THIS_APPLET_IS_DEAD: hints for translators etc.
	
	* clipboard/Makefile.am:
	gumma/cd/Makefile.am:
	geyes/Makefile.am:
       	gumma/gqmpeg/Makefile.am:
	geyes/themes/Makefile.am:
	gumma/xmms/Makefile.am:
	gnotes/Makefile.am:
	tickastat/news_scripts/Makefile.am:
	gumma/Makefile.am: fixes for distcheck (still doesn't work yet)

	* configure.in: no longer make non-made Makefiles
	don't make themes/*/Makefile

	* Makefile.am: no longer dist non-made applets

	* */themes/Makefile.am: hack so that we don't have to
	traverse the directories to install themes (so autoconf
	doesn't take a week to run)

	* */themes/*/Makefile.am: remove these unnecessarily files

	* configure.in: little improvement from yesterday's
	xmms attempt

1999-09-08  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* Makefile.am (always_built_SUBDIRS): added gumma

	* configure.in: check for xmms (improvements welcome)

1999-09-05  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* cdplayer/cdplayer.c (create_cdplayer_widget): remove
	unused variable and fixed memory leak

1999-09-04  Fabrice Bellet  <Fabrice.Bellet@creatis.insa-lyon.fr>

	* configure.in (AC_OUTPUT): Added odometer/themes directories

1999-08-26  Fabrice Bellet  <Fabrice.Bellet@imag.fr>

	* Makefile.am (always_built_SUBDIRS): 
	* configure.in (AC_OUTPUT): Added odometer. This is a mouse
	travel counter.

1999-08-25  Dave Camp  <campd@oit.edu>

	* configure.in (AC_OUTPUT): Added Default-tiny theme makefile.

1999-08-25  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* Makefile.am: maybe try building/installing gweather and 
	slashapp these days?

1999-08-24  Radek Doulik  <rodo@aquarius>

	* cpumemusage/cpumemusage.c (pack_procbars): (fix) set proper size on start

1999-08-23  Alexandre Owen Muniz  <munizao@cyberhighway.net>

	* Makefile.am (always_built_SUBDIRS):
	* configure.in (AC_OUTPUT): Added clipboard. This is a text clipboard
	applet with history.

1999-08-22  John Kodis  <kodis@jagunet.com>

	* whereami/whereami.c (button_handler): Added code to display the
	cursor position immediately after getting the clicked signal
	rather than waiting to receive the initial motion event.

1999-08-20  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* whereami/whereami.c: made state enum types
	capital letters so that idle does not conflict with
	one defined in <unistd.h> on my freshly installed
	system

1999-08-18  Shooby Ban  <bansz@szif.hu>
	* gkb/gkb/uy.xpm: Added beautiful flag for Uruguay,
	thank you, Eduardo Roldan <trazor@internet.com.uy>

1999-08-15  Matthias Warkus  <mawa@iname.com>

	* cdplayer/cdplayer_applet.desktop: Made it use mc/i-cdrom.png as
	menu icon. Only when I was trying to commit this I realised Jacob
	had already made it use tcd/cdrom.xpm. The reason I changed it
	again is that png icons are of higher quality and that any Gnome
	installation should have gmc, while not all have gnome-media for gtcd.

1999-08-14  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* mixer/mixer.c (create_computer_mixer_widget): applied
	patch from Tom Gilbert <gilbertt@tomgilbert.freeserve.co.uk>
	to make it a bit smaller
	(mute_cb): remove unused variable 'nvol'

	* mixer/mixer_applet.desktop (Icon): use the mixer's
	new icon

	* cdplayer/cdplayer_applet.desktop (Icon): use
	gtcd's (if available)

1999-08-11  Shooby Ban  <bansz@szif.hu>
	* gkb/gkb.c: Fixed compiling error.
	I hope. Sorry.

1999-08-10  Shooby Ban  <bansz@szif.hu>
	* gkb/gkb.c: Added code of 
	Charles Levert <charles@comm.polymtl.ca>
	New feature: dynamic list of xkb maps.
	Please feedback us if fails.

1999-08-03  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* configure.in: add geyes Horrid makefile

1999-08-01  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* multiload/swapload.c (make_swapload_applet): 
	* multiload/memload.c (make_memload_applet): 
	* multiload/cpuload.c (make_cpuload_applet): use index menu
	image

	* cdplayer/cdplayer.c (main): use CD menu image

	* README.CVS: renamed README.cvs to conform to GNOME
	programming guildelines.  Also added a recommendation
	to read the GNOME Programming Guidelines

1999-07-31  John Kodis  <kodis@jagunet.com>

	* Makefile.am (always_built_SUBDIRS):
	* configure.in (AC_OUTPUT): Added the whereami applet, a simply
	little applet for displaying the cursor position and drag area.

	* AUTHORS: Added myself, based on whereami applet authorship.

1999-07-28  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* MAINTAINERS:
	* AUTHORS: add gnotes author
	
	* Makefile.am: add gnotes

	* configure.in: check for XML, and create gnotes/Makefile

1999-07-26  Radek Doulik  <rodo@aquarius.localnet>

	* cpumemusage/cpumemusage.c (applet_change_size): implement resizing
	* cpumemusage/AUTHORS: new file

1999-07-18  Jacob Berkman  <jberkman@andrew.cmu.edu>
	
	* Makefile.am (ghttp_applets): 
	* configure.in: added gweather

	* MAINTAINERS: 
	* AUTHORS: added gweather author

Mon Jul 12 23:34:24 1999  John Ellis  <johne@bellatlantic.net>

	* configure.in (AC_OUTPUT): Added tickastat/news_scripts.

1999-07-12  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* battery/battery.c (make_new_battery_applet): Move the dialog
	here, this didn't work exactly how I thought it did

1999-07-12  Shooby Ban  <bansz@szif.hu>

	* gkb/gkb/ca.xpm,qc.xpm: Updated canadian and quebecois flags,
	thanx Charles Levert <charles@comm.polymtl.ca>...

1999-07-12  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* battery/battery.c (make_new_battery_applet): Do a test run of
	battery_read_charge() so we can do an error box and die before
	we make an applet  (I tried putting this where the other dialog
	was, but it would put 4 dialogs up)

1999-07-11  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gkb/gkb.c (gkb_activator): load properties after creating widget
	in order to eliminate GTK warnings

	* asclock/dialogs.c (properties_dialog): 
	* asclock/timezone.c (enum_timezones): 
	* cdplayer/cdplayer.c (cd_panel_update): ANSI C patch provided by 
	Drazen Kacar <dave@srce.hr> in GNOME bug report #861

	* asclock/asclock.c (main): Tomas broke this; the properties dialog
	expects to get something from the callback.

	* diskusage/diskusage.c (main): pass VERSION to applet_widget_init
	
	* another_clock/another_clock.c (cb_about): 
	* gkb/gkb.c (about_cb): 
	* webcontrol/webcontrol.c (about_cb): 
	* life/life.c (about): Use VERSION in about box

1999-07-10  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* README: a little blurb saying that gnome-core is required

1999-07-10  Tomas Ogren  <stric@ing.umu.se>

	* */*: i18n updates

1999-07-10  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* another_clock/another_clock_applet.desktop: fix a typo which
	caused panel not to add this as a menu item

	* gnome-applets take 2.  Miguel did a copy on the cvs machine of
	gnome-core/applets to gnome-applets, so now this has the CVS 
	history.  I then synched it back to the changes that were needed
	to make it its own module.

Tue Jul  6 10:31:36 1999  John Ellis  <johne@bellatlantic.net>

	* configure.in (AC_OUTPUT): Added clockmail/themes directories.

1999-07-05  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (GNOME_INIT): Use instead of GNOME_INIT_HOOK.
	* Makefile.am (macros/macros.dep): Add rule for updating
	aclocal.m4. 

1999-07-05  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* The gnome-core/gnome-applets split.  Moved applets here
	from gnome-core/applets.

	* MAINTAINERS: new file to make the gnome-applets-maint@gnome.org
	mailing list work

	* geyes/: gEyes applet

	* sound-monitor/: esd sound monitor applet

	* tickastat/: file tailing/load monitoring/core dump catching
	applet
	
	* */Makefile.am: use $(GNOME_APPLETS_LIBS) instead of lots
	of other vars; don't include ../panel; misc fixes to work
	with the new module

Tue Jun 22 04:48:51 1999  John Ellis  <johne@bellatlantic.net>

	* properties.c (property_load): Fix for newest esound, make sure
	esd_host is NULL for local machine.

Tue Jun 22 04:48:51 1999  John Ellis  <johne@bellatlantic.net>

	* properties.c (property_load): Fix for newest esound, make sure
	esd_host is NULL for local machine.

1999-07-06  Anders Carlsson  <anders.carlsson@tordata.se>

	* tasklist/*: Added tasklist applet

1999-06-28  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (check_mail_file_status): properly check for
	unread mail on remote servers. fix trouble with newmail and local
	mailspools. hopefully. things should work fine now - they do for
	me at least.
	(mail_check_timeout): use animation when unreadmail is true, one
	image when anymail is true and another one when anymail is false.
	the code from yesterday's commit broke things with remote servers.
	(struct _MailCheck): removed mailcleared.
	* main.c, popcheck.c, printer.c: removed a bunch of unused variables.

1999-06-27  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* multiload/swapload.c (make_swapload_applet): added a tooltip
	(fixes gnome bug 1436 by putting in patches from bug originator)

	* multiload/memload.c (make_memload_applet): again

	* multiload/netload.c (make_netload_applet): ditto

	* multiload/cpuload.c (make_cpuload_applet): one more time

	* gen_util/mailcheck.c: added an enum for mailbox types; fixed
	indentation; added disabling/enabling of commands
	(check_mail_file_status): moved the sound playing from here to
	where the newmail command gets exec()'d; use the new enum
	(mail_check_timeout): moved sound playing here; use the enabled
	status for the commands
	(exec_clicked_cmd): use enabled status
	(apply_properties_callback): enabled status stuff
	(mailbox_properties_page): use new enums
	(mailcheck_properties_page): use check boxes instead of labels
	for commands
	(applet_save_session): save enabling stuff
	(mailcheck_about): *cough*
	(make_mailcheck_applet): load enabling stuff
	(create_mail_widgets): really fix the don't-check-at-startup thing

	* cdplayer/cdplayer.c (main): don't do a stock_callback, just
	a normal one (fixes a crash)

	* multiload/swapload.c (make_swapload_applet): ditto

	* multiload/cpuload.c (make_cpuload_applet): same

	* multiload/memload.c (make_memload_applet): one more time

Sat Jun 26 01:20:49 1999  Tim Janik  <timj@gtk.org>

	* Makefile.am: add the desk-guide applet.

1999-06-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c: add support for playing sounds when new
	mail arrives. based on a patch submitted by Eric M. Hopper
	<hopper@omnifarious.omnifarious.mn.org>.
	* gen_util/mailcheck.soundlist: just that. still looking for a
	better sound than phone.wav.
	* gen_util/Makefile.am: install mailcheck.soundlist.
	
Wed Jun 16 14:52:59 1999 Timur Bakeyev <mc@bat.ru>

	* gen_util/popcheck.c: Swap an order of includes, to allow some
	defenitions for sys/socket.h.

1999-06-08  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gen_util/mailcheck.c (create_mail_widgets): don't check mail
	when applet is first created.  This is done to avoid blocking
	the panel on session login when using something like fetchmail
	to check for messages.

Sun May 30 17:21:17 1999  George Lebl  <jirka@5z.com>

	* gen_util/mailcheck.c: support full sizing of the panel

Sun May 30 15:01:02 1999  George Lebl  <jirka@5z.com>

	* life/life.c: fully support panel sizing

Sun May 30 14:32:09 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: make this support the SIZE_TINY panel size in
	  a way

Sun May 30 11:43:21 1999  George Lebl  <jirka@5z.com>

	* mixer/mixer.c: make this work in SIZE_TINY mode

1999-05-27  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* hal/Makefile.in: removed file

1999-05-24  Richard Hestilow <hestgray@ionet.net>
	* Added applet 'hal'

1999-05-25  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* applet-dirs/Makefile.am: add Clocks applet folder

	* applet-dirs/Clocks.directory: added file for new folder
	
	* gen_util/Makefile.am: 
	* asclock/Makefile.am: 
	* another_clock/Makefile.am: put in Clocks applet folder
	
1999-05-24  Cody Russell <bratsche@dfw.net>
	* dialer/*: Removed. Obsoleted by gnome-ppp-dialer in
	gnome-network package.

1999-05-22  George Lebl <jirka@5z.com>

	* life/life.c: fixed a leak

1999-05-22  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (mailcheck_properties): removed
	some commented out code from the last commit

1999-05-21  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c: cosmetic changes to the 
	properties dialog

1999-05-19  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/clock.c: revert the sizing thing that I 
	accidentally (sorry) committed

1999-05-17  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (mailcheck_properties_page): make
	seconds minimum 0 (so people can do n minutes, 0 seconds)
	
	* gen_util/mailcheck.c (apply_properties_callback): check
	for time frequency of 0 here

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c (make_mailcheck_applet): save
	clicked command in session setting (fix typo/bug)

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/popcheck.[ch]: C++ style comments -> C style

1999-05-16  Jacob Berkman  <jberk+@cmu.edu>
	
	* gen_util/mailcheck.c: made check mail configurable by 
	minutes, got rid of millisecond precision (come on, nobody
	really needs this)  Also, 1 C++ comment -> C stlye
	
1999-05-16  Jacob Berkman  <jberk+@cmu.edu>

	* gen_util/mailcheck.c: added ability to execute a command
	when new mail arrives

	* gen_util/mailcheck.c: made the mail spool file configurable

	* gen_util/mailcheck.c: formatting/memory leak fixes from imap/pop
	support patch

1999-05-15  Jacob Berkman  <jberk+@cmu.edu>

	* asclock/default_theme/.cvsignore: added .cvsignore

1999-05-12  Yukihiro Nakai <nacai@iname.com>

	* applets/life desktop entry [ja] update (Now complete)

Wed Apr 28 03:00:35 1999  George Lebl  <jirka@5z.com>

	* Makefile.am,multiload/*: Applied patch from esr to add the netload
	  thingie to multiload

1999-04-21  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/popcheck.c, gen_util/popcheck.h: routines to check
	for mail status on POP3 and IMAP mail servers. provided by
	Lennart Poettering <poettering@gmx.net>. also added support
	for POP3 "LAST" command.
	* gen_util/Makefile.am: added the above files to applet
	sources.
	* gen_util/mailcheck.c: added a new property page for
	mailbox configuration. added checking of POP3 and IMAP
	mailboxes.


1999-04-16  Jacob Berkman  <jberk+@cmu.edu>

        * multiload/main.c, multiload/global.h (start_gtop_cb): added 
        function to run gtop (gnome bug #1025)
        
        * multiload/*load.c (make_*load_applet): added "run gtop..." 
        menu item

1999-04-16  Matthias Warkus  <mawa@iname.com>

	* applet-dirs/*.directory: Minor fixes to German translations.

1999-04-15  Michael Zucchi  <zucchi@zzedzone.mmc.com.au>

	* another_clock/another_clock.c (cb_about): Added a missing ';'
	after the i++ in the author table lookup.

1999-04-14  Matthias Warkus  <mawa@iname.com>

	* */*_applet.desktop: Fixed and completed German translations.

Fri Apr 09 14:51:44 1999  George Lebl  <jirka@5z.com>

	* cdplayer/led.c: clear the pixmaps after creating to avoid ugly
	  garbage

Thu Apr 08 16:47:40 1999  George Lebl  <jirka@5z.com>

	* cdplayer/led.c: just a sanity fix not to draw on NULL gc's

1999-04-08  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* asclock/dialogs.c (properties_timezone_render): Create the
	temporary file with O_CREAT|O_EXCL and tell xearth to append to
	this file instead of creating it.

1999-03-29  Bj|rn Augustsson <d3august@dtek.chalmers.se>

	* asclock/dialogs.c (properties_dialog): Close the directory in
	the correct spot.  Fixes crash.

Wed Apr  7 23:03:11 1999  Jacob Berkman <jberk+@cmu.edu>

	* multiload/load-graph.c (load_graph_properties_init): 
	Set the minimum values for update time and width to
	avoid lock up/crash

Wed Apr  7 14:51:31 1999  Owen Taylor  <otaylor@redhat.com>

	* gen_util/printer.c (printer_widget): Removed
	excess trailing comma

	* mixer/[vh]slider.c: Fix some compile time warnings
	* mixer/[vh]slider.c: Set the adjustment parameter
	 initially to avoid warnings about !constructed.

Tue Apr  6 14:35:40 1999  Owen Taylor  <otaylor@redhat.com>

	* cdplayer/cdplayer.c (create_cdplayer_widget): Avoid
	 warnings by instead of calling cdpanel_update from
	 on an unrealized widget, do it in a "realize" callback.

Thu Apr 01 12:59:24 1999  George Lebl  <jirka@5z.com>

	* cdplayer/cdrom-linux.c: don't check for tray position if that
	  ioctl is not defined

Wed Mar 31 16:30:41 1999  George Lebl  <jirka@5z.com>

	* cdplayer/{cdrom-interface.h,cdrom-solaris.c,cdrom-linux.c,
	  cdplayer.c}: sort of reverted the patch for the eject/load, I left
	  the functionality in, and added new status errors for finding
	  out if the tray is open, however this seems to be broke at least
	  on my box, so the eject button only ejects, however, the play
	  button will now try to load the cd if it detects an open tray

Wed Mar 31 02:28:36 1999  George Lebl  <jirka@5z.com>

	* cdplayer/{cdrom-interface.h,cdrom-linux.c,cdrom-solaris.c,
	  cdplayer.c}: applied patch from Nick Lamb <njl98r@ecs.soton.ac.uk>
	  and slightly modified it. It allows one to close the cdrom
	  with the eject button

1999-03-26  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* battery/Makefile.am (EXTRA_DIST): Sigh, another missing file.
	Added bolt.xpm to EXTRA_DIST.

	* asclock/default_theme/Makefile.am: Added a Makefile.am here.  It
	is amazing how people do not care if their stuff builds at all.

	* asclock/themes/shaped/Makefile.am: 
	* asclock/themes/classic/Makefile.am: 
	* asclock/themes/beats/Makefile.am: 
	* asclock/themes/Stone/Makefile.am: 
	* asclock/themes/Orb/Makefile.am: 
	* asclock/themes/Newstone/Makefile.am: 
	* asclock/themes/Freeamp/Makefile.am: Put the theme data files in
	EXTRA_DIST.  WILL PEOPLE *PLEASE* SEE THAT THEIR STUFF PASSES MAKE
	DISTCHECK BEFORE COMMITTING?

1999-03-26  Nat Friedman  <nat@nat.org>

	* battery/bolt.xpm: New file.  Thanks to Will LaShell
 	<wlashell@cland.net> for this excellent drawing!

	* battery/session.c (battery_session_load): Handle full_notify_enable.
	(battery_session_save): Likewise.
	(battery_session_defaults): Likewise.

	* battery/properties.c (battery_properties_window): Added the
 	check box for full-battery-notification enabling/disabling.

	* battery/battery.c (battery_update): Display an error dialog if
 	we can't read the battery data.
	(battery_update): Notify the user if the battery has fully charged
 	and he has the full-charge-notification bit on.
	(battery_update): Draw a little lightning bolt on the battery
 	picture if the AC is plugged in.
	(battery_update): Handle miniature applets.  This will be
 	important for PDAs.
	(battery_set_mode): Handle miniature applets.
	(make_new_battery_applet): Create the percentage_small label for
 	miniature applets.
	(make_new_battery_applet): Load the pixmap of the lightning bolt.

1999-03-25  Nat Friedman  <nat@nat.org>

	* battery/properties.c (prop_apply): Set the size before allowing
 	the update function to run.

	* battery/battery.c (battery_update): Always update the graph when
 	we're called.
	(battery_update): Don't set the graph_height/graph_width greater
 	than bat->height and bat->width.
	(battery_change_mode): Fixed a subtle memory leak with
 	bat->mode_string.
	(battery_set_size): Ignore bat->setup.

	* battery/properties.c (battery_properties_window): Don't let the
 	user set the applet size to 0.
	(battery_properties_window): Fix memory leak with bat->mode_string.

1999-03-25  Nat Friedman  <nat@nat.org>

	* battery/properties.h: Added copyright statement.

	* battery/session.h: Added copyright statement.

	* battery/session.c (battery_session_defaults): Handle low-battery
 	settings and warning settings.
	(battery_session_save): Likewise.
	(battery_session_load): Likewise.
	Added copyright statement.

	* battery/properties.c (prop_apply): i18n'd the notebook tab
 	titles.  Added update interval stuff to main notebook tab.  Added
 	low-battery color options.  Added "warning" notebook tab.  Added
 	copyright statement.

	* battery/battery.h: Changed the (default) battery size to 48x48.
  	graph_timeout_id changed to update_timeout_id.  Likewise with
 	graph_timeout_interval.  Added the low-battery color fields.
  	Added low-battery warning variables.  Added copyright statement.

	* battery/battery.c: Added copyright statement.
	(battery_update): Keep track of whether or not the ac-online
 	status changes, and use this to determine when to update the
 	picture as well.
	(battery_update): Pop up a warning dialog if (a) warnings are
 	enabled (b) the battery charge has dipped below a threshold value
 	as specified by the user.
	(battery_update): Set the graph color to graph_color_low if the
 	battery charge is below a threshold value.
	(battery_update): Likewise for the readout color.  Fill the
 	battery chamber white to distinguish it from its surroundings.
	(battery_update): Left justify the percentage label.  Blank the
 	time-remaining label if it is meaningless data.
	(make_new_battery_applet): Readjusted the paddings.  Removed the
 	readout picture bevel.  Set the label font to 6x10.  Use a table
 	to store the labels.  Connect to the button click signal of the
 	whole applet.  
	(battery_setup_picture): Now generates a better-proportioned
 	picture.
	(battery_set_size): Allocate only 25% of the applet's width for
 	the readout picture.
	(battery_setup_colors): Allocate the low-battery colors.
	(battery_warn): New function to pop up the warning dialog.

1999-03-24  Nat Friedman  <nat@nat.org>

	* battery/battery.h (BATTERY_DEFAULT_HEIGHT): Changed the default
 	height to 48.

	* battery/battery.c (battery_update): Use the actual graph area's
 	height and width when drawing instead of the applet height and
 	width.

	* battery/properties.c (battery_properties_window): Make the graph
 	tick color configurable.
	(prop_apply): Update the tick color.

	* battery/battery.h: Added graph_line_color_sel to the BatteryData
 	structure.
	(BATTERY_DEFAULT_GRAPH_LINE_COLOR): New macro.

	* battery/battery.c (main): Call applet_factory_new.
	(applet_start_new_applet): Correct signature.
	(make_new_battery_applet): Return the newly created applet widget.
	(battery_update): Draw graph ticks.
	(battery_setup_colors): Allocate the graph tick color.

	* battery/properties.c (battery_properties_window): Raise the
 	properties window if the user selects 'Properties' from the
 	context menu and the window is already mapped.

1999-03-23  Nat Friedman  <nat@nat.org>

	* battery/battery.c (make_new_battery_applet): Added the About box.
	(about_cb): New function.
	(destroy_about): Likewise.

	* battery/properties.c (battery_properties_window): Set the state
 	of the graph-direction radio buttons correctly.
	(prop_apply): Don't let the update function run while the values
 	are being changed.  Update the graph data if the direction
 	changes.
	(prop_apply): Update the size after the direction is updated.

Fri Mar 19 12:48:41 1999  George Lebl  <jirka@5z.com>

	* asclock/gnome_config.c: the path passed from the panel already
	  contains the '/' so when we push it we have to use "section/key"
	  not "/section/key"

1999-03-17  Nat Friedman  <nat@nat.org>

	* battery/properties.c (battery_properties_window): Set the
 	close_hides property on the window.

	* battery/battery.c (make_new_battery_applet): Set bat->setup
 	before calling battery_set_size.  This fixes the bug Jes Sorensen
 	<Jes.Sorensen@cern.ch> reported about the applet size not being
 	set correctly when the applet first starts up.
	(battery_set_size): Don't unref the pixmaps if they're NULL.

1999-03-13  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* gen_util/mailcheck.c: Applied patch by Jacob Berkman's
	<jberkman@andrew.cmu.edu> to allow launching a mail program when
	you click on the mailcheck applet.

1999-02-27  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* battery/battery.c (make_new_battery_applet): Made the timeout
	actually be bat->graph_interval seconds.

	* battery/properties.c (prop_apply): Re-set the timeout when the
	properties are applied.

1999-02-27  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gkb/gkb.c (apply_callback): Do not apply properties more than
	once (chech for page == -1)

Mon Feb 22 21:44:34 1999  George Lebl  <jirka@5z.com>

	* gen_util/clock.c:  add unix time option for people that want their
	  time in the way it was meant to be displayed

1999-02-22  Martin Baulig  <martin@home-of-linux.org>

	* multiload: Resize the widget after changing the size in the
	properties dialog. Add "destroy" signal handler to the load
	graph and correctly destroy it so it will no longer dump core
	when you remove on of the applets.

	* multiload: Applied the patch from Jacob Berkman that makes
	the multiload applet honor the width and height settings in
	the properties dialog on next startup.

1999-02-15  Owen Taylor  <otaylor@redhat.com>

	* webcontrol/Makefile.am (gnorba_DATA): Add the .gnorba
	to the EXTRA_DIST and add rules for installing it.

1999-02-13  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* gkb/xmodmap/.cvsignore, gkb/gkb/.cvsignore: Added these files.

1999-02-07  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* multiload/load-graph.c (load_graph_update): Now this is the
	timeout handler.
	(load_graph_draw): Do not update the graph's data, just redraw.
	(load_graph_properties_update): Redraw the load graphs, to make
	properties take effect immediately when the user hits Apply.

	* multiload/properties.c (multiload_properties_cb): Invoke the
	properties for the correct part of the applet.
	(multiload_show_properties): Show the property page corresponding
	to the type of applet the user clicked on.

1999-02-07  Tomas Ogren  <stric@ing.umu.se>

	* winlist/fvwm-winlist.c: #include <stdio.h> please...

1999-02-04  Jonathan Blandford  <jrb@redhat.com>

	* mixer/mixer.c (create_computer_mixer_widget): make the colors a
	bit less subtle.

1999-02-04  Nat Friedman  <nat@nat.org>

	* battery/read-battery.c (battery_read_charge): The Linux support
 	has been completely rewritten.  I am now caching the fd of
 	/proc/apm, and then using dup() when I need to fetch new battery
 	data to ensure that we only call open() once.  Now the battery
 	applet never touches the disk while it's running.  Nice for laptops.

	* battery/properties.c (col_value_changed_cb): New function.
	(adj_value_changed_cb): Likewise.
	(col_value_changed_cb): Likewise.  This fixes a bug as reported by
 	Roberto Zunino <zunino@cli.di.unipi.it>.  Thanks!
	(prop_apply): Call battery_update so the changes take effect
 	immediately.

	* battery/battery.h: Added force_update.

	* battery/battery.c (battery_update): Only update the pictures if
 	the battery data has changed.  Pay attention to bat->force_update.
	(battery_configure_handler): Call battery_update.
	(battery_setup_picture): More readable.
	(battery_set_size): Call battery_update.

1999-02-03  Jonathan Blandford  <jrb@redhat.com>

	* mixer/vslider.c (vslider_class_init): now we no longer draw the
	trough, and let mixer.c handle that.  VOILA! no more flashes. (:
	* mixer/hslider.c (hslider_class_init):ditto
	
1999-02-02  Jonathan Blandford  <jrb@redhat.com>

	* mixer/mixer.c (create_computer_mixer_widget): make the
	adjustments page size bigger.

1999-01-24  Anders Carlsson <anders.carlsson@tordata.se>

	* gnome-pager/gnomepager_applet.c: Fixed a bug with the task list
	  arrow and a vertical panel.

Sun Jan 24 03:39:02 1999  Timur Bakeyev <mc@bat.ru>

	* mixer/mixer.c: Add conditional #include for {linux,machine,sys}/
	soundcard.h.

1999-01-22  The Rasterman <raster@redhat.com>

	* Makefile.am: removed icewm-pager from build, removed esdmanager from
	  build as it hasnt been finished, removed fvwm pager from build as it 
	  should become gnome compiant with patches sometime...

1999-01-18  Jeff Garzik  <jgarzik@pobox.com>

	* batmon/batmon.c, battery/battery.c, fish/fish.c, gen_util/clock.c,
	  gen_util/mailcheck.c, gen_util/printer.c, gkb/gkb.c,
	  gnome-pager/gnomepager_applet.c, mini-commander/src/command_line.c,
	  mini-commander/src/message.c,
	  mini-commander/src/mini-commander_applet.c,
	  mini-commander/src/preferences.c, multiload/load-graph.c,
	  multiload/property-entries.c:
	Gtk+ s/old-name/new-name/ substitutions, from gtkcompat.h

	* gnome-pager/gnomepager_applet.c:
	64-bitness casts.  Added a FIXME for a value apparently never used.

1999-01-18  Nat Friedman  <nat@nat.org>

	* asclock/dialogs.c (properties_dialog): Fixed a typo.  Use
 	gnome_app_id for the name of the root help directory.

	* battery/properties.c (battery_properties_window): Use
 	gnome_app_id for the name of the root help directory.

	* cpuload/properties.c (properties): Likewise.

	* netload/properties.c (properties): Likewise.

	* multiload/properties.c (multiload_show_properties): Likewise.

	* gkb/gkb.c (properties_dialog): Likewise.

	* gen_util/printer.c (printer_properties): Likewise.

	* gen_util/mailcheck.c (mailcheck_properties): Likewise.

	* gen_util/clock.c (clock_properties): Likewise.

	* diskusage/properties.c (properties): Likewise.

1999-01-18  Nat Friedman  <nat@nat.org>

	* asclock/dialogs.c (properties_dialog): Connected the help button
 	of the GnomePropertyBox to gnome_help_pbox_display.

	* battery/properties.c (battery_properties_window): Likewise.

	* netload/properties.c (properties): Likewise.

	* gkb/gkb.c (properties_dialog): Likewise.

	* gen_util/printer.c (printer_properties): Likewise.

	* gen_util/mailcheck.c (mailcheck_properties): Likewise.

	* gen_util/clock.c (clock_properties): Likewise.

	* diskusage/properties.c (properties): Likewise.

	* battery/battery_applet.gnorba (description): Changed the
 	description.  Fixed a typo in the location_info.

1999-01-08  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: the bussign is dead.  long live the bussign.

1999-01-06  Nat Friedman  <nat@nat.org>

	* Makefile.am (always_built_SUBDIRS): Removed the batmon applet
 	from the applet list.

Tue Dec 29 14:40:25 1998  Maciej Stachowiak  <mstachow@mit.edu>

	* Makefile.am: Build fvwm-pager applet unconditionally.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	The "MultiLoad Applet Revolution".

	All three multiload applets (cpuload, memload, swapload) now use
	the same load graph object and the same properties code.

	This will make it much easier to add a new applet here.
	
	* multiload/cpuload.h: Removed.
	* multiload/memload.h: Removed.
	* multiload/swapload.h: Removed.
	* multiload/properties-cpu.[ch]: Removed.
	* multiload/properties-mem.[ch]: Removed.
	* multiload/properties-swap.[ch]: Removed.

	* multiload/global.h: New file.

	* multiload/property-entries.[ch]: New files. This code will be
 	moved into libgnomeui after GNOME 1.0 is released.

	* multiload/load-graph.[ch]: New files. Contains some kind of
	load graph widget/object that is used in all multiload applets.

	* multiload/properties.[ch]: New files. Contains general properties
	stuff that is used in all multiload applets.

	* multiload/cpuload.c: Use the new load graph.
	* multiload/memload.c: Likewise.
	* multiload/swapload.c: Likewise.

1998-12-18  Martin Baulig  <martin@home-of-linux.org>

	* cpumemusage/procbar.[ch]: Removed.
	* cpumemusage/cpumemusage.c: Use the GnomeProcBar from libgnomeui.

Thu Dec 31 18:18:05 1998  George Lebl  <jirka@5z.com>

	* slashapp/slashapp.c,gticker/gticker.c: remove unneeded glist

Tue Dec 29 14:40:25 1998  Maciej Stachowiak  <mstachow@mit.edu>

	* Makefile.am: Build fvwm-pager applet unconditionally.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	The "MultiLoad Applet Revolution".

	All three multiload applets (cpuload, memload, swapload) now use
	the same load graph object and the same properties code.

	This will make it much easier to add a new applet here.
	
	* multiload/cpuload.h: Removed.
	* multiload/memload.h: Removed.
	* multiload/swapload.h: Removed.
	* multiload/properties-cpu.[ch]: Removed.
	* multiload/properties-mem.[ch]: Removed.
	* multiload/properties-swap.[ch]: Removed.

	* multiload/global.h: New file.

	* multiload/property-entries.[ch]: New files. This code will be
 	moved into libgnomeui after GNOME 1.0 is released.

	* multiload/load-graph.[ch]: New files. Contains some kind of
	load graph widget/object that is used in all multiload applets.

	* multiload/properties.[ch]: New files. Contains general properties
	stuff that is used in all multiload applets.

	* multiload/cpuload.c: Use the new load graph.
	* multiload/memload.c: Likewise.
	* multiload/swapload.c: Likewise.

1998-12-28  Martin Baulig  <martin@home-of-linux.org>

	* cpuload: Removed this applet. It has been replaced with the
	multiload applet.

1998-12-26  Martin Baulig  <martin@home-of-linux.org>

	* asclock/timezone.c: If /etc/localtime exists, read default
	timezone from it and select it in the clist.

	* asclock/dialogs.c: Removed useless 'General' properties tab.
	* asclock/main.c: Use stock callbacks.

1998-12-25  Jeff Garzik  <jgarzik@pobox.com>

	* asclock/asclock.c, asclock/dialogs.c, fvwm-pager/Module.c,
	  fvwm-pager/fvwm-pager.c, fvwm-pager/properties.c,
	  gticker/gticker.c, icewm-pager/wmpager_applet.c, jbc/jbc.c,
	  mini-commander/preferences.c, modemlights/modemlights.c:
	Warnings fixes.
	s/sprintf/g_snprintf/

1998-12-24  Jeff Garzik  <jgarzik@pobox.com>

	* batmon/batmon.c:
	Changed one strcpy to strncpy

	* clockmail/clockmail.c, cpuload/properties.c, batmon/batmon.c,
	  diskusage/diskusage.c, diskusage/properties.c,
	  drivemount/drivemount.c, fifteen/fifteen.c:
	s/sprintf/g_snprintf/

	* cpuload/properties.[c], diskusage/properties.[ch]:
	Made load/save routines 'path' arg const-correct.

	* cpuload/properties.c, diskusage/properties.c:
	Corrected color str size bug.

1998-12-18  Mark Galassi  <rosalia@cygnus.com>

	* netload/properties.c (apply_cb): incorporated Daniel Burrows'
	patch to fix a properties bug: the memcopy() was not enough to
	copy the structure, since the structure had a gchar * member.
	This patch adds a strdup() to copy the text field.

1998-12-18  Martin Baulig  <martin@home-of-linux.org>

	* cpumemusage/procbar.[ch]: Removed.
	* cpumemusage/cpumemusage.c: Use the GnomeProcBar from libgnomeui.

1998-12-15  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* multiload/Makefile.am (EXTRA_DIST): Added multiload_applet.gnorba.

	* Makefile.am: Added the stupid bussign applet to SUBDIRS.
	(DIST_SUBDIRS): Put all the directories in DIST_SUBDIRS, like Tom
	said.

1998-12-15  Yukihiro Nakai<Nakai@abricot.co.jp>

	* Added the Japanese [ja] translation entries with
	our special tool.

1998-12-14  Matt Wilson  <msw@redhat.com>

	* multiload/properties-mem.c: No C++ comments!

1998-12-14  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: Disable the bussign.  Doesn't work.  Shouldn't
 	really be part of 1.0.

1998-12-13  Martin Baulig  <martin@home-of-linux.org>

	Following a suggestion from Richard Hult it is confusing users
	to have to cpuload monitors that look exactly the same and to
	have an extra level of menus for the multiload applet.
 	
	So replaced the cpuload applet with the multiload which is no
	longer hidden in a submenu.

	* multiload/Multiload.directory: Removed.
	* multiload/Makefile.am: Don't use an extra level of menus for
	the multiload applet, put all .desktop files to the other monitor
	applets.

	* cpuload: This has been replaced with the multiload applet.

1998-12-13  Martin Baulig  <martin@home-of-linux.org>

	* netload.c: Always use LibGTop to get the data.

Mon Dec 07 02:17:08 1998  George Lebl  <jirka@5z.com>

	* */*.c: fixed up includes, removed applet-lib.h and added
	  applet-widget.h where missing

Mon Dec 07 01:05:22 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: use abort_load applet widget call instead
	  of a call which was directly into the applet-lib (which doesn't
	  exist any more)

Thu Dec 03 02:42:00 1998  George Lebl  <jirka@5z.com>

	* */*.c: replaced applet_widget_new_with_param, and changed all
	  multiapplets to follow the current panel stuff

Tue Dec  1 10:05:50 MET 1998 Sven Neumann <svenqgimp.org>

	* gen_util/clock.c: added a configuration option that
	allows to hide the date.

Sun Nov 29 18:20:54 EST 1998 Gregory McLean <gregm@comstar.net>

	* gticker: applet api changes.

Sun Nov 29 17:15:17 EST 1998 Gregory McLean <gregm@comstar.net>

	* slashapp: applet api changes.
	Lord only knows if it will work, but they compile now.

1998-11-28  Mark Galassi  <rosalia@cygnus.com>

	* netload: replaced gnome_color_selector() with
	gnome_color_picker().  Worked on making the properties and the
	level bars in the graph work.  Also removed some compiler
	warnings.

	* netload/properties.c (create_general_frame): the properties
	dialog is now set up with gnome_color_picker_new() instead of the
	old gnome_color_selector_new() stuff.

	* netload/properties.c, netload/netload.c: removed the rescaling
	of the line_spacing by 1024.

	* netload/properties.c (load_properties): changed some default
	values: gcolor and bcolor are now such that you can see the bars
	on the graph.  line_spacing never used to give any line spacing on
	dialup connections, so I rescaled the whole thing and set the
	default to be 2, which works well for a modem line.
	(gcolor_changed_cb, bcolor_changed_cb): replaced the previous
	color_changed-cb() function with these two, one per color.  The
	previous one did not work and had a memory leak; this approach
	seems to work and is like the one in the multiload applet.

1998-11-22  Martin Baulig  <martin@home-of-linux.org>

	* netload: This applet now requires LibGTop >= 0.26.5.
	If you have an older version of LibGTop, the original code
 	will be used but only until the next release of LibGTop.

1998-11-23  Christopher Blizzard  <blizzard@appliedtheory.com>

	* asclock/dialogs.c (properties_dialog): Comment out
 	gtk_clist_set_policy().  This should compile now.
	
1998-11-21  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* cpuload/cpuload.c (main): Nice the process.  Also, fixed
	compiler warnings.

	* cpumemusage/cpumemusage.c (update_mem_values): New function to
	update the memory/swap values.
	(cpumemusage_widget): Now the memory/swap values are updated at a
	different rate than the CPU one.  Walking the kernel page table to
	gather memory information is expensive, so we only do it once a
	second instead of every 200 milliseconds.
	(main): Nice the process.

	* cpumemusage/procbar.c (procbar_configure): Now the GC is created
	here, instead of in procbar_set_values(), to save a bit of time.

	* cpumemusage/procbar.h (ProcBar): Added a gc field.

1998-11-14  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* multiload/properties-*.c, drivemount/properties.c,
	netload/properties.c, diskusage/properties.c,
	clockmail/properties.c, modemlights/properties.c:
	connected "changed" signal of spin buttons to code
	that enables property box apply and ok buttons.
	patches provided by Richard Hult.

1998-11-12  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c (mailcheck_properties_page): connected "changed"
	signal of mc->spin spinbutton to property_box_changed.

Wed Nov 11 17:56:25 EST 1998 Gregory McLean <gregm@comstar.net>
	
	* cpuload/properties.c : Migrated to GnomeColorPicker vs 	
	 GnomeColorSelector to clear up warnings. Also fixed a mem leak :)

Wed Nov 11 17:36:25 EST 1998 Gregory McLean <gregm@comstar.net>

	* multiload/properties-*.c : Migrated to GnomeColorPicker as I got
	tired of the warnings spewing out.

1998-11-11  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am: Only build slashapp if libghttp is installed.

Sun Oct 18 19:12:24 1998  Owen Taylor  <otaylor@gtk.org>

	* gen_util/printer.c: Use the new DND api.

Fri Oct 09 02:42:07 1998  George Lebl  <jirka@5z.com>

	* battery/session.[ch]: session save MUST return FALSE, otherwise
	  applet is NOT restarted next time (using FALSE is to make it
	  "ideologically compatible" with gtk) ... the function can't be
	  void, since garbage is likely not gonna be 0

1998-10-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* gen_util/mailcheck.c: enable user to configure the mail checking
	interval and an optional command to system() before checking for
	mail.
	
1998-09-30  Havoc Pennington  <hp@pobox.com>

	* diskusage/properties.c: color set callbacks use guint8 instead
	of int. (I think there's another problem, that they use _get_i8
	instead of having proper callback args, but I didn't cause that
	one so I'll let someone else fix it. ;-)

1998-09-23  Michael Lausch  <mla@gams.at>

	* Makefile.am (fvwm_pager): Added conditional for fvwm-pager
	applet.

	* Added fvwm-pager appler directory. See fvwm-pager/README how to
	use this applet.

Sun Sep 21 10:10:29 1998  George Lebl  <jirka@5z.com>

        * webcontrol/webcontrol.c: add entry after applet_widget_add
          to allow pasting

Sun Sep 20 10:28:29 1998  John Ellis  <johne@bellatlantic.net>

	* mixer/mixer.c: Added option to run gmix from right click menu.

1998-09-11  Alexandre Muniz <munizao@cyberhighway.net>
	
	* charpick: Added Character Picker applet 
	* Makefile.am (always_built_SUBDIRS): Added charpick subdir.
	
1998-09-06  Raja R Harinath  <harinath@cs.umn.edu>

	* asclock/Makefile.am: Remove CXXLINK hack.
	* batmon/Makefile.am: Likewise.
	* battery/Makefile.am: Likewise.
	* cdplayer/Makefile.am: Likewise.
	* cpuload/Makefile.am: Likewise.
	* cpumemusage/Makefile.am: Likewise.
	* diskusage/Makefile.am: Likewise.
	* drivemount/Makefile.am: Likewise.
	* gen_util/Makefile.am: Likewise.
	* mixer/Makefile.am: Likewise.
	* multiload/Makefile.am: Likewise.
	* netload/Makefile.am: Likewise.
	* webcontrol/Makefile.am: Likewise.
	* winlist/Makefile.am: Likewise.

1998-08-27  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am (SUBDIRS): Add conditional bussign build if you have
 	libghttp installed.

1998-08-26  Havoc Pennington  <hp@pobox.com>

	* multiload/Makefile.am: Add ../../panel to the include path, link
	to the applet lib in ../../panel. This makes it consistent with
	the other applets (and makes gnome-core compile)

Sun Aug 23 23:24:30 1998  George Lebl  <jirka@5z.com>

	* fish/fish.c,fish/fish?.xpm,fish/fishanim.png,fish/Makefile.am:
	  added "themability", so that you can load up a different
	  animation file and change the speed in the config dialog

1998-08-23  Martin Baulig  <martin@home-of-linux.org>

	* cpuload: This applet now requires libgtop.
	* cpumemusage: Likewise.

	* diskusage/fsusage.[ch]: Removed.
	* diskusage/mountlist.[ch]: Removed.
	* diskusage/diskusage.c: We now use libgtop to get the fsusage
	and mountlist stuff.

	* multiload: New directory. Contains MultiLoad Applet from
	`libgtop-apps/applet/multiload'.

1998-08-21  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* gkb/gkb_applet.desktop: Added Portuguese translation.

Thu Aug 20 14:36:46 1998  George Lebl  <jirka@5z.com>

	* fish/fish.c: fixed the flickering by using drawing area
	  instead of gtkpixmap which was a cheapass solution anyway

1998-08-19  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (SUBDIRS): Add `winlist' to the set of distributed
	subdirs. 

Wed Aug 12 21:08:46 1998  George Lebl  <jirka@5z.com>

	* cpuload/cpuload.c: fixed a memory leak

Wed Aug 12 21:04:42 1998  George Lebl  <jirka@5z.com>

	* cpumemusage/procbar.c: check for cases of allocation being
	  0x0, and don't draw in those cases

Tue Aug 11 11:30:04 1998  Owen Taylor  <otaylor@redhat.com>

	* cpumemusage/proc.c (proc_read_mem): Account for
	  buffers when computing totals.

	* cpumemusage/procbar.c: Make bars switch orientation with panel.
	
1998-08-02  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (cdplayer,mixer,modemlights): New variables.
	(SUBDIRS): Use them, instead of @PROGRAMS_PANEL_*@.

1998-08-03  Martin Baulig  <martin@home-of-linux.org>

	* netload/properties.c, linux-proc.[ch]: Increased maximal device
	name length from 4 to 5 to make `ippp0' work.

1998-08-02  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage.c, properties.[ch]: Session-saving
	information about selected filesystem.

Wed Jul 29 19:49:11 1998  John Ellis  <johne@bellatlantic.net>

	* drivemount/drivemount.c (about_cb): fixed a compile warning.
	(create_drive_widget): use gnome_is_program_in_path() instead of a
	system() call to check for the eject program. Properties is now above
	About in the menu.
	* drivemount/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested.
	* drivemount/drivemount.[ch], properties.c: Upped version to 0.1.1
	* drivemount/AUTHORS: new file.

	* clockmail/clockmail.c (about_cb): fixed a compile warning.
	* clockmail/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested.
	* clockmail/clockmail.[ch], properties.c: Upped version to 0.1.4

	* modemlights/modemlights.c  (about_cb): fixed a compile warning.
	(main):  Properties is now above About in the menu.
	* modemlights/properties.c (property_apply_cb): added
	applet_widget_sync_config() as George suggested
	* modemlights/modemlights.[ch], properties.c: Upped version to 0.3.1
	* modemlights/AUTHORS: new file.

Thu Jul 23 00:38:02 1998  George Lebl  <jirka@5z.com>

	* battery/properties.c: added applet_widget_sync_config
	  to the end of the properties apply callback ....
	  I'm too lazy to go through all of the applets though
	  so this is the only one that has this, it's not neccessary,
	  but it would be nice

1998-07-23  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* netload/Makefile.in: Remove generated file.

1998-07-19  Raja R Harinath  <harinath@cs.umn.edu>

	* */Makefile.am (*_LDADD): Change MICO_LIBS to ORB_LIBS.

1998-07-15  Raja R Harinath  <harinath@cs.umn.edu>

	* battery/read-battery.c (battery_read_charge): Provide fallback
	values for non linux/FreeBSD m/cs.

Mon Jul 13 02:37:01 1998  George Lebl  <jirka@5z.com>

	* battery/session.c: one needs to add section/key to the
	  privcfgpath, not just key ... so I updated it

1998-07-08  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* Makefile.am (always_built_SUBDIRS): Added fifteen subdir.

Tue Jul  7 00:17:19 1998  Tom Tromey  <tromey@cygnus.com>

	* winlist/testwinlist.c: Include <stdlib.h>, not <malloc.h>.

1998-07-06  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/diskusage_read.c: Fixed memory leak.

1998-07-04  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* webcontrol/webcontrol.c (main): 
	* netload/netload.c (main): 
	* icewm-pager/wmpager_applet.c (main): 
	* drivemount/drivemount.c (create_drive_widget):
	* diskusage/diskusage.c (main):
	* cpuload/cpuload.c (main): Now uses stock menu icons.

Fri Jul 03 14:01:21 1998  George Lebl  <jirka@5z.com>

	* */*.c: ported to the new save_session signal and using
	  privcfgpath instead of cfgpath

1998-07-01  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* */*.desktop: Added Portuguese translations.

	* applet-dirs/*.directory: Added Portuguese translations.

Wed Jun 24 11:04:28 EDT 1998 Gregory McLean <gregm@comstar.net>

	* gen_util/tux-anim.xpm : Added another email animation this one
	  is that animation that is on Larry's page of tux doing a back flip
	  I liked it so added it :)

	* mixer/ Applied patch from Matthew Wilkins to the mixer app
	here's what it does:
	-changes the 'mute' label to a pixmap
	-makes the applet turn sideways when the panel is vertical
	-colour-fading background for the slider a la WinAmp volume control
	-gets out of mute mode when an external program turns up the volume
	-moves the mute button underneath the slider.
	-the slider widget becomes the vslider and hslider widgets.

Wed Jun 10 11:41:11 1998  Owen Taylor  <otaylor@gtk.org>

	* */Makefile.am: Use MICO_LIBS variable from 
	  toplevel configure.in. 
	
Sun Jun 07 22:56:44 1998  George Lebl  <jirka@5z.com>

	* gen_util/*.c: made menu items use stock icons

	* modemlights/modemlights.c: use the tooltips function from
	  applet widget. This makes the applet listen to the 
	  tooltips enable and disable events

Sun Jun 07 00:22:52 1998  George Lebl  <jirka@5z.com>

	* gen_util/printer.c: implemented background switching and
	  added an event box behind the label to make it readable on
	  all backgrounds

1998-06-04  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* applet-dirs/Makefile.am: Fix Monitor -> Monitors typo.

1998-06-01  Mark Galassi  <rosalia@cygnus.com>

	* modemlights/properties.c (property_load): introduced a
	"confirmation" property to be saved and loaded.  It doesn't save
	yet :-)
	(confirm_checkbox_cb):
	(property_show): added a confirmation checkbox to the properties
	dialog.

	* modemlights/modemlights.c (dial_cb): introduced the
	ask_for_confirmation configuration variable.  Now we only enter
	the yes/no dialog if that variable is true; otherwise we just fire
	off the connect (or disconnect) script.

Fri May 29 19:42:23 PDT 1998  Garrett Smith  <gsmith@serv.net>

        * webcontrol/webcontrol.c: added more configurability.

1998-05-30  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (SUBDIRS): Split into ...
	(always_built_SUBDIRS): ... this, and ...
	(sometimes_built_SUBDIRS): ... list all `autoconf'ed dirs here.
	(DIST_SUBDIRS): List all subdirs.

	* batmon/Makefile.am: Cleaned up Automake hack not to generate
	those pesky `dummy.cc' files.
	* cdplayer/Makefile.am: Likewise.
	* cpuload/Makefile.am: Likewise.
	* cpumemusage/Makefile.am: Likewise.
	* diskusage/Makefile.am: Likewise.
	* drivemount/Makefile.am: Likewise.
	* gen_util/Makefile.am: Likewise.
	* icewm-pager/Makefile.am: Likewise.
	* mixer/Makefile.am: Likewise.
	* modemlights/Makefile.am: Likewise.
	* netload/Makefile.am: Likewise.
	* netwatch/Makefile.am: Likewise.
	* webcontrol/Makefile.am: Likewise.
	* winlist/Makefile.am: Likewise.
	
Fri May 29 19:42:23 PDT 1998  Garrett Smith  <gsmith@serv.net>

	Imported webcontrol applet.
	* Makefile.am (SUBDIRS): Add `webcontrol'.

1998-05-28  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* gen_util/printer.c (make_printer_applet):  Changed
 	"properties" to "properties...".

	* gen_util/mailcheck.c (make_mailcheck_applet): Likewise
	
	* gen_util/clock.c (clock_properties): i18n stuff for '12/24
 	hour'-dialog.

1998-05-27  Seth Alves  <alves@twitch.cp.domain.net>

	* clockmail/clockmail.h: include <sys/types.h>

1998-05-26  John Ellis  <johne@bellatlantic.net>

	* Makefile.am (SUBDIRS): changed modemlights to
	@PROGRAMS_PANEL_MODEMLIGHTS@.

Sun May 24 18:21:41 1998  George Lebl  <jirka@5z.com>

	* gen_util/{clock.c,printer.c}: set titles of property
	  dialogs

	* gen_util/mailcheck.c: use property_box for the properties

Sun May 24 14:45:15 1998  George Lebl  <jirka@5z.com>

	* gen_util/clock.c: fixed up the property box stuff, and got
	  rid of that annoying gnu style indentation

Sun May 24 01:13:56 1998  George Lebl  <jirka@5z.com>

	* gen_util/mailcheck.c: load the email.xpm by default

Sat May 23 16:32:16 1998  George Lebl  <jirka@5z.com>

	* Makefile.am add gen_util, and remove clock printer and
	  mailcheck applets, they are all now handeled by gen_util

1998-05-23  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* netload/properties.c: Added i18n of some strings.

	* netload/netload.c (main): Added initialization of the i18n
 	stuff.
 	Added i18n of some strings.

	* cpuload/properties.c: Added i18n of some strings.

	* cpuload/cpuload.c (main): Added initialization of the i18n
 	stuff.
	Added i18n of some strings.

1998-05-22  Martin Baulig  <baulig@merkur.uni-trier.de>

	* diskusage/Makefile.am (diskusage_applet_SOURCES): added
	mountlist.c, mountlist.h, fsusage.c and fsusage.h

	* diskusage/diskusage_read.c: using read_filesystem_list and
	get_fs_usage defined in mountlist.c and fsusage.c instead of
	reading output of df.

	* diskusage/mountlist.c: using g_malloc, g_realloc and g_strdup.

	* Makefile.am (SUBDIRS): Add diskusage.

1998-05-22  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* clock/clock.c (main): Added initialization of i18n stuff.
	(computer_clock_update_func): Changed to time to string
 	convertion.  This enables non american users to use there native
 	display of time and date.
	Included 'config.h'

Fri May 22 10:12:57 1998  Martin Baulig  <martin@home-of-linux.org>

	* diskusage/{fsusage.c,mountlist.c}: imported from GNU fileutils 3.16

	* diskusage/*: imported diskusage applet from Bruno Widmann;

Fri May 22 02:03:36 1998  George Lebl  <jirka@5z.com>

	* netload/properties.c: fixed up properties, the current
	  ones wouldn't work, if you are storing from cfg path,
	  you can only use a key in the path. if you need to store
	  global information use globcfgpath and then use section/key

Fri May 22 00:48:16 1998  George Lebl  <jirka@5z.com>

	* */*.c: changed to compile and work with the new
	  applet-widget stuff, and cleaned up a bunch of stuff
	  to avoid a few warnings here and there .. etc ... etc ...

Thu May 21 03:45:42 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: clock is now a multi applet, meaning if it's
	  already started, adding a clock won't run another process,
	  but just contact the running clock for a new copy

Sun May 17 12:44:46 1998  Havoc Pennington  <hp@pobox.com>

	* Imported modemlights applet, and added it to the Makefile.am

Sat May 16 00:59:12 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: made clock not use global variables
	  in preparation for it becoming the multiple applet
	  support scape goat

1998-05-13  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am (SUBDIRS): Add the bussign to the list of applets to
 	build.

Thu May 07 18:57:42 1998  George Lebl  <jirka@5z.com>

	* fish/*: added the fish applet

	* applet-dirs/{Makefile.am,Amusements.directory}: added
	  amusements directory

1998-05-05  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* printer/printer.c (close_properties): Ok, dropped all of the
	nonsense code from last night and put a nice Gnome Property Box to
	configure the printer. 

Tue May 05 00:24:51 1998  George Lebl  <jirka@5z.com>

	* cpuload/{cpuload.c,properties.c}: several fixes to
	  config handeling, now saves config in the right
	  place so SM and multiple cpuload applets work ok

Mon May 04 03:34:05 1998  George Lebl  <jirka@5z.com>

	* mailcheck/mailcheck.c: updated the signal

Sun May 03 23:05:11 1998  George Lebl  <jirka@5z.com>

	* mailcheck/maicheck.c,cpuload/cpuload.c,cpuload/properties.[ch]:
	  updated for the new callback function (minor change)

Sun May 03 16:57:10 1998  George Lebl  <jirka@5z.com>

	* */*.c: ported all appelts to applet-widget (even
	  those that don't get built by default)

	* mailcheck/mailcheck.c: fix init

Sat May 02 12:49:06 1998  George Lebl  <jirka@5z.com>

	* */*.c: removed includes of panel.h and mico-parse.h,
	  panel.h is not needed any more

1998-04-30  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* mailcheck/mailcheck.c (mailcheck_get_animation_menu): Select the
	animation that is actually being used. 
	(mailcheck_get_animation_menu): Recognize more formats than just
	xpm. 

Mon Apr 27 20:42:24 EDT 1998 Gregory McLean <gregm@comstar.net>

	* netwatch/netwatch.c : more tinkering, no it don't work yet but
	  I'm just tinkering to see if I can get something to work :)

Fri Apr 24 01:17:16 1998  George Lebl  <jirka@5z.com>

	* **/Makefile.am: added -lcrypt

1998-04-24  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* mailcheck/mailcheck.c (create_mail_widgets): Added refs
	(load_new_pixmap_callback): Call mail check timeout.

Thu Apr 23 02:24:16 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: using SHADOW_IN instead of ETCHED_IN
	  since it looks nicer

1998-04-22  Radek Doulik  <rodo@msdec.ms.mff.cuni.cz>

	* cpumemusage: quick hack to have procbars from gtop
	available on panel

Wed Apr 22 01:20:57 1998  George Lebl  <jirka@5z.com>

	* cpuload/cpuload.c: catch "destroy" event on plug
	  and do gtk_exit, to avoid segfaulting

Tue Apr 21 18:55:53 EDT 1998 Gregory McLean <gregm@comstar.net>

	* cpuload/.cvsignore: added this file to keep cvs happy :)

Tue Apr 21 18:55:53 EDT 1998 Gregory McLean <gregm@comstar.net>

	* netwatch/*: Some feeble attempts to get this to build.
	  it still don't build but its a bit closer..

Thu Apr 16 22:00:19 1998  George Lebl  <jirka@5z.com>

	* */*.c: updated applets to return TRUE on save_session

Thu Apr 16 20:59:35 1998  George Lebl  <jirka@5z.com>

	* clock/clock.c: small cleanups, now becomes slimmer
	  when the orientation changes, different frame style

Thu Apr 16 19:44:40 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: recover gracefully from errors when
	  creating widget, if you can't open the cdrom don't give up, but
	  try again when something is about to happen. this pervents it
	  from dieing when there was no disc sometimes.

Wed Apr 15 20:13:24 1998  George Lebl  <jirka@5z.com>

	* batmon/batmon.c,cdplayer/cdplayer.c,clock/clock.c,
	  mailcheck/mailcheck.c,winlist/winlist.c: removed shutdown corba
	  call and added handler for destroy signal on the plug

Sun Apr 12 21:25:06 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: fixed the display

1998-04-04  Raja R Harinath  <harinath@cs.umn.edu>

	* batmon/Makefile.am (batmon_applet_LINK): Use this to specify a
	C++ link rather than including `-lstdc++' in LDADD.
	(dummy.cc): Trick automake into defining CXXLINK.

	* cdplayer/Makefile.am (cdplayer_applet_LINK,dummy.cc): Likewise.
	* clock/Makefile.am (clock_applet_LINK,dummy.cc): Likewise.
	* mailcheck/Makefile.am (mailcheck_applet_LINK,dummy.cc): Likewise.
	
Sat Mar 28 15:25:28 1998  George Lebl  <jirka@5z.com>

	* **/*.c: updated to use gtk_full_path instead of
	  get_which_output

Sat Mar 21 00:57:08 1998  George Lebl  <jirka@5z.com>

	* batmon/batmon.c: now compiles

	* batmon/batmon_applet.desktop: now installed

	* mailcheck/mailcheck_applet.desktop: now correctly says
	  Mailcheck not Clock

Sat Mar 21 00:39:53 1998  George Lebl  <jirka@5z.com>

	* cdplayer/cdplayer.c: loads but looks bad

	* batmon/batmon.c: ported to corba but haven't tested

Fri Mar 20 00:36:12 1998  George Lebl  <jirka@5z.com>

	* mailcheck/mailcheck.c: few fixes now actually saves
	  pixmap name, but doesn't swap pixmaps properly

Fri Mar 20 00:08:43 1998  George Lebl  <jirka@5z.com>

	* cdplayer/*: ported to corba, indented to kernel
	  conding style to be compatible with rest of gnome

	* mailcheck/*: ported to corba

